About the TDSET3 Ethernet Compliance Test Software

About TDSET3 Ethernet Compliance Test Software

The TDSET3 Ethernet Compliance Test Software tests the Ethernet 's physical layer for — 1000BASE-T, 100BASE-TX, and 10BASE-T in compliance with IEEE 802.3-2000 and ANSI X3.263-1995 standards. This version allows you to test each speed for various fields such as:

  • 1000BASE-T
    Template
    Peak Voltage
    Droop
    Jitter Master Filtered
    Jitter Master Unfiltered
    Jitter Slave Filtered
    Jitter Slave Unfiltered
    Distortion
    Return Loss
    Common mode Voltage

  • 100BASE-TX
    Template
    Differential Output Voltage
    Signal Amplitude Symmetry
    Rise Time
    Fall Time
    Rise / Fall Time Symmetry
    Waveform Overshoot
    Jitter
    Duty Cycle Distortion
    Return Loss

  • 10BASE-T
    Template MAU Ext
    Template MAU Ext Inv
    Template MAU Int
    Template MAU Int Inv
    Template Link Pulse
    Template TP_IDL
    Differential Voltage
    Harmonic
    Jitter with cable
    Jitter without cable
    Return Loss
    Common mode Voltage

TDSET3 also has a Report Generator tool that helps you create and print custom reports.

Note: Use the Select All button to test all the parameters of the selected speed.


Using Online Help

The TDSET3 online help serves as a reference for using the TDSET3 Ethernet Compliance Test Software.

Contents: The Contents tab displays books and pages that represent the categories of information in the online Help system.

Index: The Index tab displays a multi-level list of keywords and keyword phrases. These terms are associated with topics in the Help system and direct you to specific topics.

Search: The Search tab enables you to search for keywords in the Help system and to locate topics containing those words. When the search is completed, a list of topics is displayed so that you can select a specific topic to view.

Back and Forward: The Back and Forward buttons allow you to browse through topics.

To print a topic: Select the Print button from the Help Topics menu bar.


Printing from the Online Help

While using the online help, you can print topics and information from the HTML Help viewer.

To print a single topic:

  1. Find the topic in the Contents pane.

  2. Click Print.

  3. Click Print the selected topic and click OK.

To print all topics in a selected TOC book:

  1. Find the TOC book in the Contents pane.

  2. Click Print.

  3. Click Print the selected heading and all subtopics and click OK.

Tip: If topics include expanding or drop-down hotspots, click the hotspots to display the information before you print.

Some online help topics have color in the examples of the displayed application. If you want to print this type of topic on a monochrome printer, some information may not print because of certain colors. Instead, you should print the topic from the PDF (portable document format) file that corresponds to the online help. You can find the file in the Documents directory on the Optional Applications Software on Windows-Based Oscilloscopes CD–ROM.


Conventions

Online help uses the following conventions:

  • When steps require a sequence of selections using the application interface, the ">" delimiter marks each transition between a menu and an option. For example, File > Minimize

  • DUT refers to the device transmitting the signal to be tested

  • Two or more adjacent hyperlinks are separated with "|"

  • Hotspot is a clickable text that displays additional information below the link. Click on the hotspot link to show or hide the hotspot content

The application uses this convention:

Three dots "..." next to any menu item means that the dialog box that pops up requires user input


Feedback

Tektronix values your feedback on our products. To help us serve you better, please send us your suggestions, ideas, or comments on the application.

Direct your feedback via email to techsupport@tektronix.com or FAX at
(503) 627-5695 and include the following information. Please be as specific as possible.

General information:

  • Instrument model number and hardware options, if any

  • Probes used

  • Your name, company, mailing address, phone number, FAX number, email id

  • Please indicate if you would like to be contacted by Tektronix about your suggestion or comments

Application specific information:

  • Software version number

  • Description of the problem such that technical support can duplicate the problem

  • The instrument setup file of the oscilloscope and the application is also required to identify the problem

  • If possible, save the waveform on which you are performing the measurement as a .wfm file

NOTE: To know the software version number, click Help > About in the application.

Once you have gathered this information, you can contact technical support by fax or through email. If using email, be sure to enter in the subject line "Ethernet Compliance Test Software Problem", and attach the .wfm files.

You can then attach the file to your email (depending on the capabilities of your email editor).


Updates through the web site

Information through the web site

You can find information about this and other applications at the Tektronix Inc. web site, www.tektronix.com. Check this site for firmware updates and other information about our application. You can download a free trial version of the TDSET3 application that allows you for a five-time trial.


Copyright Notice

Copyright

Copyright © Tektronix, Inc. All rights reserved. Licensed software products are owned by Tektronix or its suppliers and are protected by United States copyright laws and international treaty provisions.

Tektronix products are covered by U.S. and foreign patents, issued and pending. Information in this publication supercedes that in all previously published material. Specifications and price change privileges reserved.

TEKTRONIX and TEK are registered trademarks of Tektronix, Inc.

TDSET3 Compliance Test Software Online Help, 076-0047-00, Version 3.0.0

Contacting Tektronix:

Tektronix, Inc.

14200 SW Karl Braun Drive or P.O. Box 500

Beaverton, OR 97077 USA

For product information, sales, service, and technical support:

  • In North America, call 1-800-833-9200

  • Worldwide, visit www.tektronix.com to find contacts in your area


Compatibility

For information on oscilloscope compatibility, refer to the Optional Applications Software on Windows-Based Oscilloscopes Installation Manual, Tektronix part number 071-1888-00. The manual is also available as a PDF file.


Recommended Accessories

Differential Probes

  • P6247 — 1.0 GHz Differential Probe

  • P6248 — 1.5 GHz Differential Probe

  • P6330 — 3.5 GHz Differential Probe

Note: The P6247, P6248, and P6330 probes require the TPA-BNC adapter for interface to DPO7000 series oscilloscopes.

  • P7330 — 3.5 GHz Differential Probe (cannot be used with DPO7054, DPO7104, and DPO7254 oscilloscopes)

  • P7350 — 5.0 GHz Differential Probe (cannot be used with DPO7054, DPO7104, and DPO7254 oscilloscopes)

Note: 10Base-T test without TPM and RL tests require P6247 and P6248 probes. Two probes are required for Return Loss tests.

Active Probes

  • P6243, and P6245 1 GHz or above depending on the Oscilloscope (for 1000BASE-T Jitter tests)

  • TAP1500 (two probes needed for Slave Jitter Test and one probe for Master Jitter Test. Compatible with DPO7000 series oscilloscopes only)

Note: P6243 or P6245 (two numbers of each are needed for Slave Jitter Test, and one for Master Jitter Test). These require TPA-BNC adapter to DPO7000 series oscilloscopes.

Arbitrary Waveform Generator

  • AWG410 — 200 MS/s, 16-Bit Arbitrary Waveform Generator

  • AWG420 — 200 MS/s, 16-Bit Arbitrary Waveform Generator

  • AWG430 — 200 MS/s, 16-Bit Arbitrary Waveform Generator

  • AWG510 — 1 GS/s, 10-Bit Arbitrary Waveform Generator

  • AWG520 — 1 GS/s, 10-Bit Arbitrary Waveform Generator

  • AWG610 — 2.6 GS/s, 8-Bit Arbitrary Waveform Generator

  • AWG710 — 4.0 GS/s, 8-Bit Arbitrary Waveform Generator

  • AWG2021 — 250 MS/s, 12-Bit Arbitrary Waveform Generator (for Disturbing Signal Generator)

  • AWG710B - 4.2 GS/s, 8-Bit Arbitrary Waveform Generator

Note: In the case of AWG 400 series, the 1000Base-T return loss test values after 98.5 MHz are extrapolated. Use AWG710 waveform files for AWG710B.

Probe Positioner

  • PPM100 Flexible Arm Probe Positioner

Differential Input Voltage of Differential Probes

  • P6247 — ± 8.5 V (¸ 10)

  • P6248 — ± 8.5 V (¸ 10)

  • P6330 — ± 2 V

  • P7330 — ± 2 V

  • P7350 — ± 2.5 V


Requirements and Restrictions

Do not change the oscilloscope settings when the test is running. If you change the settings when the test is running, the application may give abnormal test results.

Prerequisites

  • TekVisa must be installed in the oscilloscope

  • A TDS7000/CSA7000/TDS6000 series oscilloscope with Firmware version 2.2.0 or later

  • A TDS7000B/CSA7000B oscilloscope with Firmware version 3.0.0 or later

  • A TDS5000B series oscilloscope with Firmware version 2.0.0 or later

  • A TDS6000B series oscilloscope with Firmware version 4.0.1 or later

  • A TDS6000C series oscilloscope with Firmware version 5.0.0 or later

  • A DPO7000 series oscilloscope with Firmware version 1.0.0 or later

For better and reliable results

  • Prior to running any test, calibrate the probes, and oscilloscope for Signal Path Compensation1

  • Cable length between the DUT and the test fixture should not be more than two inches

  • Use 500 waveforms for averaging 1000BASE-T

  • Use 64 waveforms for averaging, and 200000 samples for mask testing 10BASE-T or 100BASE-TX where ever applicable

  • Use 48 waveforms for averaging 10BASE-T harmonics

  • If the signal is not connected and the noise level is below 50 mV, the application detects and gives a message as invalid signal

1 To calibrate an oscilloscope, select Utilities > Instrument Calibration in the oscilloscope menu bar and select the Calibrate button.

Note: If you do not install the latest version (Version 2.2.0 or above) of TDS7000 or CSA7000 Firmware, the application will not test the mask related parameters.

Remember

  • TDS5032B and TDS5052B are two-channel oscilloscopes. The drop-down list for any Data, Ref, or Math sources displays only two channels

  • For 1000BASE-T Template test, the TDS5000B series oscilloscope displays the horizontal scale as 4 ns

  • The two-channel oscilloscopes do not support the 1000BASE-T Jitter Slave Filtered test

  • The TDS6000B and TDS7000B series oscilloscopes do not support Flash Hits


Report Generator Default Templates

TDSET3 Application Software Default Layouts and Templates

Test | Default template
1000BASE-T (Default layout — 1000T.rpl)
Coversheet | Coversheet for 1000BaseT.rgt Coversheet for 1000BaseT_2.rgt
Template | 1000T-TemplateA.rgt 1000T-TemplateB.rgt 1000T-TemplateC.rgt 1000T-TemplateD.rgt 1000T-TemplateF.rgt 1000T-TemplateH.rgt
Peak Volt | 1000T-PeakVoltA.rgt 1000T-PeakVoltB.rgt 1000T-PeakVoltC.rgt 1000T-PeakVoltD.rgt
Droop | 1000T-DroopG.rgt 1000T-DroopJ.rgt
Jitter | 1000 Jitter Master filtered 1000 Jitter Master Unfiltered[TIE].rgt 1000 Jitter Master Unfiltered[HIS].rgt 1000 Jitter Slave filtered.rgt 1000 Jitter Slave Unfiltered[TIE].rgt 1000 Jitter Slave Unfiltered[HIS].rgt 1000T- Jitter master filtered_NOCLK.rgt 1000T- Jitter master unfiltered[HIS]_NOCLK.rgt 1000T- Jitter master unfiltered[TIE]_NOCLK.rgt 1000T- Jitter slave filtered_NOCLK.rgt 1000T- Jitter slave unfiltered[HIS]_NOCLK.rgt 1000T- Jitter slave unfiltered[TIE]_NOCLK.rgt
Distortion | 1000T-Distortion.rgt
Common mode Voltage | 1000T-Common mode Voltage.rgt
Return Loss | 1000T-Return Loss.rgt
100BASE-TX (Default layout — 100TX.rpl)
Coversheet | Coversheet for 100BaseTx.rgt
Template | 100-AOI Template.rgt
Differential Output Voltage | 100-Differential Output Voltage.rgt
Signal Amplitude Symmetry | 100-Signal Amplitude Symmetry.rgt
Rise Time | 100-Rise Time.rgt
Fall Time | 100-Fall Time.rgt
Rise/Fall Time Symmetry | 100-Rise Fall Time Symmetry.rgt
Waveform Overshoot | 100-Waveform Overshoot.rgt
Jitter | 100-Transmit JItter.rgt
Duty Cycle Distortion | 100-Duty Cycle Distortion.rgt
Return Loss | 100-Tx Return Loss.rgt 100-Rx Return Loss.rgt
10BASE-T (Default layout — 10T.rpl)
Coversheet | Coversheet for 10BaseT.rgt
MAU Ext Template | 10 MAU ext template.rgt
MAU Ext Inv Template | 10 mau ext inv template.rgt
MAU Int Template | 10 mau int template.rgt
MAU Int Inv Template | 10 mau int inv template.rgt
Link Pulse Template Load with TPM | 10 Link Pulse Load1 with TPM template.rgt 10 Link Pulse Load2 with TPM template.rgt 10 Link Pulse 100 with TPM template.rgt
Link Pulse Template Load without TPM | 10 Link Pulse Load1 without TPM template.rgt 10 Link Pulse Load2 without TPM template.rgt 10 Link Pulse 100 without TPM template.rgt
Link Pulse Timing | 10 Link Pulse Timing.rgt
TP_IDL Template Load with TPM | 10 TP_IDL Load1 with TPM template.rgt 10 TP_IDL Load2 with TPM template.rgt 10 TP_IDL 100 with TPM template.rgt
TP_IDL Template Load without TPM | 10 TP_IDL Load1 without TPM template.rgt 10 TP_IDL Load2 without TPM template.rgt 10 TP_IDL 100 without TPM template.rgt
Differential Output Voltage | 10 differential output voltage.rpt
Harmonic | 10 harmonic of all ones.rgt
Jitter with cable Normal output timing | 10 output timing jitter with cable.rgt
Jitter with cable 8.0 output timing | 10 8.0 output timing jitter with cable.rgt
Jitter with cable 8.5 output timing | 10 8.5 output timing jitter with cable.rgt
Jitter without cable Normal output timing | 10 output timing jitter without cable.rgt
Jitter without cable 8.0 output timing | 10 8.0 output timing jitter without cable.rgt
Jitter without cable 8.5 output timing | 10 8.5 output timing jitter without cable.rgt
Return Loss | 10 Tx Return Loss.rgt 10 Rx Return Loss.rgt
Common mode Voltage | 10 Common mode Voltage.rgt


Default Settings

TDSET3 Application Software Default Settings

Parameter | Selection | Default Setting
Speed |  | 1000-T
Select > 1000-T |  | Template/Volt tab
 | Template/Volt tab | A
 | Droop tab | G
 | Jit/Distortion tab | Master Unfiltered
 | Return Loss tab | Return Loss
 | CM Voltage tab | CM Voltage
Select > 100-TX |  | Parametric tab
 | Parametric tab | Template (Both Polarity)
 | Return Loss tab | Transmitter
Select > 10-T |  | Template tab
 | Template tab | Link Pulse (100 ohm without TPM)
 | Parametric tab | Jitter with cable (All)
 | Return Loss tab | Transmitter
 | CM Voltage tab | CM Voltage
Configure > 1000-T | Data | CH1
 | Master CLK | CH2
 | Slave CLK | CH3
 | Data (TM2) | CH1
 | Data (TM3) | CH2
 | TX_TCLK | CH1
 | # Averages | 64
 | Clock Edge | Rising
 | Hi Resolution | 64
 | Output | Ref1
 | Disturbing Signal | No
 | Filter | Int
 | TX_TCLK | No
 | LP Filter | Yes
 | Meas Type | TIE
 | Probe:P1 | CH1
 | Probe:P2 | CH2
 | Pair ID | A
 | Load | 85, 100, 115 ohm
 | Smooth | 7
 | Record Length | Varies depending on the Memory option available on the Oscilloscope.
 | Hysteresis | 5.00 %
Configure > 100-TX | Data | CH1
 | Mask Setup Samples Fail Threshold | 50 K 1
 | Mask Scale | Normal
 | Acquisition | Sample/Average (depends on the parameter selected) Average is the default mode # Waveforms = 16
 | Pulse Width | 16 ns
 | Probe:P1 / Probe:P3 | CH1
 | Probe:P2 / Probe:P4 | CH2
 | Load | 85, 100, 115 ohm
 | Smooth | 7
 | # Averages | 100 for Return Loss and 48 for other tests
Configure > 10-T | Data | CH1
 | Acquisition | Sample/Average (depends on the parameter selected) Average is the default mode # Waveforms = 16
 | Section | Both
 | MAU Type | Internal
 | MAU Scale | Normal
 | Mask Setup Samples Fail Threshold | 50K 1
 | Harmonic Ones Output # Averages Time/Scale | Math1 48 10 microseconds
 | Sequence | Normal (NLP)
 | Probe: P1 / Probe: P3 | CH1
 | Probe: P2 / Probe: P4 | CH2
 | Load | 85, 100, 111 ohm
 | Smooth | 7
Report > Report Generator |  | Generate Report tab


Starting the Application

  1. From the oscilloscope menu, select File > Run Application > Ethernet Compliance Test Software or Analyze > Ethernet Compliance Test Software.

  2. The splash screen appears as shown by the following figure.

  3. The oscilloscope display resizes to fit the upper part of the screen and the lower part of the oscilloscope screen displays the TDSET3 application.

  4. The application is automatically set to its default settings.

  5. If you access oscilloscope functions, the oscilloscope display appears in full screen and the TDSET3 application recedes to the background.

  6. To return to the TDSET3 application, select the APP button [image] in the oscilloscope display.

See also

Starting the application on TDS5000B, TDS7000B or CSA7000B series oscilloscopes


Minimizing and Maximizing the Application

The application appears even when you minimize the oscilloscope.

  • To minimize the application, select File > Minimize. The TDSET3 window minimizes to the Windows task bar and upper half screen has the oscilloscope display and lower half of the screen has the desktop

  • To maximize the application, select Ethernet Compliance Test Software in the Windows task bar

  • To hide the application, select the Hide button [image] or select File > Hide

The Report Generator module windows are independent of the TDSET3 application. Select the Minimize button on the right hand corner of the relevant report generator window to minimize it.

Note: If you select Hide button, the TDSET3 window goes to the background and the Oscilloscope display resizes to the whole screen.


Returning to the Application

When you access oscilloscope functions, the oscilloscope fills the display. You can access oscilloscope functions in the following ways:

  • Choose the Menu bar or the Toolbar mode on the oscilloscope and access the menus

  • Press front-panel buttons

  • To return to the application, select the APP button [image] on the top right of the oscilloscope display


Exiting the Application

To exit the application:

  • Select File > Exit or select the Exit button

  • On exiting the application a message box "Do you want to restore the oscilloscope settings to their state before starting this application?" appears

  • Select Yes, No, or Cancel. Yes is selected by default

Note: Using other methods to exit the application results in abnormal termination of the application.


Application Directories and File Names

The TDSET3 application uses directories to save and recall setup files and uses file name extensions to identify the file type. The following table lists the default directory names.

Directory | Action
C:\TekApplications\TDSET3\Setup | Stores the application settings to setup files.
C:\TekApplications\TDSET3\ReportGenerator\Templates | Stores the default templates of report generator.
C:\TekApplications\TDSET3\ReportGenerator\Reports | Stores the Reports for 10BASE-T, 100BASE-TX, and 1000BASE-T.
C:\TekApplications\TDSET3\ReportGenerator\Layouts | Stores the Report Layouts for 10BASE-T, 100BASE-TX, and 1000BASE-T.
C:\TekApplications\TDSET3\AWGWaveforms | Stores the AWG golden waveforms.
C:\TekApplications\TDSET3\Images | Stores all the images.


TDSET3 Error Codes

The following table lists the error codes and their descriptions:

Error code | Error Message | Description | Possible Solution
E101 | Few samples, edge finding failed. | The application is not able to detect valid clock signal. | Ensure the correct signal is connected and the configuration parameters are correct.
E102 | The selected input sources should be mutually exclusive. | Data, Master CLK, Slave CLK cannot be configured to the same source. | Ensure that the oscilloscope channels that you configure for the input sources are mutually exclusive.
E103 | Invalid signal. The measured clock is out of range. | The estimated TX_TCLK for Distortion test, is either very low or high. | Ensure the correct signal is connected and the configuration parameters are correct. Ensure that the trigger level is adjusted to get a stable trigger.
E104 | The measured value is unstable. The previous values will be restored. | The application is not able to get stable measured values. | Ensure the correct signal is connected and the configuration parameters are correct.
E105 | Not enough clock edges. | The application is not able to find sufficient clock edges for Distortion test. | Ensure the correct clock signal is connected and the configuration parameters are correct.
E401 | Can not connect to the instrument. | The application is not able to communicate with the Oscilloscope. | Reboot the Oscilloscope.
E402 | This application requires firmware version 2.2.0 or above. Please install the latest firmware available at the Tektronix web site. The application will exit now. | The application works only with Firmware version 2.2.0 or above. | Download the latest Firmware from Tektronix web site.
E403 | Default file does not exist. | The application's default settings file is not found. | Reinstall the application.
E404 | Unable to set the mask. | The Mask file is missing or corrupted. | Reinstall the application.
E405 | Enter a valid file name to generate a report. | The file name in the report setup is not valid. | Go to Report Setup dialog box and enter a valid file name.
E406 | Report data base file read failed. | The application's system file is missing/corrupted. | Reinstall the application.
E407 | System file exception. | If the oscilloscope has a file exception, this error is displayed at run time by the operating system. | Reboot the Oscilloscope.
E408 | System memory exception. | If the oscilloscope has a memory exception, this error is displayed at run time by the operating system. | Reboot the Oscilloscope.
E409 | Unknown exception. | If the oscilloscope has an unknown exception, this error is displayed at run time by the operating system. | Reboot the Oscilloscope.
E410 | Invalid signal. Check whether the DUT is connected. | The application is not able to detect a valid signal. | Ensure the correct signal is connected and the configuration parameters are correct.
E411 | This application has not been enabled. To enable the application, select Utility>Option Installation to enter a key. To purchase a key, contact your Tektronix representative. Select Help>Technical Support to contact Tektronix representative. | The application is not purchased. | Contact your Tektronix representative.
E412 | Calibration Data unavailable. | Calibration is not complete for the selected test. | Complete all three Load, Short, Open calibration steps for the selected test.
E414 | The selected oscilloscope sources are mutually exclusive. | Same channel is selected for multiple input sources which is not allowed. | Select separate channel for each input source.
E413 | Unable to find crossover. | Unable to find crossover to place the histogram while 100BASE-TX, and 10BASE-T Jitter tests. | For 100BASE-TX tests, re-run the test. For 10BASE-T tests, select the Show 10BAse-T Jitter User Control check box in the Preference dialog box and then re-run the test. When the 10BAse-T Jitter User Control dialog box appears, adjust the TiggerHoldOff parameter of the oscilloscope.
E415 | The selected output sources are mutually exclusive. | Same Reference source is selected for output which is not allowed. | Select separate Reference waveform for output.
E416 | External trigger unavailable. Check whether the ‘sync Out’ of the AWG is connected to the ‘AUX IN’ of the Oscilloscope. | The sync/marker1 of the AWG is not connected to the 'AUX IN' of the Oscilloscope. | Connect the sync/marker1 of the AWG to the 'AUX IN' of the Oscilloscope.
E417 | System failure. | There is a problem while allocating a system resource. | Reboot the Oscilloscope.
E418 | Unknown Error. | If the application has an unknown error, this error message is displayed. | Reboot the Oscilloscope.
E419 | Tekscope is not running. TDSET3 will now exit. | This error message appears if you click on Run Test button in the TDSET3 application after you have exit from the TekScope. | Launch the TekScope and then TDSET3 from RunApplication menu to work with TDSET3 application.
E420 | Change the probe attenuation to ÷10 before continuing. | Probe attenuation switch is set to ÷1 and the measured values may be invalid. | Set the attenuation switch of the probe to ÷10 before you run the test.

Note: The Error Message E419 appears only if you are running the TDSET3 application on a TDS5000B series oscilloscope.

GPIB Command Error Codes

The following table lists the GPIB Command error codes and their descriptions:

Error Codes | Error Messages | Description | Possible Solution
E601 | GPIB write failure | The oscilloscope did not accept the GPIB write command. | Reboot the Oscilloscope.
E602 | GPIB read failure | The oscilloscope did not accept the GPIB read command. | Reboot the Oscilloscope.
E603 | Unable to clear event queue | The oscilloscope event queue was not cleared. | Reboot the Oscilloscope.
E604 | Invalid value set; variable reset to nearest limit value | The Value set was not within the acceptable range. | The variable value has been reset.
E605 | Conversion error: value reset to the old value | The Value set characteristics do not match. | The variable value has been reset.
E606 | Application setup file unavailable | The setup file is missing. | Resend the command with the appropriate file name.
E607 | Selected test to query the result details is invalid | Invalid test chosen for result details query. | Resend the command with the appropriate test name.
E608 | Selected test has not been run | Querying for a result before the test is run. | Run the test and then query for the results.
E609 | Invalid value is set, old value will be reset | The Value set characteristics do not match. | The variable value has been reset.
E610 | Test in progress, unable to retrieve the results | Querying for a result before the test is complete. | Query for results after the test is complete.
E611 | Character string too long | The value field is too long. | Resend the command with a value within the acceptable range.
E612 | Invalid test/configuration selected | The test or configuration selected or the do not correspond to the current technology. | Select the appropriate technology and then select the test or configuration.
E613 | Unable to save application settings | The application settings could not be saved to a default file. | Resend the command with a different file name.
E614 | You cannot set values for query only commands | You cannot set values for query only commands. | Do not set value for query only commands.
E615 | Unable to retrieve remarks, test name unknown. | You seem to have tried to query for a remark block that does not exist. | Query for remark block between 1 and x where x is the response for "remcounter".
E616 | Unable to retrieve remarks for specified block id | You are asking for remarks of some test that is not run yet. | Set the "resultfor" and "getremblk" appropriately in that order only and then query for "resultrem".
E700 | GPIB Time Out | GPIB command has timed out. | Reboot the Oscilloscope.


TDSET3 Application Window

The TDSET3 application is a Windows-based application. The application window comprises the Menu bar, Selection pane, Speed pane, Client pane, Execution pane, and Status bar. The Client pane changes between Configuration pane, Parameter Selection pane, Connection pane, and View Waveform pane depending on what you have selected in the Selection pane. The Client pane changes to Result pane automatically after you run the test.

For more information, click on one of the highlighted areas on the graphic below.


Application Interface Controls

TDSET3 Application Interface Controls

The TDSET3 application interface uses the following controls:

Controls | Description
Menu bar | Located at the top of the application and has the TDSET3 menus.
Tab | Labeled group of options with similar items.
Pane | Enclosed visual frame with a set of related options.
Option button | Defines a particular command or task.
Drop-down list box | Lists the items from which you can select one item.
Field | Box that you can use to type in text or to enter a value with the keypad or a multipurpose knob.
Check Boxes | Square box that you can use to select or clear preferences.
Scroll bar | Vertical or horizontal bar at the side or bottom of a display area used to move around that area.
Browse | Displays a window where you can look through a list of directories and files.
Command button | Initiates an immediate action.
Keypad | Appears when you select a box and enter a value.
MP/GP knob | Displays a line between the knob and the box. You can turn the knob on the oscilloscope to select a value.


Menu bar

The menu bar of TDSET3 has the following menus.

Select these links for information on each of the menu.

File Menu

Tests Menu

Results Menu

Utilities Menu

Help Menu


File Menu

TDSET3 File Menu

Menu selection | Description
Recall Default Setup | Recalls the default settings for the application.
Recall Setup | Recalls the application settings from a setup file.
Save Setup | Saves the application settings to a setup file.
Preferences | Shows/Hides the message boxes displayed while running the test.
Minimize | Minimizes the Application window.
Hide | Hides the Application window.
Exit | Displays the Restore Settings dialog box and closes the Application.


Tests Menu

TDSET3 Tests Menu

Menu selection | Description
Select
1000BASE-T | Displays the point and test parameter selections for 1000BASE-T in the Client pane.
100BASE-TX | Displays the parameters for 100BASE-TX in the Client pane.
10BASE-T | Displays the parameters for 10BASE-T in the Client pane.
Configure | Displays the configuration details for the selected speed and test.
Connect | Displays the connection instructions for the selected speed.
View Waveform | Displays the waveform based on the settings.


Results Menu

Menu selection | Description
Summary | Displays the results summary of last test conducted.
Details | Displays the detailed results of last test conducted.


Utilities Menu

Menu selection | Description
Report Generator | Displays the Report Generator window.
Enable Remote GPIB | Enables you to use remote GPIB commands to control the application.
Automate AWG | Enables you to automate file transfer and waveform setup on an Arbitrary Waveform Generator.


Help Menu

TDSET3 Help Menu

Menu selection | Description
Help Topics | Displays the help file for the TDSET3 application.
About Ethernet Compliance Test Software | Displays a dialog box with information about the current TDSET3 application.


Selection pane

The Selection pane located to the left of the application window allows you to navigate through the application.

The following table lists the button and the task description.

Button | Description
Select | Displays the test selection parameters in the Client pane for the selected speed.
Configure | Displays the configuration parameters in the Client pane for the selected test parameter.
Connect | Displays the connection details in the Client pane for the selected test parameter.
View Wfm | Displays the waveform in the Client pane for the selected test parameter.


Speed pane

The Speed pane located to the left of the application window displays the speed to be selected.

Select 1000-T to test 1000BASE-T, 100-TX to test 100BASE-TX and 10-T to test 10BASE-T.

The Client pane displays the parameters of the selected speed.


Client pane

The Client pane located adjacent to the Speed pane displays either the test parameters or configuration parameters depending on Select/Configure button selected.

1000BASE-T Client pane

100BASE-TX Client pane

10BASE-T Client pane

What do you want to do?

Return to TDSET3 Application Window


If you select any Template point and click Configure button in the Selection pane, the configuration parameters for Template appears as shown by the following figure.

If you select any Peak Volt point and click Configure button in the Selection pane, the configuration parameters for Peak Volt appears as shown by the following figure.

1000BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 1000BASE-T.

Configuration parameters for

Template

Peak Volt


100BASE-TX Client pane

If you select Template and click Configure in Selection pane, the configuration parameters for Template appears as shown by the following figure.

If you select Output Volt and click Configure in Selection pane, the configuration parameters for Output Voltage appears as shown by the following figure.

If you select Amp Sym and click Configure in Selection pane, the configuration parameters for Amplitude Symmetry appears as shown by the following figure.

If you select Rise Time and click Configure in Selection pane, the configuration parameters for Rise Time appears as shown by the following figure.

If you select Fall Time and click Configure in Selection pane, the configuration parameters for Fall Time appears as shown by the following figure.

If you select R/F Sym and click Configure in Selection pane, the configuration parameters for Rise/Fall Time Symmetry appears as shown by the following figure.

If you select Overshoot and click Configure in Selection pane, the configuration parameters for Waveform Overshoot appears as shown by the following figure.

If you select Jitter and click Configure in Selection pane, the configuration parameters for Jitter appears as shown by the following figure.

If you select Distortion and click Configure in Selection pane, the configuration parameters for Distortion appears as shown by the following figure.

100BASE-TX Client pane

Click on each of the tabs in the following figure to see the different test parameters of 100BASE-TX.

Configuration parameters for

Template

Output Voltage

Amplitude Symmetry

Rise Time

Fall Time

Rise/Fall Time Symmetry

Waveform Overshoot

Jitter

Distortion


If you select Link Pulse and click Configure in Selection pane, the configuration parameters for Link Pulse appears as shown by the following figure.

If you select MAU and click Configure in Selection pane, the configuration parameters for MAU appears as shown by the following figure.

If you select TP_IDL and click Configure in Selection pane, the configuration parameters for TP_IDL appears as shown by the following figure.

10BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 10BASE-T.

Configuration parameters for

Link Pulse

MAU

TP_IDL


Execution pane

The Execution pane located to the right of the Application window displays the buttons Run Test and Result.

Clicking on each button performs a particular task. The following table lists the button and the task description.

Button | Button Name | Description
 | Run Test | Runs the selected test or tests.
 | Result | Displays the Result pane that shows the test results.
 | Report Summary | Displays the location to which the report summary is saved. Click OK to store the result details in a .csv file.
 | Report Detail | Displays the location to which the detailed report is saved. Click OK to store the result details in a .rpt file depending on the layout selected in Report Configuration pane.

Note: The report details are real time and no history is maintained. Ensure that you save the report details before you run another test.


Status bar

At the bottom of the application window is the status bar that displays the selected test and the important configuration parameters.


Result pane

After you run a test, the Result pane automatically appears as shown by the following figure.

After you run a Return Loss test, the Result pane automatically appears as shown by the following figure.

The Result pane comprises Result Summary pane, and Report Configuration pane.

Result Summary pane

The Result Summary pane displays the test results as Pass/Fail/Inconclusive.

Indicates that the test has passed.

Indicates that the test has failed.

Inconclusive Icon Indicates that the test is inconclusive.

Button | Description
Export | Exports the return loss values in a .csv file.
Clear Results | Clears the results in the Result Summary pane and the report data.
Result Details | Displays the Result Details dialog box that shows the details of test results categorized as Description, Specification range, Measured Value, Pass/Fail/Inconclusive, and Remarks.
Manual Fit | Displays the Manual Fit dialog box that allows you to adjust the waveform to fit into the Mask. This button is enabled only when you test 1000BASE-T Template, 100BASE-TX Template or 10BASE-T Template.
Smooth | Displays the Smooth dialog box that allows you to smoothen the return loss waveform. This button is enabled only when you test Return Loss.

Report Configuration pane

You can set the report details to identify and automatically generate the report. You can set a default report file.

The report configuration allows you to configure:

Category | Description
Device ID | To identify on which DUT the test was conducted by printing the Device ID on the generated report.
Device description | To identify on which DUT the test was conducted by printing the Device Description on the generated report.
Pair ID | To identify the unique pairs by printing the Device Description on the generated report. This field is enabled only for 1000BASE-T.
Report File | To specify the path and the file in which the generated report will be saved. A default file name and path displayed for the selected speed.
Enable Preview | To automatically preview the report after generation.
Advanced button | Displays the Advanced Report Configuration dialog box.

  • Click OK to configure the report.

  • Click Cancel to exit the report setup.


Dialog Boxes

For help on specific dialog boxes, display the Table of Contents for this help file, and then click the following book icons to display links to specific dialog boxes: Operating Basics | Dialog Boxes.

See Also

Jig Match

Mask Setup

Manual Fit

Preferences

Advanced Report Configuration

Result Details

Virtual Keyboard

General Purpose Knob

Smooth Dialog Box

Exit Dialog Box


Preferences

File> Preferences

Use this dialog box to set the user preferences such as:

  • Show or hide the Overwrite Reference message box

  • Show or hide the Overwrite Math message box

  • Show or hide 10Base-T user intervention for Template and Jitter tests

  • Show or hide 1000Base-T user intervention for Distortion test

Preference

Action

Show or Hide the Overwrite Reference message box

  1. In Preference dialog box, select or clear the Show Ref overwrite check box.

  2. If you select Show Ref overwrite check box, the application displays the following warning every time you run 1000BASE-T Template, Peak Volt, Distortion, and Jitter tests. This dialog box also appears for Return Loss tests. This dialog box appears for 1000BASE-T Droop test only if Disturbing Signal is selected as Yes.

Show or Hide the Overwrite Math message box

  1. In Preference dialog box, select or clear the Show Math overwrite check box.

  2. If you select Show Math overwrite check box, the application displays the following warning box every time you run 10BASE-T Harmonic Test.

Show or hide 10Base-T user intervention for Template tests

  1. In Preference dialog box, select or clear the Show 10Base-T Template user control check box.

  2. If you select the check box, the application displays the following warning box every time you run 10BASE-T Template Test.

  3. Toggle Lock Mask to Wfm between On and Off to lock or unlock the mask to waveform when you zoom in or zoom out.

  4. Toggle Mask Autofit between On and Off to allow the oscilloscope to automatically fit the waveform to mask.

Show or hide 1000Base-T user intervention for Distortion test

  1. In Preference dialog box, select or clear the Show 1000Base-T Distortion user control check box.

  2. If you select the check box, the application displays the following warning box every time you run 1000BASE-T Distortion Test.

Show or hide 10Base-T user intervention for Jitter tests

  1. In Preference dialog box, select or clear the Show 10Base-T Jitter user control check box.

  2. If you select the check box, the application displays the following warning box every time you run 10BASE-T Jitter with cable Test.

  3. If you select the check box, the application displays the following warning box every time you run 10BASE-T Jitter without cable Test.

Show or Hide the message for alternate 1000Base-T Jitter test

In Preference dialog box, select or clear the Show 1000Base-T Jitter message user control check box.

If you select the check box, the application displays the following message every time you run 1000BASE-T JitterTest (Alternate Method).

  • Click OK to set the preferences.

  • Click Cancel to exit the Preference dialog box.


Report Configuration

Advanced Report Configuration

Select Results in the Execution pane, and Advanced in the Report Configuration pane of Result pane.

The advanced report configuration allows you to configure:

Category | Description
Device ID | Prints the Device Id on the generated report to help you identify on which DUT the test was conducted.
Process | Prints the Process on the generated report to help you identify the process used for DUT.
Voltage | Prints the Voltage on the generated report to help you identify the voltage values used while testing the DUT.
Temperature | Prints the Temperature on the generated report to help you identify the temperature values used while making the DUT.
Last Cal date | Prints the Last Cal date on the generated report to help you identify the date on which the oscilloscope was last calibrated.
Use oscilloscope settings for image report | Select this check box to use the oscilloscope settings for exporting images.

  • Click OK to configure the report

  • Click Cancel to exit the report setup

Note: The Process, Voltage, and Temperature fields are not available in the default template report.


Result Details

Result Details button in Result pane

After you have completed the test and you want to see the result details, click on the Result Details button in Result pane. The Result Details dialog box appears as shown by the following figure. The title bar displays the selected speed.

The results are categorized as shown in the following table:

Category | Description
Description | Displays the selected test.
Spec Range | Displays the specification range.
Measured Value | Measured value of the selected test.
Pass/Fail | Test passed or failed or inconclusive as [image] , [image] , or Inconclusive Text .
Remarks | Additional information about the test.

  • Select Locate Hits to display the Mask Hit Locator dialog box as shown by the following figure:

Selecting Locate Hits changes the mask color and hit color. Closing the Locate Hits dialog box will set the Mask color to default.

In the Circle Color drop-down list, select the color in which you want to see the mask hits circled.

Select Save to save the mask hit image as a jpg or a bmp file. The default directory is C:\TekApplications\TDSET3\Images.

Select Close to close the dialog box.

  • Select Flash Hits to flash the hits on the oscilloscope display. The Flash Hits message box appears

Select Stop in the Flash Hits message box to stop flashing the mask hits.

Note1: Locate Hits, and Flash Hits are enabled only if a template test fails.
Note2: The Flash Hits button does not appear in B series oscilloscopes.

  • Select Show Seg to display the mask segments as shown below. The Show Seg is enabled only if you run the template test

Select Close to close the dialog box.

  • Select Close to close the Result Details dialog box

Note: If you run all the test together using Select All, the Locate Hits, Flash Hits, and Show Seg buttons are disabled.


Manual Fit

1000-T > Template > Manual Fit

Note: If you select the Select All button, Manual Fit is not enabled.

When you test Template in 1000BASE-T, you can manually fit the waveform into the mask.

If the processed waveform does not lie within the mask, use Manual Fit to manually fit the waveform into the mask as described:

  1. Click the arrow buttons to adjust the waveform to fit into the Mask.

  2. Click OK to perform the mask pass/fail test again.

  • Click Cancel to exit the Manual Fit dialog box without performing the mask pass/fail test

100-TX > Template > Manual Fit or 10-T > Template > Manual Fit

When you test Template in 100BASE-TX, and 10BASE-T, you can manually fit the waveform into the mask.

If the processed waveform does not lie within the mask, use Manual Fit to manually fit the waveform into the mask as described by the following figure:

  1. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or Virtual Keyboard.

  2. Click OK to perform the mask pass/fail test again.


Jig Match

1000-T > Template > Connect > Jig Match

NOTE: Jig Match is enabled only if you select Disturbing Signal as Yes.

1000-T > Distortion > Connect > Jig Match

Use Jig Match to effectively remove the disturbing signal and compensate for non-linearities in the disturber and the test fixture. You can measure the disturbing signal's Amplitude, and Frequency. You can also set the default values. The application measures and displays the values in Measured Value fields. You can validate the disturbing signal by comparing the Measured Value with the Expected Value.

Jig Match is enabled only if you select Disturbing Signal as Yes.

To Compensate for the Disturber, do the following:

  1. Use TC5 of the test fixture for Disturber Compensation.

  2. Make the connections as shown by the following figure.

NOTE: Do not connect the Ethernet cable to J700 and the test port of the DUT.

  1. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  2. Connect a BNC Cable to AWG— and Channel 2 ( [image]) of Arbitrary Waveform Generator.

  3. Short the jumpers J621, J630, J620, J623, J721, J723, J680, and J781.

  4. Connect the Differential Probe to P19 and configured channel of the oscilloscope.

  5. In the Jig Match dialog box, select Measure button in the Disturber Compensation pane.

  6. Compare the Measured Value with the Expected Value.

  7. If the Measured Value is not approximately equal to the Expected Value, modify the amplitude and clock frequency settings of the Arbitrary Waveform Generator. Then click Measure and compare the values to be approximately equal.

To Compensate for the Test Fixture, do the following:

  1. Use TC2 and TC5 of the test fixture for Test Fixture Compensation.

  2. Make the connections as shown by the following figure.

  3. For Template, Droop, and Peak Voltage tests, set the DUT to generate Test Mode 1 signal.
    For Distortion test, set the DUT to generate Test Mode 4 signal.

  4. Connect the Ethernet cable to J490 and the test port of the DUT.

  5. Connect the Differential Probe to P9 and configured channel of the oscilloscope.

  6. In the Jig Match dialog box, select Measure button in Step 1 in the Test Fixture Compensation pane.

  7. Make the connections as shown by the following figure.

  7. For Template, Droop, and Peak Voltage tests, set the DUT to generate Test Mode 1 signal.
    For Distortion test, set the DUT to generate Test Mode 4 signal.

  8. Connect the Ethernet cable to J700 and test port of the DUT.

  9. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  10. Connect a BNC Cable to AWG- and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

  11. Switch OFF the Arbitrary Waveform Generator.

  12. Short the jumpers J621, J630, J623, J721, J723, J680, and J781.

  13. Connect the Differential Probe to P18 and configured channel of the oscilloscope.

  14. In the Jig Match dialog box, select Measure button in Step 2 in the Test Fixture Compensation pane.


Virtual Keyboard

Selecting [image] adjacent to any number field displays the Virtual Keyboard. The field on the top displays what you have selected. After you have selected the required number, select Enter.

Option | Description
Space | Inserts a space.
Enter | Enters the value for the selected field.
Backspace | Deletes the value entered.
esc | Exits the Virtual Keyboard.


General Purpose Knob Dialog Box

Virtual Keypad

Select the knob or the keypad icon adjacent to any text field to display the general purpose dialog box.

Use this dialog box to enter custom values.

Option | Description
Set to min | Automatically displays the minimum value of the selected field.
Set to max | Automatically displays the maximum value of the selected field.
CLR | Clears the value for the field selected and returns to zero value.
Enter | Enters the value for the selected field.

To enter the values:

  1. Select the Set to Min button to display the minimum value for the selected option.

  2. Select the Set to Max button to display the maximum value for the selected option.

  3. Select the CLR button to erase the previous values.

  4. Select the numeric buttons to enter the numeric values.

  5. Select the Unit buttons to define the unit of the selected value.

  6. Select the Enter button to enter the numeric values.


Mask Setup Dialog Box

100-TX > Template > Configure > Mask Setup

  • In the Samples text box, enter the number of samples to use in the test. Entering the number of samples stops the test when that number has been reached
    The accepted range of samples is between 5000 and 2,147,400,000. The default number of samples is 16,000

  • In the Fail Thresh text box, enter the minimum number of samples that must fail for the test to fail
    The accepted range of samples is between 1 and 2,147,483,647. The default fail threshold is 1

Tip: You can use the Virtual Keyboard or the General Purpose knobs to enter the values in the Samples and Fail Thresh fields.

10-T > Template > Configure > Mask Setup

  • In the # of Wfms text box, enter the number of waveforms to use in the test. Entering the number of waveforms stops the test when that number has been reached
    The accepted range of samples is between 1 and 2,147,483,647. The default number of samples is 16.

  • In the Fail Thresh text box, enter the minimum number of samples that must fail for the test to fail
    The accepted range of samples is between 1 and 2,147,483,647. The default fail threshold is 1.

Tip: You can use the Virtual Keyboard or the General Purpose knobs to enter the values in the Samples and Fail Thresh fields.


Exit Dialog Box

File> Exit

You can exit the application by restoring the oscilloscope settings to the previous state before starting the application or retaining the present oscilloscope settings

  1. Select File > Exit.

  2. Select Yes to restore the oscilloscope settings to their original state before starting the application and exit the application.
    or
    Select No to retain the present oscilloscope settings and exit the application.
    or
    Select Cancel to cancel the operation and return to the application.

Note: Clicking [image] displays the Exit dialog box.


Specification Range for 1000BASE-T

Each test result depends on whether the measured value is within the specification range.

The specification range for 1000BASE-T are listed in the following table:

Test |  | Specification Range
Template |  |
 | A | Fit the template
 | B | Fit the template
 | C | Fit the template
 | D | Fit the template
 | F | Fit the template
 | H | Fit the template
Peak Voltage |  |
 | A | 670 mV to 820 mV
 | B | 670 mV to 820 mV
 | % Difference between A & B Test | (1 - |Point A|/|Point B|) * 100 < 1%
 | C | (1 - (0.5 * (|Point A| + |Point B|)/2)/|Point C|) * 100% <2%
 | D | (1 - (0.5 * (|Point A| + |Point B|)/2)/|Point D|) * 100% <2%
Droop |  |
 | G | (Point G/Point F) *100% > 73.1%
 | J | (Point H/Point J) *100% > 73.1%
Jitter |  |
TX_TCLK (Yes) |  |
 | Master Filtered | Master Filtered Pk-Pk Jitter + Jtxout < 0.3 ns
 | Master Unfiltered | Master Unfiltered Pk-Pk Jitter <1.4ns
 | Slave Filtered | Slave Filtered Pk-Pk Jitter + Jtxout < 0.4 ns + Master Filtered Pk-Pk Jitter
 | Slave Unfiltered | Slave Unfiltered Pk-Pk Jitter <1.4 ns
TX_TCLK (No) |  |
 | Master Filtered | Data (TM2) Filtered Pk-Pk Jitter < 0.3 ns - Inconclusive Data (TM2) Filtered Pk-Pk Jitter > 0.3 ns - Fail
 | Master Unfiltered | Data (TM2) Unfiltered Pk-Pk Jitter < 1.4 ns - Pass Data (TM2) Unfiltered Pk-Pk Jitter > 1.4 ns - Inconclusive
 | Slave Filtered | Data (TM3) Filtered Pk-Pk Jitter - Data (TM2) Filtered Pk-Pk Jitter < 0.4 ns - Pass Data (TM3) Filtered Pk-Pk Jitter - Data (TM2) Filtered Pk-Pk Jitter > 0.4 ns - Fail
 | Slave Unfiltered | Data (TM3) Unfiltered Pk-Pk Jitter - Data (TM2) Unfiltered Pk-Pk Jitter < 1.4 ns - Pass Data (TM3) Unfiltered Pk-Pk Jitter - Data (TM2) Unfiltered Pk-Pk Jitter > 1.4 ns - Fail
Distortion |  | < 10 mV
Return Loss |  | At least 16 dB over the frequency range of 1.0 MHz to 40 MHz and at least 10 -20log 10 (f/80) dB over the frequency range 40 MHz to 100 MHz (f in MHz)
Common Mode Voltage |  | < 50 mV Pk-Pk


Specification Range for 100BASE-TX

Each test result depends on whether the measured value is within the specification range.

The specification range for 100BASE-TX are listed in the following table:

Test |  | Specification Range
Template |  |
 | AOI Template | Fit the template
Differential Output Voltage |  |
 | Output Voltage (+Vout) | 950 mV to 1050 mV
 | Output Voltage (-Vout) | -950 mV to -1050 mV
Signal Amplitude Symmetry |  |
 | Signal Amplitude Symmetry | 0.98 to 1.02
Rise Time |  |
 | Rise Time (+ve) | 3.0 ns to 5.0 ns
 | Rise Time (-ve) | 3.0 ns to 5.0 ns
Fall Time |  |
 | Fall Time (+ve) | 3.0 ns to 5.0 ns
 | Fall Time (-ve) | 3.0 ns to 5.0 ns
Rise/Fall Time Symmetry |  |
 | Rise/Fall Symmetry (+ve) | <500 ps
 | Rise/Fall Symmetry (-ve) | <500 ps
Waveform Overshoot |  |
 | Overshoot(+ve) | <5%
 | Overshoot(-ve) | <5%
Jitter |  |
 | Transmit Jitter | < 1.4 ns
Duty Cycle Distortion |  |
 | Distortion | < 500 ps (+/- 250 ps)
Return Loss |  | > 16 dB from 2 MHz to 30 MHz > (16 - 20log (f/30 MHz)) dB from 30 MHz to 60 MHz > 10 dB from 60 MHz to 80 MHz


Specification Range for 10BASE-T

Each test result depends on whether the measured value is within the specification range.

The specification range for 10BASE-T are listed in the following table:

Test |  | Specification Range
Template |  |
 | MAU Ext | Fit the Template
 | MAU Ext Inv | Fit the Template
 | MAU Int | Fit the Template
 | MAU Int Inv | Fit the Template
 | Link Pulse | Fit the Template
 | TP_IDL | Fit the Template
Differential Voltage |  | Positive peaks - +2.2 V to +2.8 V Negative peaks - -2.2 V to -2.8 V
Harmonic |  | < Fundamental - 27 dB
Jitter |  |
Note: Jitter values are according to the Internal MAU measurement.
 | with cable Normal 8.0BT 8.5BT | < 11 ns (+/- 5.5 ns) < 22 ns (+/- 11 ns) < 22 ns (+/- 11 ns)
 | without cable Normal 8.0BT 8.5BT | < 16 ns (+/- 8 ns) < 40 ns (+/- 20 ns) < 40 ns (+/- 20 ns)
Note: Jitter values are according to the External MAU measurement.
 | with cable Normal 8.0BT 8.5BT | < 7 (+/-3.5 ns) < 14 (+/-7) < 14 (+/-7)
 | without cable Normal 8.0BT 8.5BT | < 16 (+/-8 ns) < 32 (+/-16 ns) < 32 (+/-16 ns)
Return Loss |  | At least 15 dB over the frequency range of 5.0 to 10 MHz
Common mode Voltage |  | < 50 mV Peak


1000BASE-T Mask Segments

The segments for the mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

Mask Segments for 1000BASE-T

Click on each of these expanding hotspots to view how the segments for each mask are numbered.

  • Point A

  • Point B

  • Point C

  • Point D

  • Point F

  • Point H

  • Return Loss


100BASE-T Mask Segments

The segments for the mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

Mask Segments for 100BASE-TX

Click on each of these expanding hotspots to view how the segments for each mask are numbered.

Template

Return Loss


10BASE-T Mask Segments

The segments for the Link_Pulse mask are numbered as shown in the following figure.

The segments for the MAU Ext mask are numbered as shown in the following figure.

The application introduces a gap in the mask where segment 1 & 5 merge.

The segments for the MAU Ext Inv mask are numbered as shown in the following figure.

The application introduces a gap in the mask where segment 1 & 5 merge.

The segments for the MAU Int mask are numbered as shown in the following figure.

The application introduces a gap in the mask where segment 1 & 5 merge.

The segments for the MAU Int Inv mask are numbered as shown in the following figure.

The application introduces a gap in the mask where segment 1 & 5 merge.

The segments for the TP_IDL mask are numbered as shown in the following figure.

The segments for the mask are numbered as shown in the following figure.

Mask Segments for 10BASE-T

Click on each of these expanding hotspots to view how the segments for each mask are numbered.

  • Link Pulse

  • MAU Ext

  • MAU Ext Inv

  • MAU Int

  • MAU Int Inv

  • TP_IDL

  • Return Loss


About the GPIB Program

To enable Remote GPIB, click Utilities > Enable Remote GPIB.

With knowledge of the GPIB command syntax, you can design a GPIB program to do the following tasks:

  • Start the TDSET3 application

  • Recall the saved setup, either default or the user defined

  • Select the technology (speed) and the test

  • Configure test parameters

  • Run the test

  • Retrieve the results for the conducted tests

  • Generate reports

  • Save the current setup

  • Exit the application


Starting and Setting Up the Application Using GPIB

To start the TDSET3 application, you must send the oscilloscope the following GPIB command:

application:activate "Ethernet Compliance Test Software"

The application uses the GPIB VARIABLE:VALUE command with arguments to execute the supported features.

You must continually query for application status. If the status indicates GPIB disabled, you must manually enable Remote GPIB by clicking Utilities > Enable Remote GPIB.


Variable:Value TDS Command

GPIB Command Syntax

Description

This command accepts string arguments for a control or data variable and a value to which to set the argument.

Syntax

VARIABLE:VALUE "<variable name>","<variable value>"

Note:

The arguments <variable name> and <variable value> are required in the order indicated.

VARIABLE:VALUE? <variable name> for query.

CAUTION. Commands are case and space sensitive. All variables and values supported by the application are in lower case and without any spaces in between characters.


Variable:Value TDS Command Arguments and Queries (Part 1)

TDSET3 Application Command Arguments and Queries

Group/Name | Value | Function | Query returns
Application
recall | The setup file name which consists of any string from 1 to 40 characters from A to Z and, or 0 to 9 or special characters like “.” or “default”. "default" refers to the default file name. If file extension not specified , it is assumed to be .ini. | Recalls the settings for the application from the mentioned file. The directory location of the file is the default (C:\TekApplications\TDSET3\setup. If the file doesn’t have appropriate setting values, the default settings will override the same. | Query is not valid.
save | The setup filename, which consists of any string from 1 to 40 characters from A to Z and, or 0 to 9 or Special characters like “.”If file extension not specified , it is assumed to be .ini. | Saves the current application settings in the filename specified. The directory location of the file is the default (C:\TekApplications\ TDSET3\setup. | Query is not valid.
application | exitwrecall, exitworecall | Exits the application. | Returns the value of application variable.
application | minimize | Minimizes the active application. | Returns the value of application variable.
application | Hide | Hides the active application. | Returns the value of application variable.
application | maximize | Maximizes the active application. | Returns the value of application variable.
application | show | Shows the application, which was earlier hidden. | Returns the value of application variable.
version | Query only |  | Returns the version number of the application.
Speed
speed | 1000-T, 100-TX, 10-T | Sets the speed. | The value of the set speed.
run | {on, off}*** | Runs the previously selected test if value is ON. Stops the currently running test, if any, if the value is OFF. | The value of test variable, on, off.
Results and status
getremblk | {n}**** where n >= 1 and n <= the value returned on querying for “remcounter” | Updates “resultrem” with the remark block asked for. Please read the note on Retrieving Remarks for further details. |
processdone | {no}** | Indicates that a set command follows. Please read note on processdone command for further details. |
remcounter | {Query only}**** |  | Returns a count of remarks block available for the last test run.
resultsum | Query only |  | Returns the summary of the last test conducted, pass, fail.
resultstd | Query only |  | Standard field of the result details, for the test queried.
resultmeas | Query only |  | Measured field of the result details , for the test queried.
resultsts | Query only |  | Status field of the result details, for the test queried.
resultrem | {Query only}**** |  | Remark field of the result details, for the test queried.
status | Query only |  | Returns the error code or “Test Stopped”, “Test running” , ”Test Complete”.

Group/Name | Value | Function | Query returns
Report Configuration
report | summary, detail | Invokes the report generation, summary or detailed. | Query not valid.
repname | The setup filename, which consists of any string from 1 to 40 characters from A to Z and, or 0 to 9 or Special characters like “.” | Sets the report layout filename. Next report generation, will use the layout from this file. | Returns the file name of the report layout file.
deviceid | Any string from 1 to 40 characters from A to Z and, or 0 to 9 with valid Windows, Dos format. | Specifies the device ID field for report generation. This field is visible in several locations throughout the application independent of the report generations panelDefault setting is set to “ ” 1 space character | Returns the specified DeviceIDApplies to Compliance modules.
portid | Any printable character from keyboard. | Sets the Port id. | Returns the value of port id.
reppairid | Any printable character from keyboard. | Sets the report pair id. | Returns the report pair id.
devicedetails | Any printable character from keyboard. | Sets the devicedetails parameter. | Returns the device details.
process | Any printable character from keyboard. | Sets the value for the process. | Returns the value of process.
volt | Any printable character from keyboard. | Sets the value for the voltage report config. | Returns the value of voltage.
temp | Any printable character from keyboard. | Sets the value for the temperature report config. | Returns the value of temparature.
lastcaldate | Any printable character from keyboard. | Sets the last calibration date. | Returns the last calibration date.
imgport | {true, false} | Sets the image port. | Returns the status of image port.
lastrepdet | Query only |  | Returns the last saved (detailed) report filename.
lastrepsum | Query only |  | Returns the last saved (summary) report filename.
1000Base-T test values for "resultfor" variable
resultfor | templatea, templateb, templatec, templated, templatef, templateh, peaka, peakb, peakc, peakd, droopg, droopj, jitmasterfilt, jitmasterunfilt, jitslaveunfilt, distortion, returnloss1000, cmvolt1000 | Sets the result variables with appropriate result values for that particular test. |
100Base-TX test values for "resultfor" variable
resultfor | templatepos, templateneg, outputvoltpos, outputvoltneg, ampsym, risetimepos, risetimeneg, falltimepos, falltimeneg, rfsympos, rfsymneg, rfsymmaxmin, overshootpos, overshootneg, jitpos, jitneg, dcdrand, dcd0101, returnlosstx100, returnlossrx100 | Sets the result variables with appropriate result values for that particular test. |
10Base-T test values for "resultfor" variable
resultfor | maunorm, mauinv, lpload1wotpm, lpload2wotpm, lp100wotpm, lpload1wtpm, lpload2wtpm, lp100wtpm, lptiming, tpidlload1wotpm, tpidlload2wotpm, tpidl100wotpm, tpidlload1wtpm, tpidlload2wtpm, tpidl100wtpm, diffvoltmaxpos, diffvoltmaxneg, diffvoltpos, diffvoltneg, harmonic, jitwcablenorm, jitwcable8bt, jitwcable85bt, jitwocablenorm, jitwocable8bt, jitwocable85bt, returnlosstx10, returnlossrx10, cmvolt10 | Sets the result variables with appropriate result values for that particular test. |
harmonicres0 | Query only |  | Harmonic test’s result measured. Measured results from Harmonic2 to Harmonic5 can be got from this variable.
harmonicres1 | Query only |  | Harmonic test’s result measured. Measured results from Harmonic6 to Harmonic9 can be got from this variable.
harmonicres2 | Query only |  | Harmonic test’s result measured. Measured results from Harmonic10 to Harmonic13 can be got from this variable.
harmonicres3 | Query only |  | Harmonic test’s result measured. Measured results from Harmonic14 to Harmonic17 can be got from this variable.
harmonicres4 | Query only |  | Harmonic test’s result measured. Measured results from Harmonic18 to Harmonic21 can be got from this variable.
harmonicres5 | Query only |  | Harmonic test’s result measured. Measured results from Harmonic22 to Harmonic25 can be got from this variable.

**Note on processdone command:

Set commands are of the format variable:value “<variable_name>”,”<value>”

Get or query commands are of the format variable:value? “<variable_name>”

For TDSET3 versions later than 1.3.1, BEFORE every remote GPIB SET command , you must send <variable:value “processdone”,”no”> and AFTER every set command, you have to wait on "processdone" variable until it returns a “yes”, that is, you have to keep polling for <Variable:value? “processdone”> and only after it returns a “yes”, the next command, either set or get can be sent.

Please ensure that this order is followed for the command script to work correctly.

A sample script is listed here. It recalls a default setting, selects TemplatePeakall test, runs the test, and query the result measured for peaka test.

variable:value “processdone”,”no”

variable:value “recall”,”default”

variable:value? “processdone”

“no”

…..keep polling until it returns a yes

variable:value? “processdone”

“yes”

variable:value “processdone”,”no”

variable:value test”,”templatepeakall”

variable:value? “processdone”

“no”

…..keep polling until it returns a “yes”

variable:value? “processdone”

“yes”

variable:value “processdone”,”no”

variable:value run”,”on”

variable:value? “processdone”

“no”

…..keep polling until it returns a “yes”

variable:value? “processdone”

“yes”

variable:value“processdone”,”no”

variable:value “resultfor”,”peaka”

variable:value? “processdone”

“no”

…..keep polling until it returns a “yes”

variable:value? “processdone”

“yes”

variable:value? “resultmeas”

***Note on run command:

After issuing a run command, you should wait for processdone command to return a “yes” and then query “status”. Once the status returns “Test Complete” then query for the result details.

Sometimes after the run command is issued and if the processdone command returns a “yes”, the test may not be complete. The test could be stopped because of an error condition that caused the TDSET3 application to terminate the run operation and indicate processdone as “yes”. Thus it is advisable to always wait on “processdone” before looking for results and ensure that the test is complete to query the status. If status returned does not indicate any error or test stopped, but that the test is complete then query for results.

****Note on Retrieving Remarks:

Result remarks for some tests is lengthy and can not be retrieved by one query.

Thus the following code to retrieve all the remark blocks.

Each block is one chunk of remarks data.

variable:value? “remcounter”

“4”

//Returns the number of remark blocks available. This indicates there are four blocks of remarks for the last test run. If user wants to retrieve first and second block of remarks, the following list of commands need to be sent.

Variable:value “processdone”,”no”

variable:value “getremblk”,”1”

//On receiving this command TDSET3 fills “resultrem” with the first block of remarks.Wait on “processdone” to return “yes”, then query for result remarks.

variable:value? “processdone”

“yes”

variable:value? “resultrem”

"RMS = 1.48mV SNR = 53.59dB

Peak Distortion at symbol 1188 = - 5.427mV

Peak Distortion at symbol 1863 = + 4.855mV

Peak Disto"

//this will return the first block of remarks data.

variable:value “processdone”,”no”

variable:value “getremblk”,”2”

//On receiving this command TDSET3 fills “resultrem” with the second block of remarks

variable:value? “processdone”

“yes”

variable:value? “resultrem”

"rtion at symbol 222 = - 4.785mV

TX_TCLK Freq = 125.0MHZ

TX_TCLK ppm = 0.000006% [0.057 ppm]

DC Offset Measured = -15.39mV"


Variable:Value TDS Command Arguments and Queries (1000-T)

GPIB Commands for 1000BASE-T

Group/Name | Value | Function | Query returns
Selecting test parameters for 1000BASE-T
test | templatea, templateb, templatec, templated, templatef, templateh | Selects the template test. | The value of test variable.
test | peaka, peakb, peakc, peakd | Selects the peak volt test. | The value of test variable.
test | templatepeakall | Selects all the template and peak volt tests. | The value of test variable.
test | droopg, droopj, droopall | Selects the droop test. | The value of test variable.
test | jitmasterfilt, jitmasterunfilt | Selects the jitter master test. | The value of test variable.
test | jitslaveunfilt | Selects the jitter slave test. | The value of test variable.
test | distortion | Selects the distortion test. | The value of test variable.
test | returnloss1000 | Select the return loss test. | The value of test variable.
test | cmvolt1000 | Select the CM voltage test. | The value of test variable.

Group/Name | Value | Function | Query returns
Configuring test parameters for 1000BASE-T
avgs:1000 | n >= 64 and n <= 10,000 | Configures the number of averages for template peak, and droop. | The number of averages.
avgs4distortion | n >= 64 and n <= 10,000 | Configuring the number of averages distortion 1000Base-T test. | The number of averages set for distortion test.
clkedge | rising, falling | Configures the clock edge for jitter tests. | The type of clock edge - rising or falling.
data:1000 | {ch1, ch2, ch3, ch4}* | Configures the source data for template, peak, droop, jitter, distortion, and cmvoltage tests. | The channel chosen for source data.
disturber | yes, no | Configures the disturber for template, peak, droop and distortion tests. | The status indicating if the disturber is included or not.
filter | int, ext | Configures the filter - internal or external - for template, and peak tests. | The type of the filter used, either internal or external.
masterclk | {ch1, ch2, ch3, ch4}* | Configures the master clock for jitter 1000Base-T test. | The value of the channel chosen for master clock.
meastype | TIE, Histogram | Configures the measure type for unfiltered jitter test. | The measure type.
slaveclk | {ch1, ch2, ch3, ch4}* | Configures the slave clock for jitter slave test. | The value of the channel chosen for slave clock.
output:1000 | {ref1, ref2, ref3, ref4}* | Configures the output for template, peak, droop and distortion tests. | The channel chosen for output.
reclen | 100K, 1 Meg, 4 Meg, 7.5 Meg, 8 Meg, 10 Meg, 16 Meg, 20 Meg | Configuring the record length for jitter tests in 1000Base-T. This is not present for unfiltered jitter test with measurement type set to Histogram. Default value is max memory available on the scope. | The value of record length previously set.
resolution | n >= 2 and n <= 75 | Configuring the resolution for the distortion test in 1000Base-T. | The value of the resolution previously set.
txtclksrc | {ch1, ch2, ch3, ch4}* | Configuring the clock, when distortion test is selected and txtclk is set to yes, for 1000Base-T. | The channel chosen for txtclock source.
txtclk | yes, no | The status indicating if txtclk is included or not. | The status indicating if txtclk is included or not.
distclk | yes, no | The status indicating if the clock is included or not. | The status indicating if the disturber is included or not.
lpfilter | yes, no | Status of the Low Pass filter for distortion tests. | The status of the Low Pass filter for distortion tests.
jitterlpfilter | yes/no | Status of the Jitter Low Pass filter for jitter tests. | Status of the Jitter Low Pass filter for jitter tests.
rlsrc1:1000 | {ch1, ch2, ch3, ch4}* | Configuring the sources P1/P3/P5/P7 for the return loss test in 1000Base-T. | The value of the source1 for return loss.
rlsrc2:1000 | {ch1, ch2, ch3, ch4}* | Configuring the sources P2/P4/P6/P8 for the return loss test in 1000Base-T. | The value of the source2 for return loss.
rloutput:1000 | {ref1, ref2, ref3, ref4}* | Configuring the source for the return loss test in 1000Base-T | The value of the return loss for output waveform.
rllimit:1000 | {ref1, ref2, ref3, ref4}* | Configuring the source for the return loss test in 1000Base-T | The value of the limit for output waveform of return loss.
avgtime:1000 | n >= 100 and n <= 10,000 | Configuring the average time for return loss test for 1000Base-T. | The value of average time.
smooth:1000 | n >= 00 and n <= 10 | Configuring the average frequency for return loss test for 1000Base-T. | The value of average frequency.
pairid | a, b, c, d | Configuring the pair id for return loss test for 1000Base-T. | The value of the pair id previously set.
load:1000 | "load85/100/115","load100" | Configuring the load parameter for return loss test in 1000Base-T. | The value of the load parameter.
awg:1000 | {awgselect,awg4xx /awg2021/awg5xx/awg6xx/awg7xx} | Configure the AWG being used for 1000Base-T return loss tests. | Returns the AWG series being used for 1000Base-T return loss test.
datatm2 | {ch1, ch2, ch3, ch4}* | Configuring the data test mode 2 source for the jitter test in 1000Base-T. | The value of the test mode 2 source for jiiter test.
datatm3 | {ch1, ch2, ch3, ch4}* | Configuring the data test mode 3 source for the jitter test in 1000Base-T. | The value of the test mode 3 source for jiiter test.
hysteresis | {n} n >= 5.0 and n <= 30.0 | Configuring the hysteresis value for jitter 1000Base-T tests. | The value of hysteresis for jitter tests.

Group/Name | Value | Function | Query returns
Jig Match
jmmeas | jmdistall, jmdutamp, jmprobeamp | Measure the jig match parameters. | Query not valid.
jmdef | jmdistall, jmdutamp, jmprobeamp | Set the jig match parameters to default. | Query not valid.
jmlastjm | Query only |  | Returns the last jig match parameter measured.
jmamp | Query only |  | Returns the value of the amp.
jmfreq | Query only |  | Returns the value of the freq.
jmdutamp | Query only |  | Returns the value of the DUT amp.
jmprobeamp | Query only |  | Returns the value of the probe point amp.
jmatten | Query only |  | Returns the value of the atten.
jmstatus | Query only |  | Returns the Jig Match status, either jmon/jmoff.ON indicates jig match measure is in progress.
jmaction | jmapply, jmcancel |  | Applies the measured values or cancels the same.

*Note on channel selections :

Channel 3 and Channel 4 can be chosen only on a 4-channel oscilloscope.

Ref3 and Ref4 can be chosen only on a 4-channel oscilloscope.

Math3 and Math4 can be chosen only on a 4-channel oscilloscope.


Variable:Value TDS Command Arguments and Queries (100-Tx)

GPIB Commands for 100BASE-TX

Group/Name | Value | Function | Query returns
Selecting test parameters for 100BASE-TX
test | template, templatepos, templateneg | Selects the template test and the polarity. | The value of test variable.
test | outputvoltboth, outputvoltpos, outputvoltneg | Selects the output volt test and the polarity. | The value of test variable.
test | ampsym | Selects the amp sym test. | The value of test variable.
test | risetimeboth, risetimepos, risetimeneg | Selects the rise time test and the polarity. | The value of test variable.
test | falltimeboth, falltimepos, falltimeneg | Selects the fall time test and the polarity. | The value of test variable.
test | rfsymboth, rfsympos, rfsymneg | Selects the rfsym test, with the polarity. | The value of test variable.
test | overshootboth, overshootpos, overshootneg | Selects the overshoot test, with the polarity. | The value of test variable.
test | jitboth, jitpos, jitneg | Selects the jitter test and the polarity. | The value of test variable.
test | dcdrand, dcd0101 | Selects the distortion test and pattern values. | The value of test variable.
test | all | Selects all the 100Base-Tx tests with polarity as “both” and pattern as “random”. | The value of test variable.
test | returnlosstx100, returnlossrx100 | Select the return loss test. | The value of test variable.

Group/Name | Value | Function | Query returns
Configuring test parameters for 100BASE-TX
acq:100 | sample, avg | Configures the acquisition to sample or average for all 100Base-TX tests except template and jitter. | The type of acquisition.
data:100 | {ch1, ch2, ch3, ch4}* | Configures the source data for tests. | The channel chosen for source data.
pulsewidth | 16, 80 | Configures the pulse width for rise, fall time test, R/F sym test. | The pulse width value.
maskscale | norm,0.95,1.05 | Configuring the template scale for template tests of 100Base-TX. | The value of template scale.
rlsrc1:100 | {ch1, ch2, ch3, ch4}* | Configuring the sources P1, P3 for the return loss test in 100Base-Tx. | The value of the source1 for return loss.
rlsrc2:100 | {ch1, ch2, ch3, ch4}* | Configuring the sources P2, P4 for the return loss test in 100Base-Tx. | The value of the source2 for return loss.
rloutput:100 | {ref1, ref2, ref3, ref4}* | Configuring the source for the return loss test in 100Base-Tx. | The value of the return loss for output waveform.
rllimit:100 | {ref1, ref2, ref3, ref4}* | Configuring the source for the return loss test in 100Base-Tx. | The value of the limit for output waveform of return loss.
avgtime:100 | n >= 100 and n <= 10,000 | Configuring the average time for return loss test for 100Base-Tx. | The value of average time.
smooth:100 | n >= 0 and n <= 10 | Configuring the average frequency for return loss test for 100Base-Tx. | The value of average frequency.
load:100 | "load85, 100, 115","load100" | Configuring the load parameter for return loss test in 100Base-Tx. | The value of the load parameter.
awg:100 | awg4xx, awg2021, awg5xx, awg6xx, awg7xx | Configure the AWG being used for 100Base-Tx return loss tests. | Returns the AWG series being used for 100BaseTx return loss test.

The following oscilloscope commands can be used to set or query the number of waveforms, horizontal position, and vertical position for 100Base-Tx tests.
Command | Value | Function | Query returns
ACQuire:NUMAVg x | x >= 2 and x <= 10,000 | Sets the number of waveforms for 100Base-Tx. |
ACQuire:NUMAVg ? |  | Queries the number of waveforms for 100Base-Tx. | The number of waveforms.
HORIZONTAL:POSITION x | x >= 0 and x <= 99.9 | Sets the horizontal position for 100Base-Tx. |
HORIZONTAL:POSITION ? |  | Queries the horizontal position for 100Base-Tx. | The value of the horizontal position.
CHx:POSITION y | x >= 1 and x <= 4 y >= 0.0 and y <= 5.00 | Sets the vertical position for the selected channel for 100Base-Tx. |
CHx:POSITION ? |  | Queries the vertical position for the selected channel for 100Base-Tx. | The value of the vertical position for the selected channel.

*Note on channel selections :

Channel 3 and Channel 4 can be chosen only on a 4-channel oscilloscope.

Ref3 and Ref4 can be chosen only on a 4-channel oscilloscope.

Math3 and Math4 can be chosen only on a 4-channel oscilloscope.


Variable:Value TDS Command Arguments and Queries (10-T)

GPIB Commands for 10BASE-T

Group/Name | Value | Function | Query returns
Selecting test parameters for 10BASE-T
test | mauboth, maunorm, mauinv | Selects the mau test with both, normal or inverted. | The value of test variable.
test | lpload1wotpm, lpload2wotpm, lp100wotpm, lpload1wtpm, lpload2wtpm, lp100wtpm | Selects the link pulse with load test. | The value of test variable.
test | tpidlload1wotpm, tpidlload2wotpm, tpidl100wotpm, tpidlload1wtpm, tpidlload2wtpm, tpidl100wtpm | Selects the tp idl with load test. | The value of test variable.
test | diffvoltmax, diffvoltall | Selects the diff volt test. | The value of test variable.
test | harmonic | Selects the harmonic test. | The value of test variable.
test | jitwcableall, jitwcablenorm, jitwcable8bt, jitwcable85bt, jitwocableall, jitwocablenorm, jitwocable8bt, jitwocable85bt | Selects the jitter test, with or without cable. | The value of test variable.
test | returnlosstx10, returnlossrx10 | Select the return loss test. | The value of test variable.
test | cmvolt10 | Select the CM voltage test. | The value of test variable.

Group/Name | Value | Function | Query returns
Configuring test parameters for 10BASE-T
acq:10 | sample, avg | Configures the acquisition to sample or average for link pulse and tp_idl tests. | The type of acquisition.
avgs:10 | n >= 2 and n <= 10,00,000 | Configures the number of averages for harmonic test. | The number of averages.
data:10 | {ch1, ch2, ch3, ch4}* | Configures the source data. | The channel chosen for source data.
masksel | both, head, tail | Configures the mask selection section for link pulse or TP_IDL tests. | The mask selection.
mauscale | norm, 0.9, 1.1 | Configures the MAU scale for MAU template test. | The mau scale value, either normal or 0.9 or 1.1.
mautype | int, ext | Configures the mau type for jitter with, without cable (parameteric) and MAU (template) tests. | The MAU type, either internal or external.
timescale | 10, 1 | Configures the time scale for harmonic test. | The time scale value.
linkseq | Norm, Fast | Configuring the sequence for Link Pulse test in 10Base-T. | The type of sequencing.
testoptions | both, template, timing | Configuring the test options for the link pulse test in 10Base-T. | The test option chosen for the link pulse test.
output:10 | {math1, math2, math3, math4}* | Configures the output for harmonic test. | The channel chosen for output.
rlsrc1:10 | {ch1, ch2, ch3, ch4}* | Configuring the sources P1, P3 for the return loss test in 10Base-T. | The value of the source1 for return loss.
rlsrc2:10 | {ch1, ch2, ch3, ch4}* | Configuring the sources P2, P4 for the return loss test in 10Base-T. | The value of the source2 for return loss.
rloutput:10 | {ref1, ref2, ref3, ref4}* | Configuring the source for the return loss test in 10Base-T. | The value of the return loss for output waveform.
rllimit:10 | {ref1, ref2, ref3, ref4}* | Configuring the source for the return loss test in 10Base-T. | The value of the limit for output waveform of return loss.
avgtime:10 | n >= 100 and n <= 10,000 | Configuring the average time for return loss test for 10Base-T. | The value of average time.
smooth:10 | n >= 0 and n <= 10 | Configuring the average frequency for return loss test for 10Base-T. | The value of average frequency.
load:10 | "load85, 100, 111", "load100" | Configuring the load parameter for return loss test in 10Base-T. | The value of the load parameter.
awg:10 | awg4xx, awg2021, awg5xx, awg6xx, awg7xx | Configure the AWG being used for 10Base-T return loss tests. | Returns the AWG series being used for 10Base-T return loss test.

The following oscilloscope commands can be used to set or query the number of waveforms, fail threshold, horizontal position, and vertical position for 10Base-T tests.

Command | Value | Function | Query returns
ACQuire:NUMAVg x | x >= 2 and n <= 10000 | Sets the number of waveforms for 10Base-T. |
ACQuire:NUMAVg ? |  | Queries the number of waveforms for 10Base-T. | The number of waveforms.
MASK:TEST:THRESHOLD x | x >= 1 and n <= 2147483647 | Sets the fail threshold for 10Base-T. |
MASK:TEST:THRESHOLD ? |  | Queries the fail threshold for 10Base-T. | The value of the fail threshold.
MASK:TEST:WAVEFORM x | x >= 1 and n <= 2147483647 | Sets the number of waveforms for 10Base-T. |
MASK:TEST:WAVEFORM ? |  | Queries the number of waveforms for 10Base-T. | The number of waveforms.
HORIZONTAL:POSITION x | x >= 0 and x <= 99.9 | Sets the horizontal position for 10Base-T. |
HORIZONTAL:POSITION ? |  | Queries the horizontal position for 10Base-T. | The value of the horizontal position.
CHx:POSITION y | x >= 1 and x <= 4 y >= 0.0 and y <= 5.00 | Sets the vertical position for the selected channel for 10Base-T. |
CHx:POSITION ? |  | Queries the vertical position for the selected channel for 10Base-T. | The value of the vertical position for the selected channel.

*Note on channel selections :

Channel 3 and Channel 4 can be chosen only on a 4-channel oscilloscope.

Ref3 and Ref4 can be chosen only on a 4-channel oscilloscope.

Math3 and Math4 can be chosen only on a 4-channel oscilloscope.


AWG Automation

Group/Name | Value | Function | Query returns
AWG Automation
automate | gpib, manual | Sets the AWG automation to GPIB mode or manual mode. | Returns the current mode of automation.
boardtype | GPIB0, GPIB1, GPIB2, GPIB3, GPIB4, GPIB5, GPIB6, GPIB7, GPIB8, GPIB9 | Sets the GPIB board type to the specified value. This will be used if the AWG is automated. | Returns the board type being used for automation of AWG.
priaddr | n, where n = 1 to 30 | Sets the primary address to the specified value. This will be used if the AWG is automated. | Returns the primary address over which the oscilloscope talks to the AWG if the automation mode is GPIB.
secaddr | n, where n = 1 to 30 | Sets the secondary address to the specified value. This will be used if the AWG is automated. | Returns the secondary address over which the oscilloscope talks to the AWG if the automation mode is GPIB.
testconn | start | Initiates the connection testing process. | No Query supported. “status” can be queried to know the result of test connection.


Program Example

The program example shows how to communicate to the TDSET3 application using remote GPIB commands.

The oscilloscope hard disk and optional application compact disc both contain the file, DefaultRun.c. On the hard drive, the file resides in the C:\TekApplications\TDSET3\GPIBExamples directory.

The Program Example shows how a GPIB program executes the application to do the following tasks:

  • Start the TDSET3 application

  • Run the test

  • Retrieve the results for the conducted tests

  • Recall the default setup

In this example, you will recall the default setup. You can use the File> Save function in the application to save setup files.

#ifdef __cplusplus

extern "C"{

#endif

#include <windows.h>

#include <stdio.h>

#include <stdlib.h>

#include "decl-32.h"

#ifdef __cplusplus

}

#endif

/* Forward Declarations */

int start_application(int scope);

int exit_application(int scope);

int recall_setup(int scope, char* filename);

int recall_defaultsetup(int scope) ;

int run_single_test (int scope);

void query_results(int scope) ;

void GPIBCleanup(int ud, char* ErrorMsg);

// parameters needed to access the device driver handler

#define BDINDEX 0 // Board Index

#define PRIMARY_ADDR_OF_DMM 1 // Primary address of device

#define NO_SECONDARY_ADDR 0 // Secondary address of device

#define TIMEOUT T10s // Timeout value = 10 seconds

#define EOTMODE 1 // Enable the END message

#define EOSMODE 0 // Disable the EOS mode

#define APP_NOT_RUNNING -1

#define RGPIB_ENABLED 1

#define RGPIB_DISABLED 0

char    ErrorMnemonic[21][5] = {"EDVR", "ECIC", "ENOL", "EADR", "EARG",

"ESAC", "EABO", "ENEB", "EDMA", "",

"EOIP", "ECAP", "EFSO", "", "EBUS",

"ESTB", "ESRQ", "", "", "", "ETAB"};

/*

* After each GPIB call, the application checks whether the call

* succeeded. If an NI-488.2 call fails, the GPIB driver sets the

* corresponding bit in the global status variable. If the call

* failed, this procedure prints an error message, takes

* the device offline and exits.

*/

//--------------------------------------------------------------------------

int main()

{

int Dev;

char write_buffer[100];

int status;

int nAppStatus = -1;

Dev = ibdev (BDINDEX, PRIMARY_ADDR_OF_DMM, NO_SECONDARY_ADDR,

TIMEOUT, EOTMODE, EOSMODE);

if (ibsta & ERR)

{

GPIBCleanup(Dev, "Unable to open device");

}

else

{

printf("My device id - %i", Dev);

}

sprintf(write_buffer, "%s", "header off");

status = ibwrt(Dev, write_buffer, strlen(write_buffer));

nAppStatus = start_application(Dev);

if ( nAppStatus  == RGPIB_ENABLED )

{

printf("\nApplication started....\n");

}

else if ( nAppStatus == RGPIB_DISABLED )

{

printf("\nRGPIB is disabled, please enable it and then press Enter to continue");

getchar();

}

else if ( nAppStatus == APP_NOT_RUNNING )

{

exit_application(Dev);

// leave the device back elegantly

printf("Cleanup: Taking device offline\n");

ibonl(Dev, 0);

exit(0);

}

run_single_test(Dev);

printf("\nRun single test complete now....\n");

query_results(Dev);

printf("\nQuery results complete now....\n");

recall_defaultsetup(Dev);

printf("\nRecall Default complete now....\n");

printf("Cleanup: Taking device offline\n");

ibonl(Dev, 0);

printf("Press any key to exit this sample application...\n");

getchar();

}

//--------------------------------------------------------------------------

/* Start Ethernet Compliance Test Software application */

int start_application( int scope )

{

char write_buffer[100];

char read_buffer[100];

int status;

int timer = 1;

/* Start the application */

sprintf(write_buffer, "%s", "Application:activate \"Ethernet Compliance Test Software\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR){

GPIBCleanup(scope, "Unable to start the application");

return 0;

}

while (1)

{

// Check whether application has started

sprintf(write_buffer, "%s", "Variable:value? \"application\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

status = ibrd(scope, read_buffer, sizeof(read_buffer));

read_buffer[ibcnt] = '\0';

if ( strcmp(read_buffer,"\"GPIB Enabled\"\n") == 0 )

{

return RGPIB_ENABLED;

}

else if (strcmp(read_buffer,"\"GPIB Disabled\"\n") == 0 )

{

return RGPIB_DISABLED;

}

timer++;

if (timer >500)

{

return 0;

}

Sleep(1000);

}

return APP_NOT_RUNNING;

}

//--------------------------------------------------------------------------

int exit_application(int scope)

{

char write_buffer[100];

printf("Exit Application ...\n");

sprintf(write_buffer, "%s", "Variable:value \"application\",\"exitworecall\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

return 1;

}

//--------------------------------------------------------------------------

int recall_setup(int scope, char* filename)

{

char write_buffer[100];

int status;

/* recall setup */

sprintf(write_buffer, "%s%s%s", "Variable:value \"recall\",\"", filename, "\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to communicate with Scope");

return 0;

}

return 1;

}

//--------------------------------------------------------------------------

int recall_defaultsetup(int scope)

{

char write_buffer[100];

int status;

/* recall default setup */

sprintf(write_buffer, "%s", "Variable:value \"recall\",\"Default\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to communicate with Scope");

return 0;

}

return 1;

}

//--------------------------------------------------------------------------

int run_single_test (int scope)

{

char write_buffer[100];

char read_buffer[100];

int timer;

sprintf(write_buffer, "%s", "Variable:value \"run\",\"on\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

printf("Executing Test...\n");

Sleep(1000);

// Wait for application to come to Ready State

timer = 1;

while (1)

{

timer++;

if (timer > 500)

{

printf("******Test Time Out ******\n");

return 0;

}

sprintf(write_buffer, "%s", "Variable:value? \"run\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

/* read the answer */

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt - 1] = '\0';

if (strcmp(read_buffer,"\"off\"") == 0)

{

printf("Test Completed or stopped ...\n");

return 1;

}

Sleep(1000);

}

}

//--------------------------------------------------------------------------

void query_results(int scope)

{

char write_buffer[100];

char read_buffer[100];

// Check for errors

sprintf(write_buffer, "%s", "Variable:value? \"status\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

/* read the answer */

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt - 1 ] = '\0';

if (strcmp(read_buffer,"\"Test Complete\"") != 0)

{

printf("Error has Occured. %s\n",read_buffer);

}

else

printf("\nstatus is %s\n",read_buffer);

// If no error, check for results

//result summary

sprintf(write_buffer, "%s", "Variable:value? \"resultsum\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

/* read the answer */

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt - 1] = '\0';

printf("Result summary : %s\n",read_buffer);

//result standard

sprintf(write_buffer, "%s", "Variable:value? \"resultstd\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

/* read the answer */

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt - 1] = '\0';

printf("Result standard : %s\n",read_buffer);

//result measured

sprintf(write_buffer, "%s", "Variable:value? \"resultmeas\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

/* read the answer */

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt - 1] = '\0';

printf("Result Measured : %s\n",read_buffer);

//result remarks

sprintf(write_buffer, "%s", "Variable:value? \"resultrem\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

/* read the answer */

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt - 1] = '\0';

printf("Result Remarks : %s\n",read_buffer);

//result status

sprintf(write_buffer, "%s", "Variable:value? \"resultsts\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

/* read the answer */

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt - 1] = '\0';

printf("Result Status : %s\n",read_buffer);

}

//--------------------------------------------------------------------------

void GPIBCleanup(int ud, char* ErrorMsg)

{

printf("Error : %s\nibsta = 0x%x iberr = %d (%s)\n",

ErrorMsg, ibsta, iberr, ErrorMnemonic[iberr]);

if (ud != -1)

{

printf("Cleanup: Taking device offline\n");

ibonl(ud, 0);

}

exit(0);

}

//--------------------------------------------------------------------------


Guidelines to GPIB Programming

The application includes an example file of a GPIB program. View the program example. Your GPIB program should comply with the following guidelines:

  • You need to manually enable Remote GPIB by clicking Utilities > Enable Remote GPIB. The Remote GPIB remains enabled or disabled until you manually change it

  • You need to connect a separate GPIB cable between the PC and the oscilloscope for GPIB to work. GPIB commands do not work through LAN

  • You need to ensure that the startup is complete before sending additional GPIB commands to the application

  • After sending a GPIB command to activate the application, you can send a remote GPIB command to query for application variable to check if the application is activated or not and to know the GPIB status that is enabled or disabled

  • If "processdone" command is not sent before every set command or waited upon until it returns a “yes” before sending the next command, you need to include delay between commands in the GPIB command script

  • You can query for test results after the test is run and complete

  • Before running the GPIB commands, you can query for *IDN? variable to identify the oscilloscope and ensure that the oscilloscope is responding

  • You can query for the status variable to either know if the tests is complete or ensure that an error has not occurred

  • Ensure that you are in the appropriate technology for which you are selecting or configuring test parameters

  • You can query for lastrepdet variable to know where the last detailed report is saved

  • You can query for lastrepsum variable to know where the last report summary is saved

  • You can query for jmstatus variable to know if the application is compensating a disturber or test fixture. Do not query for Jig Match parameters if the jmstatus variable is ON

  • You can query for variables harmonicres0 to harmonicres5 to view the harmonic test results


Note on Guidelines to GPIB Programming

  • The application does not respond to commands that were sent before the application was activated

  • GPIB commands do not work through LAN

  • Remote GPIB commands does not support the View Waveform functionality

  • When the application processes remote GPIB commands, all the relevant message boxes are disabled

  • If you are in the Select pane while sending GPIB commands to configure a test parameter, the application does not display the Configure pane. But if you are in the Configure pane while sending GPIB commands to select a test, the application will display the Select pane

  • The Result Details variables such as resultmeas, resultstd, or resultsts are updated only after the selected test is run. If the tests run are either 1000Base-T Select All, or 100Base-T All the result details variables will be updated only after you chose the test for which you would like to see the results for by setting the resultsfor variable with the test name

  • While running a test, the remote GPIB commands are not processed until the test is complete

  • Do not operate User Interface and Front panel of the oscilloscope manually

  • The application does not display the report irrespective of the preview option being enabled or disabled

  • When a test is run, the results are available after the status indicates Test Complete. When multiple tests are run, one test result is made available. You can retrieve the results for other tests by setting 'resultfor' with the test name and querying for results. For example, if "outputvoltboth" test is run then the result for the test "outputvoltpos" is made available and if 1000BaseT "templatepeakall" test is run then the result for the test "templatea" is made available. The following table gives the name of multiple tests the results of which are made available soon after the test is complete.

Test Name | Test Result
1000-T tests
templatepeakall | templatea
droopall | droopg
100-Tx tests
templateall | templatepos
outputvoltboth | outputvoltpos
risetimeboth | risetimepos
falltimeboth | falltimepos
rfsymboth | rfsympos
overshootboth | overshootpos
jitterboth | jitterpos
jitwcableall | jitwcablenorm
jitwocableall | jitwocablenorm
10-T tests
mauboth | maunorm
diffvoltall | diffvoltpos
diffvoltmax | diffvoltmaxpos


Calibration for 1000BASE-T Return Loss

  1. Use TC1 of the test fixture for calibration. Make the connections as shown by the following figure.

  2. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  3. Select Tests > Connect or Connect.

Note: The Open, Load and Short button are enabled only after you press New Cal.

  4. Click on New Cal.

  • Connect CAT5 cable to J200 of TC1 and J702 (OPEN)

  • Click Open. Once the open calibration is complete, the string Done appears below the selected calibration
    The following figure shows a typical waveform for Return Loss Open Calibration:

  • Connect CAT5 cable to J200 of TC1 and J703 (SHORT)

  • Click Short. Once the Short calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Short Calibration:

  • Connect CAT5 cable to J200 of TC1 and J704 (LOAD)

  • Click Load. Once the Load calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Load Calibration:

  • After all the calibrations are complete, the Apply Cal button is enabled

  • Click Apply Cal. The calibration is complete

To clear the calibrations and re-calibrate, click on New Cal again.


Calibration_for_100BASE-TX Return_Loss Transmitter

  1. Use TC1 of the test fixture for calibration. Make the connections as shown by the following figure:

  2. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  3. In the Return Loss tab, select Transmitter.

  4. Select Tests > Connect or Connect.

Note: The Open, Load and Short button are enabled only after you press New Cal.

  5. Click on New Cal.

  • Connect CAT5 cable to J200 of TC1 and J702 (OPEN)

  • Click Open. Once the open calibration is complete, the string Done appears below the selected calibration
    The following figure shows a typical waveform for Return Loss Transmitter Open Calibration:

  • Connect CAT5 cable to J200 of TC1 and J703 (SHORT)

  • Click Short. Once the Short calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Transmitter Short Calibration:

  • Connect CAT5 cable to J200 of TC1 and J704 (LOAD)

  • Click Load. Once the Load calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Transmitter Load Calibration:

  • After all the calibrations are complete, the Apply Cal button is enabled

  • Click Apply Cal. The calibration is complete

To clear the calibrations and re-calibrate, click on New Cal again.


Calibration_for_100BASE-TX Return_Loss Receiver

  1. Use TC1 of the test fixture for calibration. Make the connections as shown by the following figure:

  2. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  3. In the Return Loss tab, select Receiver.

  4. Select Tests > Connect or Connect.

Note: The Open, Load and Short button are enabled only after you press New Cal.

  4. Click on New Cal.

  • Connect CAT5 cable to J200 of TC1 and J702 (OPEN)

  • Click Open. Once the open calibration is complete, the string Done appears below the selected calibration
    The following figure shows a typical waveform for Return Loss Receiver Open Calibration:

  • Connect CAT5 cable to J200 of TC1 and J703 (SHORT)

  • Click Short. Once the Short calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Receiver Short Calibration:

  • Connect CAT5 cable to J200 of TC1 and J704 (LOAD)

  • Click Load. Once the Load calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Receiver Load Calibration:

  • After all the calibrations are complete, the Apply Cal button is enabled

  • Click Apply Cal. The calibration is complete

To clear the calibrations and re-calibrate, click on New Cal again.


Calibration for 10BASE-T Return Loss Transmitter

  1. Use TC1 of the test fixture for calibration. Make the connections as shown by the following figure:

  2. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  3. In the Return Loss tab, select Transmitter.

  4. Select Tests > Connect or Connect.

Note: The Open, Load and Short button are enabled only after you press New Cal.

  4. Click on New Cal.

  • Connect CAT5 cable to J200 of TC1 and J702 (OPEN)

  • Click Open. Once the open calibration is complete, the string Done appears below the selected calibration
    The following figure shows a typical waveform for Return Loss Transmitter Open Calibration:

  • Connect CAT5 cable to J200 of TC1 and J703 (SHORT)

  • Click Short. Once the Short calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Transmitter Short Calibration:

  • Connect CAT5 cable to J200 of TC1 and J704 (LOAD)

  • Click Load. Once the Load calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Transmitter Load Calibration:

  • After all the calibrations are complete, the Apply Cal button is enabled

  • Click Apply Cal. The calibration is complete

To clear the calibrations and re-calibrate, click on New Cal again.


Calibration for 10BASE-T Return Loss Receiver

  1. Use TC1 of the test fixture for calibration. Make the connections as shown by the following figure:

  2. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  3. In the Return Loss tab, select Receiver.

  4. Select Tests > Connect or Connect.

Note: The Open, Load and Short button are enabled only after you press New Cal.

  4. Click on New Cal.

  • Connect CAT5 cable to J200 of TC1 and J702 (OPEN)

  • Click Open. Once the open calibration is complete, the string Done appears below the selected calibration
    The following figure shows a typical waveform for Return Loss Receiver Open Calibration:

  • Connect CAT5 cable to J200 of TC1 and J703 (SHORT)

  • Click Short. Once the Short calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Receiver Short Calibration:

  • Connect CAT5 cable to J200 of TC1 and J704 (LOAD)

  • Click Load. Once the Load calibration is complete, the string Done appears below the selected calibration. The following figure shows a typical waveform for Return Loss Receiver Load Calibration

  • After all the calibrations are complete, the Apply Cal button is enabled

  • Click Apply Cal. The calibration is complete

To clear the calibrations and re-calibrate, click on New Cal again.


STD 1000BASE-T Templates

Template

Purpose:

To verify that the transmitter output fits the time domains transmit templates.

Reference to the Standard:

Subclause 40.6.1.2.3 of IEEE standard 802.3-2002 ab

What the Standard says:

According to standard, the Test Mode 1 signal from the DUT needs to be normalized. This should be compared to the differential output templates shown in Figure 40-26 of the standard. The normalization factors to be applied to various points are:

  • For Point A: Normalization with the peak voltage at point A

  • For Point B: Normalization with the negative of peak voltage at point A

  • For Point C: Normalization with 0.5 times the peak voltage at point A

  • For Point D: Normalization with the negative of 0.5 times the peak voltage at point A

  • For Point F and H: The waveform around points F and H are compared to time domain transmit template 2 after the following normalization factors are applied:

    • Normalization with the peak voltage at point F

    • Normalization with the peak voltage at point H

According to standard, the waveform can be shifted in time to fit the template.


STD 1000BASE-T Peak Voltage

Peak Voltage

Purpose:

To verify correct transmitter output levels.

Reference to the Standard:

Subclause 40.6.1.2.1 of IEEE standard 802.3-2002 ab

What the Standard says:

According to standard, magnitude of peak differential output voltage measured at points A and B should be between 670 and 820 mV. Also, these conditions should be met:


STD 1000BASE-T Droop

Droop

Purpose:

To verify that the transmitter output level does not decay faster than the maximum specified rate.

Reference to the Standard:

Subclause 40.6.1.2.2 of IEEE standard 802.3-2002 ab

What the Standard says:

According to standard, the Point G and J are exactly 500 ns from Points F and H respectively. The magnitude of voltage at Point G should be greater than 73.1% magnitude of voltage at Point F and magnitude of voltage at Point J should be greater than 73.1% magnitude of voltage at Point H.


STD 1000BASE-T Jitter

Jitter (with TX_TCLK ACCESS)

Purpose:

To verify that the transmitter output level does not reduce faster than the maximum specified rate.

Reference to the Standard:

Subclause 40.6.1.2.5 of IEEE standard 802.3-2002 ab

What the Standard says:

Jitter Master Unfiltered — According to the standard, the peak-to-peak value of jitter waveform on MASTER TX_TCLK relative to unjittered reference should be less than 1.4 ns.

Jitter Master Filtered — According to the standard, the peak-to-peak value of jitter waveform on MASTER TX_TCLK when filtered by a high pass filter, [image] with the transfer function below + JTx out of Data related to the corresponding edge of MASTER TX_TCLK should be less than 0.3 ns.

Jitter Slave Unfiltered — According to the standard, the peak-to-peak value of jitter waveform on SLAVE TX_TCLK relative to unjittered reference should be less than 1.4 ns.

Jitter Slave Filtered —According to the standard, the peak-to-peak value of jitter waveform on SLAVE TX_TCLK when filtered by a high pass filter, [image] with the transfer function below + JTx out of data related to the corresponding edge of SLAVE TX_TCLK should be less than 0.4 ns + peak-to-peak value of jitter waveform on MASTER TX_TCLK when filtered by a high pass filter, [image].

Note: J denotes the square root of -1.

Jitter (without TX_TCLK ACCESS)

Purpose:

To provide an analysis of the Transmitter Timing Jitter test method defined in Clause 40.6.1.2.5 of IEEE 802.3, and to propose an alternative method that may be used in cases where a device does not provide access to the TX_TCLK signal.

Reference:

  1. IEEE standard 802.3-2000, subclause 40.6.1.1.1 – Test channel

  2. Ibid., subclause 40.6.1.1.2, figure 40-20 – Test modes

  3. Ibid., subclause 40.6.1.1.3, figure 40-25 – Test fixtures

  4. Ibid., subclause 40.6.1.2.5 – Transmitter Timing Jitter

  5. Test suite appendix 40.6.A – 1000BASE-T transmitter test fixtures

Note: The references mentioned here are proposed, and not part of a standard. This is an alternate test method for jitter measurement being proposed, when TX_TCLK is not accessible. This is an informal test method.

Transmitting Timing Jitter (Alternate Method):

Jitter Master Unfiltered — The peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference should be less than 1.4 ns (pass).

The peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference should be more than 1.4 ns (inconclusive).

Jitter Master Filtered — The peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference, when filtered by a high pass filter, [image] with the transfer function below should be less than 0.3 ns (pass).

The peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference, when filtered by a high pass filter, [image] with the transfer function below should be more than 0.3 ns (inconclusive).

Jitter Slave Unfiltered — The difference between the peak-to-peak value of jitter waveform on data in Test Mode 3 relative to unjittered reference and the peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference should be less than 1.4 ns (pass).

The difference between the peak-to-peak value of jitter waveform on data in Test Mode 3 relative to unjittered reference and the peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference should be more than 1.4 ns (fail).

Jitter Slave Filtered — The difference between the peak-to-peak value of jitter waveform on data in Test Mode 3 relative to unjittered reference, when filtered by a high pass filter, [image] with the transfer function below, and the peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference, when filtered by a high pass filter, [image] with the transfer function below, should be less than 0.4 ns (pass).

The difference between the peak-to-peak value of jitter waveform on data in Test Mode 3 relative to unjittered reference, when filtered by a high pass filter, [image] with the transfer function below, and the peak-to-peak value of jitter waveform on data in Test Mode 2 relative to unjittered reference, when filtered by a high pass filter, [image] with the transfer function below, should be more than 0.4 ns (fail).


Std_1000T_Distortion

Distortion

Purpose:

To verify that the peak distortion of the DUT is within the conformance limits.

Reference to the Standard:

Subclause 40.6.1.2.4 of IEEE standard 802.3-2002

What the Standard says:

The peak distortion of the Test Mode 4 differential signal, when sampled with the symbol rate TX_TCLK at an arbitrary phase and processing this block of any 2047 consecutive samples, should be less than 10 mV.


Std_CM Voltage

CM Voltage

Purpose:

To verify that the common-mode voltage of the DUT is within the conformance limits.

Reference to the Standard:

Subclause 40.8.3.3 of IEEE standard 802.3-2002

What the Standard says:

The magnitude of the total common-mode output voltage, Ecm_out, on any transmit circuit, shall be less than 50 mV peak-to-peak when transmitting data.


Std_1000T_Return Loss

Return Loss

Purpose:

To verify that the return loss of the device under test (DUT) is above the conformance limit.

Reference to the Standard:

Subclause 40.8.3.1 of IEEE standard 802.3-2002 ab

What the Standard says:

At least 16 dB over the frequency range of 1.0 MHz to 40 MHz and at least 10 -20log 10 (f /80)dB over the frequency range 40 MHz to 100 MHz (f in MHz).


STD 100BASE-TX Templates

Template

Purpose:

To verify that the transmitter output fits the time domains transmit templates.

Reference to the Standard:

Annex J of ANSIX3.263-1995

What the Standard says:

According to standard, Active Output Interface (AOI) transmitting scrambled Halt Line State should fit in the template.


STD 100BASE-TX Output Voltage

Differential Output Voltage

Purpose:

To verify that the differential output voltage of the device under test (DUT) is within the conformance limits.

Reference to the Standard:

Subclause 9.1.2.2 of ANSI X3.263-1995

What the Standard says:

According to standard, differential output voltage (Vout) should lie in the range of 950 mV to 1050 mV in both positive and negative excursion.


STD 100BASE-TX Amplitude Symmetry

Signal Amplitude Symmetry

Purpose:

To verify that the signal amplitude symmetry of the device under test (DUT) is within the conformance limits.

Reference to the Standard:

Subclause 9.1.4 of ANSI X3.263-1995

What the Standard says:

The ratio of the + Vout magnitude to – Vout magnitude shall be between the limits:

0.98 [image] |+Vout| / |- Vout| [image] 1.02


STD 100BASE-TX Rise or Fall Time

Rise and Fall Time

Purpose:

To verify that the response times of the DUT are within the conformance limits.

Reference to the Standard:

Subclause 9.1.6 of ANSI X3.263-1995

What the Standard says:

Active Output Interface (AOI) rise and fall time shall be in the range of 3.0ns and 5.0ns. Rise and fall times are defined as time difference between 10% and 90% voltage levels. Both positive and negative rise/fall times should be validated.

The difference between the maximum and the minimum of all measured rise and fall times should be less than 0.5 ns.


STD 100BASE-TX Waveform Overshoot

Waveform Overshoot

Purpose:

To verify that the waveform overshoot of the DUT is below the conformance limit.

Reference to the Standard:

Subclause 9.1.3 of ANSI X3.263-1995

What the Standard says:

According to standard, Overshoot is the percentage excursion of the differential signal transition beyond Vout. Differential signal overshoot should not exceed 5%. Both positive and negative overshoot are to be measured.


STD 100BASE-TX Jitter

Jitter

Purpose:

To verify that the peak-to-peak jitter of the DUT is within the conformance limits.

Reference to the Standard:

Subclause 9.1.9 of ANSI X3.263-1995

What the Standard says:

According to standard, the peak-to-peak jitter should not exceed 1.4 ns.


STD 100BASE-TX Duty Cycle Distortion

Duty Cycle Distortion

Purpose:

To verify that the duty cycle distortion of the DUT is below the conformance limit.

Reference to the Standard:

Subclause 9.1.8 of ANSI X3.263-1995

What the Standard says:

According to standard, duty cycle distortion should be measured at the 50% voltage points on rise and fall transitions of the differential output waveform and should not exceed ±0.25 ns.


Std_100TX_Return Loss

Return Loss

Purpose:

To verify that the return loss at the transmitter or receiver of the device under test (DUT) is above the conformance limit.

Reference to the Standard:

Subclause 9.1.5 and 9.2.2 of ANSI X3.263-1995

What the Standard says:

Greater than 16 dB from 2 MHz to 30 MHz

Greater than (16 – 20log(f/30 MHz)) dB from 30 MHz to 60 MHz

Greater than 10 dB from 60 MHz to 80 MHz


STD 10BASE-T MAU Ext Templates

MAU Ext

Purpose:

To verify that the transmitter output equalization meets standard specifications.

Reference to the Standard:

Subclause 14.3.1.2.1 of IEEE standard 802.3-2002

What the Standard says:

According to standard, the transmitter waveform should lie within the template for all data sequences at the twisted-pair model’s output with 100 ohm termination.


STD 10BASE-T MAU Int Templates

MAU Int

Purpose:

To verify that the transmitter output equalization meets standard specifications.

Reference to the Standard:

Subclause 14.3.1.2.1 of IEEE standard 802.3-2002

What the Standard says:

According to standard, the transmitter waveform should lie within the template for all data sequences at the twisted-pair model’s output with 100 ohm termination.


STD 10BASE-T TP_IDL Templates

TP_IDL

Purpose:

To verify that the transmitter functions properly after a transition to the idle state.

Reference to the Standard:

Subclause 14.3.1.2.1 of IEEE standard 802.3-2002

What the Standard says:

According to standard, the TP_IDL pulse should lie within the template. This test shall be done across each of the specified test loading Load 1, Load 2, Load 3 with and without twisted-pair model.


STD 10BASE-T Link Pulse Templates

Link Pulse

Purpose:

To verify that the link test pulse waveforms meet specification.

Reference to the Standard:

Subclause 14.3.1.2.1 of IEEE standard 802.3-2002

What the Standard says:

According to standard, the link test pulse should lie within the template. This test shall be done across each of the specified test loading Load 1, Load 2, Load 3 with and without twisted-pair model.


STD 10BASE-T Differential Voltage

Differential Voltage

Purpose:

To verify that the differential voltage of the DUT is within the conformance limits.

Reference to the Standard:

Subclause 14.3.1.2.1 of IEEE standard 802.3-2002

What the Standard says:

Peak differential voltage of transmitter waveform when terminated with a 100 ohm resistor should lie between 2.2 V and 2.8 V for all data sequences.


STD 10BASE-T Harmonic

Harmonic

Purpose:

To verify that the harmonic content of the DUT is within the conformance limits.

Reference to the Standard:

Subclause 14.3.1.2.1 of IEEE standard 802.3-2002

What the Standard says:

Harmonic test is done when the DO circuit is driven by all ones. Each harmonic measured at the output of the transmitter shall be at least 27 dB below the fundamental.


STD 10BASE-T Jitter

Jitter

Purpose:

To verify that the jitter of the DUT is within the conformance limits.

Reference to the Standard:

Subclause 14.3.1.2.3 of IEEE standard 802.3-2002

Annexure B.4.3.3 Note for 14.3.1.2.3 of IEEE standard 802.3-2002

What the Standard says:

The transmitter output jitter when measured at the output of the twisted-pair model should lie within ±5.5 ns.

As per B.4.3.3 Note for 14.3.1.2.3 of IEEE standard 802.3-2002, failure of this test does not demonstrate noncompliance.

The transmitter output jitter when measured without the twisted-pair model should lie within ±8.0 ns.


Std 10T_CM Voltage

CM Voltage

Purpose:

To verify that the common-mode voltage of the DUT is within the conformance limits.

Reference to the Standard:

Subclause 14.3.1.2.5 of IEEE standard 802.3-2002

What the Standard says:

The magnitude of the total common-mode output voltage of the transmitter, Ecm, shall be less than 50 mV peak.


Std_10T_Return Loss

Return Loss

Purpose:

To verify that the return loss at the transmitter or receiver of the device under test (DUT) is above the conformance limit.

Reference to the Standard:

Subclause 14.3.1.2.2 of IEEE standard 802.3-2002 ab

What the Standard says:

At least 15 dB over the frequency range of 5.0 to 10 MHz.


Select 1000BASE-T Test Parameters

The following table lists how to select the 1000BASE-T test parameters.

Test Parameter | Selection
1000BASE-T | Click Tests > Select > 1000BASE-T or select 1000-T in the Speed pane.
Template | In the Template/Volt tab, select a point in the Template group.
Peak Voltage | In the Template/Volt tab, select a point in the Peak Volt group.
Droop | In the Droop tab, select a point.
Jitter Master Filtered | In the Jit/Distortion tab, select Master Filtered.
Jitter Master Unfiltered | In the Jit/Distortion tab, select Master Unfiltered.
Jitter Slave Filtered | In the Jit/Distortion tab, select Slave Filtered.
Jitter Slave Unfiltered | In the Jit/Distortion tab, select Slave Unfiltered.
Distortion | In the Jit/Distortion tab, select Distortion.
Return Loss | In the Return Loss tab, select Return Loss.
CM Voltage | In the CM Voltage tab, select CM Voltage.

Note: The TDS5000B series oscilloscopes does not support Jitter Slave Filtered test.


Select 100BASE-TX Test Parameters

The following table lists how to select the 100BASE-TX test parameters.

Test Parameter | Selection
100BASE-TX | Click Tests > Select > 100BASE-TX or select 100-TX in the Speed pane.
Template | In the Parametric tab, select Template. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both. For Positive polarity, the application tests segments 1, 2, 3, 6, and 7. For Negative polarity, the application tests segments 4, 5, 8, 9, and 10. For Both, the application tests all the segments.
Differential Output Voltage | In the Parametric tab, select Output Volt. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both.
Signal Amplitude Symmetry | In the Parametric tab, select Amp Sym. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both.
Rise Time | In the Parametric tab, select Rise Time. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both.
Fall Time | In the Parametric tab, select Fall Time. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both.
Rise/Fall Time Symmetry | In the Parametric tab, select R/F Sym. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both.
Waveform Overshoot | In the Parametric tab, select Overshoot. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both.
Jitter | In the Parametric tab, select Jitter. In the Polarity drop-down list, select Pos for positive, Neg for negative, or Both.
Duty Cycle Distortion | In the Parametric tab, select Distortion. Select Random or 010101 in the Pattern drop-down list.
Return Loss | In the Return Loss tab, select either Transmitter or Receiver.


Select 10BASE-T Test Parameters

The following table lists how to select the 10BASE-T test parameters.

Test Parameter | Selection
10BASE-T | Click Tests > Select > 10BASE-T or select 10-T in the Speed pane.
Template MAU | In the Template tab, select MAU and select Normal, Inverted or Both in the adjacent drop-down list. Select Configure in the Selection pane and select the MAU Type as External or Internal.
Template Link Pulse | In the Template tab, select Link Pulse. In the adjacent drop-down list, select the load with or without TPM — Load1 w/o TPM, Load2 w/o TPM, 100 ohm w/o TPM, Load1 with TPM, Load2 with TPM, or 100 ohm with TPM.
Template TP_IDL | In the Template tab, select TP_IDL. In the adjacent drop-down list, select the load with or without TPM — Load1 w/o TPM, Load2 w/o TPM, 100 ohm w/o TPM, Load1 with TPM, Load2 with TPM, or 100 ohm with TPM.
Differential Voltage | In the Parametric tab, select Diff Volt. From the Peak drop-down list, select the peak value as Max or MinMax.
Harmonic | In the Parametric tab, select Harmonic.
Jitter with cable | In the Parametric tab, select With Cable in the Jitter group. Select Normal, 8BT, 8.5BT, or All in the adjacent drop-down list.
Jitter without cable | In the Parametric tab, select w/o Cable in Jitter group. Select Normal, 8BT, 8.5BT, or All in the adjacent drop-down list.
Return Loss | In the Return Loss tab, select either Transmitter or Receiver.
CM Voltage | In the CM Voltage tab, select CM Voltage.


Configure 1000BASE-T

Configure > 1000BASE-T

Use this dialog box to configure 1000BASE-T for Source, # Averages, Output, Disturbing Signal, and Filter.

The following table shows the parameters that you can configure for 1000BASE-T tests.

The following table describes the 1000BASE-T configuration parameters.

Configuration Parameters

Description

Source

The Data source and CLK source should be mutually exclusive. The Data source, Master CLK source and Slave clock source should be mutually exclusive.

Data — Select the channel to which the DUT signal is connected.

Master CLK — Select the channel to which the master clock is connected.

Slave CLK — Select the channel to which the slave clock is connected.

TX_TCLK — Select the channel to which the TX_TCLK is connected.

Data (TM2) — Select the channel to which data in Test Mode 2 is connected.

Data (TM3) — Select the channel to which data in Test Mode 3 is connected.

Note: TX_TCLK drop-down list appears only for Distortion test and if you have selected TX_TCLK as Yes.

Data (TM2) and Data (TM3) drop-down lists appear only for Jitter tests if you have selected the TX_TCLK as No.

Master CLK and Slave CLK drop-down lists appear only for Jitter tests if you have selected the TX_TCLK as Yes.

# of Averages

Enter the number of averages between 64 and 10000 depending on the noise present in the acquired waveform.

Clock Edge

Select the clock edge on which the oscilloscope finds the trigger point.

Disturbing Signal

Select Yes or No depending on whether the disturbing signal is added to the test mode signal.

Filter

Select Int or Ext depending on whether the filter is applied internally or externally.

TX_TCLK

Select Yes or No to perform the Distortion test and Jitter test with TX_TCLK.

Output

Select the reference waveform on which the processed waveform will be stored.

Meas Type

Select the measurement type as either Time Interval Error (TIE) or Histogram.

Hi Resolution

Enter the number of averages to be done in the vertical domain.

Return Loss

Probe:P1 and Probe:P2 — Select the channels to which the probes are connected.

Note: Depending on the Pair ID selected, the sources will change from P1/P3/P5/P7 and P2/P4/P6/P8.

Load — Select the load as 85, 100, 111 ohm or 100 ohm.

Pair ID — Select the Pair ID as A, B, C, or D. Depending on the Pair ID selected the sources will change from P1/P3/P5/P7 and P2/P4/P6/P8.

Return Loss — Select the reference waveform on which the output waveform will be stored.

0 dB Marker — Select the reference waveform on which you want the 0 dB Marker to be indicated.

Note: Return Loss and 0 dB Marker fields appear only if you set Load as 100 ohm.

# Averages — Enter the number of waveforms you want to average.

Smooth — Enter the smoothening factor.

Record Length

Select the Record Length. This varies depending on the Memory option available on the oscilloscope.

Low Pass Filter

Select Yes or No. The Low Pas Filter has a cutoff frequency of 150 MHz and when applied, eliminates high frequency noise.

Hysteresis

Enter the hysteresis percent value for Jitter tests.

Configuration Parameters and Default Settings:

Parameter | Options | Default
Data | CH1, CH2, CH3, CH4 | CH1
Master CLK | CH1, CH2, CH3, CH4 | CH2
Slave CLK | CH1, CH2, CH3, CH4 | CH3
Data (TM2) | CH1, CH2, CH3, CH4 | CH1
Data (TM3) | CH1, CH2, CH3, CH4 | CH2
# Averages | 64 to 10000 | 64
Clock Edge | Rising, Falling | Rising
Disturbing Signal | Yes, No | No
Filter | Int, Ext | Int
TX_TCLK | No, Yes | No
TX_TCLK | CH1, CH2, CH3, CH4 | CH2
Output | Ref1, Ref2, Ref3, Ref4 | Ref1
Meas Type | Histogram, TIE | TIE
Hi Resolution | 02 to 75 | 64
Probe:P1/P3/P5/P7 | CH1, CH2, CH3, CH4 | CH1
Probe:P2/P4/P6/P8 | CH1, CH2, CH3, CH4 | CH2
Pair ID | A, B, C, D | A
Load | 85, 100, 115 ohm or 100 ohm | 85, 100, 115 ohm
Note: The TDS5052B oscilloscope displays the graticule only for 100 ohm Load.
Smooth | 0 - 10 | 7
Record Length | 100K, 1 Meg, 4 Meg, 7.5 Meg, 8 Meg, 10 Meg, 16 Meg, 20 Meg | Varies depending on the Memory option available on the oscilloscope.
Low Pass Filter | Yes, No | Yes
Hysteresis | 5.00% to 30.00% | 5.00%


Configure 100BASE-TX

Configure > 100BASE-TX

Use this dialog box to configure 100BASE-TX for Data source, Acquisition, Rise/Fall Time Test, and Mask Setup.

The following table shows parameters of 100BASE-TX that you can configure.

The following table describes the 100BASE-TX configuration parameters.

Configuration Parameters

Description

Source

Select the channel to which the Device Under Test (DUT) is connected.

Acquisition

Select Sample or Average depending on the acquisition mode. The Acquisition is only enabled for some tests.

  • If you select Average, enter the number of waveforms in # of Wfms field.

  • If you select Sample, the application assumes the number of waveforms as 1.

You can use the virtual keyboard or the general purpose knobs to enter the values in the Samples and Average text boxes.

Rise/Fall Time Test

Select Pulse Width as 16ns or 80ns.

You can only configure this parameter for Rise/Fall Time Symmetry, Rise Time, and Fall Time tests.

Mask Scale

Select Mask Scale as Normal, 0.95, or 1.05 depending on the Mask scale factor.

You can configure Mask Scale only for Template test.

Mask Setup

You can configure the Samples and Fail Thresh. You can only configure these parameters for the template tests.

Return Loss

Probe:P1 and Probe:P2 — Select the channels to which the probes are connected on the fixture.

Note: Depending on whether the Transmitter or Receiver is selected, the sources will change from P1/P3 and P2/P4.

Return Loss — Select the reference waveform on which the output waveform will be stored.

0 dB Marker — Select the reference waveform on which you want the 0 dB Marker to be indicated.

Note: Return Loss and 0 dB Marker fields appear only if you set Load as 100 ohm.

AWG Series — Select the AWG Series to use. If you select the default value–Select–then the application considers all AWGs other than the AWG 4xx series.

Load — Select the load as 85, 100, 111 ohm or 100 ohm.

# Averages — Enter the number of waveforms you want to average.

Smooth — Enter the smoothening factor.

Configuration Parameters and Default Settings:

Parameter | Options | Default
Data | CH1, CH2, CH3, CH4 | CH1
Acquisition | Sample, Average | If you select Sample, the default value is 1. If you select Average, the default # of Wfms is 16.
Mask Scale | Normal, 0.95, 1.05 | Normal
Mask Setup |  | See Mask Setup for information on default Sample and Fail Thresh.
Pulse Width | 16 ns, 80 ns | 80 ns
Probe:P1/P3 | CH1, CH2, CH3, CH4 | CH1
Probe:P2/P4 | CH1, CH2, CH3, CH4 | CH2
AWG Series | Select, AWG 4xx, AWG 2021, AWG 5xx, AWG 6xx, AWG 7xx | Select
Load | 85, 100, 115 ohm or 100 ohm | 85, 100, 115 ohm
Note: The two-channel oscilloscopes display the graticule only for 100 ohm Load.
Smooth | 0 - 10 | 7


Configure 10BASE-T

Configure > 10BASE-T

Use this dialog box to configure 10BASE-T for Data source, Acquisition, Harmonic Ones, and Mask Setup.

The following table shows parameters of 10BASE-T that you can configure.

The following table describes the 10BASE-T configuration parameters.

Configuration Parameters

Description

Source

Select the channel to which the Device Under Test (DUT) is connected.

Acquisition

Select Sample or Average depending on the acquisition mode. The Acquisition is only enabled for some tests.

  • If you select Average, enter the number of waveforms in # of Wfms field

  • If you select Sample, the application assumes the number of samples as 1

You can use the virtual keyboard or the general purpose knobs to enter the values in the Samples and Average text boxes.

Mask Selection

Select MAU Type as Internal or External.

Select MAU Scale as Normal, 0.9, or 1.1 depending on the MAU scale factor.

Select Section as Both, Head or Tail depending on the section of mask to test.

You can configure MAU Type and MAU Scale only for Template MAU tests.

You can configure Section only for Template TP_IDL and Link Pulse tests.

Mask Setup

You can configure the Samples and Fail Thresh. You can only configure these parameters for the template tests.

Harmonic all of ones

Select the math waveform on which the processed waveform will be displayed.

Enter the number of math waveforms to be averaged.

Enter the time or scale depending on the packet length being transmitted.

Sequence

You can set the sequence to Normal (NLP) or Fast (FLP). You can only configure this parameter for the Template Link Pulse test.

Test Options

Select Both to perform Template and Timing tests, Template Only to perform Template tests, and Timing Only to perform Timing tests. Timing tests are available for normal link pulse.

Return Loss

Probe:P1 and Probe:P2 — Select the channels to which the probes are connected on the fixture.

Note: Depending on whether the Transmitter or Receiver is selected, the sources will change from P1/P3 and P2/P4.

Return Loss — Select the reference waveform on which the output waveform will be stored.

0dB Marker — Select the reference waveform on which you want the OdB Marker to be indicated.

Note: Return Loss and 0dB Marker fields appear only if you set Load as 100 ohm.

AWG Series — Select the AWG Series to use. If you select the default value–Select–then the application considers all AWGs other than the AWG 4xx series.

Load — Select the load as 85, 100, 111 ohm or 100 ohm.

# Averages — Enter the number of waveforms you want to average.

Smooth — Enter the smoothening factor.

Configuration Parameters and Default Settings:

Parameter | Options | Default
Data | CH1, CH2, CH3, CH4 | CH1
Acquisition | Sample, Average | If you select Sample, the default value is 1. If you select Average, the default # of Wfms is 16.
Section | Both, Head, Tail | Both
MAU Type | Internal, External | Internal
MAU Scale | Normal, 0.9, 1.1 | Normal
Mask Setup |  | See Mask Setup for information on default Sample and Fail Thresh.
Sequence | Normal (NLP), Fast (FLP) | Normal (NLP)
Test Options | Both, Template Only, Timing Only | Both This option is not available in oscilloscopes without Fast-Frame feature.
Output | Math1, Math2, Math3, Math4 | Math1
Time/Scale | 10 micro seconds, 1micro seconds | 10 micro seconds
# Averages |  | 48 for other tests and 100 for Return Loss.
Probe:P1/P3 | CH1, CH2, CH3, CH4 | CH1
Probe:P2/P4 | CH1, CH2, CH3, CH4 | CH2
AWG Series | Select, AWG 4xx, AWG 2021, AWG 5xx, AWG 6xx, AWG 7xx | Select
Load | 85, 100, 111 ohm or 100 ohm | 85, 100, 111 ohm
Note: The TDS5052B oscilloscope displays the graticule only for 100 ohm Load.
Smooth | 0 - 10 | 7


Connect 1000BASE-T Template

Connect for 1000BASE-T Template, Peak Volt, Droop, and Distortion

With Disturbing Signal

Use TC5 of the test fixture for this test. Make the connections as shown by the following figure:

  1. For Template, Peak Volt, and Droop tests, set the DUT to generate Test Mode 1 signal.

  2. For Distortion test, set the DUT to generate Test Mode 4 signal.

  3. Connect the Ethernet cable to J700 and test port of the DUT.

  4. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  5. Connect a BNC Cable to AWG- and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

Note: The AWG golden waveforms are available in C:\TekApplications\TDSET3\AWGWaveforms. You can use relevant waveform files to generate the disturbing signal. Some of the AWG models do not support the .set file for automatic settings. Refer to the ReadMe.txt file for instructions to make those settings manually. In particular, ensure that the AWG clock frequency is set to 250 MHz. This file is available in the corresponding AWG waveform file folder. You can automate the AWG to transfer files and settings as described in Automate AWG.

  6. To test Pair A, do the following:

  • Short the jumpers J621, J630, J623, J721, J723, J680, and J781

  • Ensure that the other jumpers are open

  • Connect the Differential Probe to P18 and configured channel of the oscilloscope

  7. To test Pair B, do the following:

  • Short the jumpers J620, J622, J631, J721, J723, J680, and J781

  • Ensure that the other jumpers are open

  • Connect the Differential Probe to P18 and configured channel of the oscilloscope

  8. To test Pair C, do the following:

  • Short the jumpers J620, J623, J720, J730, J723, J680, and J781

  • Ensure that the other jumpers are open

  • Connect the Differential Probe to P18 and configured channel of the oscilloscope

  9. To test Pair D, do the following:

  • Short the jumpers J620, J623, J721, J722, J731, J680, and J781

  • Ensure that the other jumpers are open

  • Connect the Differential Probe to P18 and configured channel of the oscilloscope

Without Disturbing Signal

Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  1. For Template, Peak Volt, and Droop tests, set the DUT to generate a Test Mode 1 signal.

    For Distortion test, set the DUT to generate a Test Mode 4 signal.

  2. Connect the Ethernet cable to J490 and test port of the DUT.

  3. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

  4. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

  5. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

  6. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.

NOTE. Align the positive (+) probe-tip of the differential probe with the notch marked on the test fixture.


Connect 1000BASE-T Jitter Master Filtered

If you have access to TX_TCLK

Step 1:

Use TC3 of the test fixture to calculate master clock jitter. Make the connections as shown by the following figure:

  1. Set the DUT in Normal mode as Master.

  2. Connect the Ethernet cable to J501 and test port of the DUT.

  3. Connect the Test Channel spool to J580 and Link partner.

  4. Connect the active probe from TX_TCLK of the DUT to the configured channel of the oscilloscope.

  5. To test Pair A, connect the Differential Probe to P13 and configured channel of the oscilloscope.

  6. To test Pair B, connect the Differential Probe to P14 and configured channel of the oscilloscope.

  7. To test Pair C, connect the Differential Probe to P15 and configured channel of the oscilloscope.

  8. To test Pair D, connect the Differential Probe to P16 and configured channel of the oscilloscope.

Step 2:

Use TC2 of the test fixture to calculate data jitter with respect to master clock. Make the connections as shown by the following figure:

  1. Set the DUT to generate a Test Mode 2 signal.

  2. Connect the Ethernet cable to J490 and test port of the DUT.

  3. Connect the active probe from TX_TCLK of the DUT to the configured channel of the oscilloscope.

  4. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

  5. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

  6. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

  7. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.

If you do not have access to TX_TCLK

  1. Set the DUT to generate a Test Mode 2 signal.

  2. Connect the Ethernet cable to J490 and test port of the DUT.

  3. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

  4. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

  5. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

  6. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.


Connect 1000BASE-T Jitter Master Unfiltered

If you have access to TX_TCLK

Use TC3 of the test fixture to calculate master clock jitter. Make the connections as shown by the following figure:

  1. Set the DUT to generate a Test Mode 2 signal.

  2. Connect the Ethernet cable to J501 and test port of the DUT.

  3. Connect the Test Channel spool to J580 and Link partner.

  4. Connect the active probe from TX_TCLK of the DUT to the configured channel of the oscilloscope.

  5. To test Pair A, connect the Differential Probe to P13 and configured channel of the oscilloscope.

  6. To test Pair B, connect the Differential Probe to P14 and configured channel of the oscilloscope.

  7. To test Pair C, connect the Differential Probe to P15 and configured channel of the oscilloscope.

  8. To test Pair D, connect the Differential Probe to P16 and configured channel of the oscilloscope.

If you do not have access to TX_TCLK

  1. Set the DUT to generate a Test Mode 2 signal.

  2. Connect the Ethernet cable to J490 and test port of the DUT.

  3. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

  4. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

  5. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

  6. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.


Connect 1000BASE-T Jitter Slave Filtered

If you have access to TX_TCLK

Step 1:

Use TC3 of the test fixture to calculate master and slave clock jitter. Make the connections as shown by the following figure:

  1. Set the DUT in Normal mode as Slave.

  2. Connect the Ethernet cable to J501 and test port of the DUT.

  3. Connect the Test Channel spool to J580 and Link partner.

  4. Connect the active probe from TX_TCLK of the DUT to the configured channel of the oscilloscope.

  5. Connect the active probe from TX_TCLK of the Link Partner to the configured channel of the oscilloscope.

  6. To test Pair A, connect the Differential Probe to P13 and configured channel of the oscilloscope.

  7. To test Pair B, connect the Differential Probe to P14 and configured channel of the oscilloscope.

  8. To test Pair C, connect the Differential Probe to P15 and configured channel of the oscilloscope.

  9. To test Pair D, connect the Differential Probe to P16 and configured channel of the oscilloscope.

Step 2:

Use TC2 of the test fixture to calculate data jitter with respect to slave clock. Make the connections as shown by the following figure:

  1. Set the DUT to generate a Test Mode 3 signal.

  2. Connect the Ethernet cable to J490 and test port of the DUT.

  3. Connect the active probe from TX_TCLK of the DUT to the configured channel of the oscilloscope.

  4. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

  5. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

  6. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

  7. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.

If you do not have access to TX_TCLK

Step 1:

  1. Set the DUT to generate test mode 2 signal.

  2. Connect the Ethernet cable to J490 and test port of the DUT.

  3. Connect the active probe from Data (TM2) to the configured channel of the oscilloscope.

  4. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

  5. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

  6. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

  7. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.

Step 2:

  1. Set the DUT to generate test mode 3 signal.

  2. Connect the Ethernet cable to J490 and test port of the DUT.

  3. Connect the active probe from Data (TM3) to the configured channel of the oscilloscope.

  4. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

  5. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

  6. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

  7. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.


Connect 1000BASE-T Jitter Slave Unfiltered

If you have access to TX_TCLK

Use TC3 of the test fixture to calculate slave clock jitter. Make the connections as shown by the following figure:

  1. Set the DUT in Normal mode as Slave.

  2. Connect the Ethernet cable to J501 and test port of the DUT.

  3. Connect the Test Channel spool to J580 and Link partner.

  4. Connect the active probe from TX_TCLK of the DUT to the configured channel of the oscilloscope.
  5. Connect the active probe from TX_TCLK of the Link Partner to the configured channel of the oscilloscope.

  6. To test Pair A, connect the Differential Probe to P13 and configured channel of the oscilloscope.

  7. To test Pair B, connect the Differential Probe to P14 and configured channel of the oscilloscope.

  8. To test Pair C, connect the Differential Probe to P15 and configured channel of the oscilloscope.

  9. To test Pair D, connect the Differential Probe to P16 and configured channel of the oscilloscope.

If you do not have access to TX_TCLK

Step 1:

    1. Set the DUT to generate test mode 2 signal.

    2. Connect the Ethernet cable to J490 and test port of the DUT.

    3. Connect the active probe from Data (TM2) to the configured channel of the oscilloscope.

    4. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

    5. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

    6. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

    7. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.

Step 2:

    1. Set the DUT to generate test mode 3 signal.

    2. Connect the Ethernet cable to J490 and test port of the DUT.

    3. Connect the active probe from Data (TM3) to the configured channel of the oscilloscope.

    4. To test Pair A, connect the Differential Probe to P9 and configured channel of the oscilloscope.

    5. To test Pair B, connect the Differential Probe to P10 and configured channel of the oscilloscope.

    6. To test Pair C, connect the Differential Probe to P11 and configured channel of the oscilloscope.

    7. To test Pair D, connect the Differential Probe to P12 and configured channel of the oscilloscope.


Connect 1000BASE-T Return Loss

  1. Use TC1 of the test fixture for calibration. Make the connections as shown by the following figure:

  1. Set the DUT to generate a Test Mode 4 signal.

  2. Connect the Ethernet cable to J200 and test port of the DUT.

  3. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  4. Connect a BNC Cable to AWG– and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

Note: The AWG golden waveforms are available in C:\TekApplications\TDSET3\AWGWaveforms. Some of the AWG models do not support the .set file for automatic settings. Refer to the ReadMe.txt file for instructions to make those settings manually. In particular, ensure that the AWG clock frequency is set to 250 MHz. This file is available in the corresponding AWG waveform file folder. You can automate the AWG to transfer files and settings as described in Automate AWG.

  5. To test Pair A, connect the Differential Probes to P1(J240) and P2(J230), and configured channels of the oscilloscope.

  6. To test Pair B, connect the Differential Probe to P3(J241) and P4(J231), and configured channels of the oscilloscope.

  7. To test Pair C, connect the Differential Probe to P5(J242) and P6(J232), and configured channels of the oscilloscope.

  8. To test Pair D, connect the Differential Probe to P7(J243) and P8(J233), and configured channels of the oscilloscope.


Connect 1000BASE-T CM Voltage

Use TC4 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate Test Mode 4 signal.

  2. Connect the Ethernet cable to J500 and test port of the DUT.

  3. Connect a BNC Cable to J400 and configured channel of the oscilloscope.

  4. To test Pair A, short J420 using a jumper.

  5. To test Pair B, short J430 using a jumper.

  6. To test Pair C, short J431 using a jumper.

  7. To test Pair D, short J440 using a jumper.


Connect 100BASE-TX Template

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Differential Output Voltage

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Amplitude Symmetry

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Rise Time

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Fall Time

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Rise or Fall Time

Connect 100BASE-TX Rise or Fall Time Symmetry

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Waveform Overshoot

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Jitter

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Duty Cycle Distortion

  1. Use TC2 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to transmit scrambled idles.

  3. Connect the Ethernet cable to J490 and test port of the DUT.

  4. Connect the Differential Probe to P9 and configured channel of the oscilloscope.


Connect 100BASE-TX Return Loss

  1. Use TC1 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to generate scrambled idles.

  3. Connect the Ethernet cable to J200 and test port of the DUT.

  4. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  5. Connect a BNC Cable to AWG– and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

Note: The AWG golden waveforms are available in C:\TekApplications\TDSET3\AWGWaveforms. Some of the AWG models do not support the .set file for automatic settings. Refer to the ReadMe.txt file for instructions to make those settings manually. In particular, ensure that the AWG clock frequency is set to 250 MHz. This file is available in the corresponding AWG waveform file folder. You can automate the AWG to transfer files and settings as described in Automate AWG.

  6. To test Transmitter, connect the Differential Probes to P1(J240) and P2(J230), and configured channels of the oscilloscope.

  7. To test Receiver, connect the Differential Probe to P3(J241) and P4(J231), and configured channels of the oscilloscope.


Connect 10BASE-T Template Link Pulse

Without Twisted-pair model

Use TC6 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a link pulse signal.

  2. Connect the Ethernet Cable to J800 and test port of the DUT.

  3. Connect the differential probe to P20 and configured channel of the oscilloscope.

  4. Using the jumpers, short the LOAD1, LOAD2 or LOAD3 (100 Ohm)*. Ensure that the jumper you have short and the LOAD you have selected in the application are the same.

With Twisted-pair model

Use TC7 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a link pulse signal.

  2. Connect the Ethernet cable to J990 and the test port of the DUT.

  3. Connect the differential probe to P22 and the configured channel of the oscilloscope.

  4. Using the jumpers, short the LOAD1, LOAD2 or LOAD3 (100 Ohm). Ensure that the jumper you have short and the LOAD you have selected in the application are the same.

Note: LOAD3 (100 ohm) is optional and not required as per the 802.3-2002 standards.


Connect 10BASE-T Template MAU

Use TC7 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a pseudo-random sequence signal.

  2. Connect the Ethernet Cable to J990 and test port of the DUT.

  3. If you have a Link Partner, connect the Ethernet Cable to J890 and link partner.

If you do not have a link partner, short J2 using a jumper. If J2 is not present, go to the next step.

  4. Connect the differential probe to P22 and configured channel of the oscilloscope.

  5. Short LOAD3 (100 Ohm) using a jumper.


Connect 10BASE-T Template TP_IDL

Without Twisted-pair model

Use TC6 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a pseudo-random sequence signal.

  2. Connect the Ethernet cable to J800 and test port of the DUT.

  3. If you have a Link Partner, connect the Ethernet cable to J701 and link partner.

If you do not have a link partner, short J1 using a jumper. If J1 is not present, go to the next step.

  4. Connect the Differential Probe to P20 and configured channel of the oscilloscope.

  5. Using the jumpers, short the LOAD1, LOAD2 or LOAD3 (100 Ohm)*. Ensure that the jumper you have short and the LOAD you have selected in the application are the same.

With Twisted-pair model

Use TC7 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate pseudo-random sequence signal.

  2. Connect the Ethernet cable to J990 and test port of the DUT.

  3. If you have a Link Partner, do the following:

  • Connect the Ethernet cable to J890 and Link Partner.

If you do not have a link partner, short J2 using a jumper. If J2 is not present, go to the next step.

  4. Connect the Differential Probe to P22 and configured channel of the oscilloscope.

  5. Using the jumpers, short the LOAD1, LOAD2 or LOAD3 (100 Ohm). Ensure that the jumper you have short and the LOAD you have selected in the application are the same.

Note: LOAD3 (100 ohm) is optional and not required as per the 802.3-2002 standards.


Connect 10BASE-T Jitter with cable

Use TC7 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a pseudo-random sequence signal.

  2. Connect the Ethernet cable to J990 and test port of the DUT.

  3. If you have a Link Partner, connect the Ethernet Cable to J890 and Link Partner.

If you do not have a link partner, short J2 using a jumper. If J2 is not present, go to the next step.

  4. Connect the Differential Probe to P22 and configured channel of the oscilloscope.

  5. Short LOAD3 (100 Ohm) using a jumper.


Connect 10BASE-T Jitter without cable

Use TC6 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a pseudo-random sequence signal.

  2. Connect the Ethernet cable to J800 and test port of the DUT.

  3. If you have a Link Partner, connect the Ethernet Cable to J701 and Link Partner.

If you do not have a link partner, short J1 using a jumper. If J1 is not present, go to the next step.

  4. Connect the Differential Probe to P20 and configured channel of the oscilloscope.

  5. Short LOAD3 (100 Ohm) using a jumper.


Connect 10BASE-T Differential Voltage

Use TC6 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a pseudo-random sequence signal.

  2. Connect the Ethernet cable to J800 and test port of the DUT.

  3. If you have a Link Partner, connect the Ethernet Cable to J701 and Link Partner.

If you do not have a link partner, short J1 using a jumper. If J1 is not present, go to the next step.

  4. Connect the Differential Probe to P20 and configured channel of the oscilloscope.

  5. Short LOAD3 (100 Ohm) using a jumper.


Connect 10BASE-T Harmonic

Make the connections as shown by the following figure:

  1. Set the DUT to generate an all-one or an all-zero sequence signal.

  2. Connect one end of the Ethernet cable to J800 of TC6 and the other end to the test port of the DUT.

  3. If you have a Link Partner, connect one end of the Ethernet Cable to J701 of TC6 and the other end to the link partner.

If you do not have a link partner, short J2 using a jumper. If J2 is not present, go to the next step.

  4. Connect the differential probe between P20 of Test Fixture TC6 and the configured channel of the oscilloscope.

  5. Short LOAD3 (100 Ohm) using a jumper.


Connect 10BASE-T Return Loss

  1. Use TC1 of the test fixture for this test. Make the connections as shown by the following figure:

  2. Set the DUT to generate a pseudo random sequence.

  3. Connect the Ethernet cable to J200 and test port of the DUT.

  4. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  5. Connect a BNC Cable to AWG– and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

Note: The AWG waveforms are available in C:\TekApplications\TDSET3\AWGWaveforms.Some of the AWG models do not support the .set file for automatic settings. In particular, ensure that the AWG clock frequency is set to 250 MHz. Refer to the ReadMe.txt file for instructions to make those settings manually. This file is available in the corresponding AWG waveform file folder. You can automate the AWG to transfer files and settings as described in Automate AWG.

  6. To test Transmitter, connect the Differential Probes to P1(J240) and P2(J230), and configured channels of the oscilloscope. Then, short the Jumper J241.

  7. To test Receiver, connect the Differential Probe to P3(J241) and P4(J231), and configured channels of the oscilloscope.


Connect 10BASE-T CM Voltage

Use TC4 of the test fixture for this test. Make the connections as shown by the following figure:

  1. Set the DUT to generate a pseudo-random sequence signal.

  2. Connect one end of the Ethernet Cable to J500 of Test Fixture TC4 and the other end to the test port of the DUT.

  3. Connect a BNC Cable between J400 of Test Fixture TC4 and configured channel of the oscilloscope.

NOTE: Do not use a TPA-BNC adapter at the oscilloscope.

  4. Short J420 of Test Fixture TC4 using a jumper.


Introduction 1000BASE-T Test

Introduction to 1000BASE-T testing

For 1000BASE-T PHY testing, the DUT should be tested in various modes. For 1000Base-T, the application tests the DUT in compliance with IEEE standard 802.3 ab. For each test, set the DUT to test mode specified:

Sl.No. | Test | Test mode
1 | Templates | 1
2 | Droop | 1
3 | Peak Voltage | 1
4 | Jitter | 2 and 3
5 | Distortion | 4
6 | Return Loss | 4
7 | Common mode Voltage | 4

The figure shows a typical waveform from the DUT in Test mode 1.

The following table shows the test points for the tests:

Test | Points
Template | A,B,C,D,F, and H
Droop | G and J
Peak Voltage | A,B,C, and D

The figure shows a typical waveform from the DUT in Test mode 2 and 3.

Jitter filtered and unfiltered test can be done for Master and Slave.

Note: In the client pane, use the Select All button to test all the points of the selected speed.

The figure shows a typical waveform from the DUT in Test mode 4.

See Also

Test 1000Base-T Template

Test 1000Base-T Droop

Test 1000Base-T Peak Voltage

Test 1000Base-T Jitter Master Filtered

Test 1000Base-T Jitter Master Unfiltered

Test 1000Base-T Jitter Slave Filtered

Test 1000Base-T Jitter Slave Unfiltered

Test 1000Base-T Distortion

Test 1000Base-T Return Loss

Test 1000Base-T Common mode Voltage


Test 1000BASE-T for Template

Test 1000BASE-T Template

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Template/Volt tab, select a point in the Template group, for example, A.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
# Averages | 64 to 10000 | Enter the number of waveforms you want to average.
Output | Ref1, Ref2, Ref3, or Ref4 | Select the reference waveform on which the processed waveform will be stored.
Disturbing Signal | Yes or No | Select the options depending on whether the Disturbing signal is present or not. Note: Selecting Disturbing Signal as Yes, enables the Jig Match in Connect pane.
Filter | Int or Ext | Select the options depending on whether the filter is applied or not. If you select Ext, the application assumes that the filter is applied externally.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. If the disturbing signal is present and you have configured Disturbing Signal as Yes, and then click Run Test. The application does the following:

  • Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue.

  • Checks whether the DUT is connected

  • Sets the trigger

  • Acquires, filters, and removes the disturbing signal

  • Normalizes the data

  • Displays the processed waveform on selected output (reference waveform) over the template mask

  7. If the disturbing signal is not present and you have configured Disturbing Signal as No, and then click Run Test. The application does the following:

  • Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  • Checks whether the DUT is connected

  • Sets the trigger

  • Acquires, filters, and normalizes the data

  • Displays the processed waveform on selected output (reference waveform) over the template mask

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical processed waveform for Template Testing on Points A, B, C, and D:

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 4 ns.

The following figure displays a typical processed waveform for Template Testing on Points F, and H:

The application also tests for mask and displays the results as pass or fail.

  8. If the acquired waveform does not lie within the mask, click Manual Fit. Click the arrow buttons to adjust the Ref waveform to fit into the mask. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

  9. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Template
Spec Range | Specification range | Refer to Specification Range for 1000BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 1000BASE-T for Peak Voltage

Test 1000BASE-T Peak Volt

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Template/Volt tab, select a point in the Peak Volt group, for example, A.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Averages | 64 to 10000 | Enter the number of waveforms you want to average.
Output | Ref1, Ref2, Ref3, or Ref4 | Select the reference waveform on which the processed waveform will be stored.
Disturbing Signal | Yes or No | Select the options depending on whether the Disturbing signal is present or not.
Filter | Int or Ext | Select the options depending on whether the filter is applied or not. If you select Ext, the application assumes that the filter is applied externally.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. If the disturbing signal is present and you have configured Disturbing Signal as Yes, and then click Run Test. The application does the following:

  • Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  • Checks whether the DUT is connected

  • Acquires, filters, and removes the disturbing signal

  • Finds the peak value of the point selected after filtering

  • Compares with the specification range specified by the standard

  • Displays the processed waveform on the selected output

  7. If the disturbing signal is not present and you have configured Disturbing Signal as No, and then click Run Test. The application does the following:

  • Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  • Checks whether the DUT is connected

  • Acquires and filters the data

  • Finds the peak value of the point selected after filtering

  • Compares with the specification range specified by the standard

  • Displays the processed waveform on the selected output

The following figure displays a typical DUT waveform for Peak Voltage Testing on Points A, B, C, and D:

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 4 ns.

  8. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Differential Peak Voltage
Spec Range | Specification range | Refer to Specification Range for 1000BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 1000BASE-T for Droop

Test 1000BASE-T Droop

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Droop tab, select a point, for example, G.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Averages | 64 to 10000 | Enter the number of waveforms you want to average.
Output | Ref1, Ref2, Ref3, or Ref4 | Select the reference waveform on which the processed waveform will be stored.
Disturbing Signal | Yes or No | Select the options depending on whether the Disturbing signal is present or not.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. If the disturbing signal is present and you have configured Disturbing Signal as Yes, and then click Run Test. The application does the following:

  • Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  • Checks whether the DUT is connected

  • Acquires and removes the disturbing signal

  • Displays the processed waveform on selected output and places vertical cursors at Point F and Point G

  • Displays the cursor values – voltage, time, voltage difference and time difference – at the points F and G

  5. If the disturbing signal is not present and you have configured Disturbing Signal as No, and then click Run Test. The application does the following:

  • Checks whether the DUT is connected

  • Displays the acquired waveform and places vertical cursors at Point F and Point G

  • Displays the cursor values – voltage, time, voltage difference, and time difference – at the Point F and Point G

The following figure shows a typical DUT waveform showing points F and G:

  6. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Droop
Spec Range | Specification range | Refer to Specification Range for 1000BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Master Filtered

Test 1000BASE-T Jitter Master Filtered

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Jit/Distortion tab, select Master Filtered.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Master CLK | CH1, CH2, CH3, or CH4 | Select the channel to which the Master TX_TCLK is connected.
Clock Edge | Rising or Falling | Select the clock edge on which the oscilloscope finds the trigger point.
Record Length |  | Varies depending on the Memory option available on the Oscilloscope.
TX_TCLK | Yes, No | Select Yes if you have access to TX_TCLK. Select No if you do not have access to TX_TCLK.
Data (TM2) | CH1, CH2, CH3, or CH4 | Select the channel to which the Test Mode 2 signal is connected.
Hysteresis | 5.00% to 30.00% | Enter the hysteresis percent value.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

If you have access to TX_TCLK

  6. Click Run Test. The application displays the following dialog box.

  7. Set the DUT in Normal mode as Master and connect to the Link Partner.

  8. Click OK. The application does the following:

  • Checks whether the Master TX_TCLK is connected

  • Sets up the signal, where at least 105 edges (minimum of opt. 3M required) are available

  • Derives the jitter waveform, applies the filter

  • Determines the peak-to-peak value of the filtered waveform

  9. The application displays the following dialog box.

  10. Set DUT in Test mode 2 and connect Data and Clock to the oscilloscope.

  11. Click OK. The application checks whether the Data and Master CLK signal is connected.

  12. Then, the application measures jitter (Jtxout) of the data with respect to the Master CLK.

  13. Displays the TIE plot of the jitter waveform.

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 1250 edges.

  14. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Master Filtered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the peak-to-peak jitter + Jtxout | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>

If you do not have access to TX_TCLK (this is only an informative test and not a compliance test)

  6. Click Run Test. A message box appears. Click OK to quit the message box and continue running the test.

  7. Set the DUT in Test Mode 2 and connect Data (TM2) to the oscilloscope.

  8. Click OK. The application does the following:

  • Checks whether Data (TM2) is connected

  • Sets up the signal, where at least 105 edges (minimum of opt. 4M required) are available

  • Derives the jitter waveform, applies the filter

  • Determines the peak-to-peak value of the filtered waveform

  9. Displays the TIE plot of the jitter waveform.

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 625 edges. This is an alternate test method for jitter measurement being proposed, when TX_TCLK is not accessible. This is an informal test method.

  10. The application automatically displays the results as inconclusive or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Master Filtered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the peak-to-peak Data (TM2) jitter | <Measured Value>
Pass/Fail | Test inconclusive or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any>


Master Unfiltered

Test 1000BASE-T Jitter Master Unfiltered

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Jit/Distortion tab, select Master Unfiltered.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Master CLK | CH1, CH2, CH3, or CH4 | Select the channel to which the Master TX_TCLK is connected.
Clock Edge | Rising or Falling | Select the clock edge on which the oscilloscope finds the trigger point.
Meas Type | Histogram or TIE | Select the measurement type.
Record Length |  | Varies depending on the Memory option available on the Oscilloscope. Note: The Record Length is enabled only if you select Meas Type as TIE.
TX_TCLK | Yes, No | Select Yes if you have access to TX_TCLK. Select No if you do not have access to TX_TCLK.
Data (TM2) | CH1, CH2, CH3, or CH4 | Select the channel to which the Test Mode 2 signal is connected.
Hysteresis | 5.00% to 30.00% | Enter the hysteresis percent value.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

If you have access to TX_TCLK

  6. Click Run Test. The application does the following for Histogram method:

  • Checks whether the Master TX_TCLK is connected

  • Triggers on Master TX_TCLK clock signal at 50% of peak-to-peak amplitude

  • Sets up the oscilloscope horizontal and vertical scale based on Master clock signal

  • Places a horizontal histogram on the pulse following the trigger pulse at the trigger level

  • Reads the peak-to-peak jitter from the histogram

  • Compares the read out values with the values specified in the standard

  • Takes approximately one minute to achieve approximately 13 million waveform acquisition

  • Displays the Master clock waveform

  7. Click Run Test. The application does the following for TIE method:

  • Checks whether the Master TX_TCLK is connected

  • Triggers on Master TX_TCLK clock signal at 50% of peak-to-peak amplitude

  • Derives the jitter waveform of the Master TX_TCLK with respect to unjittered reference

  • Determines the Pk-Pk value of jitter waveform

  • Compares the read out values with the values specified in the standard

  • Displays the TIE plot of the jitter waveform

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 1250 edges.

The following figure shows a typical Histogram plot of Jitter waveform:

Note: In TDS6000 and DPO7000 series oscilloscopes, approximately 13,000,000 waveform database samples are acquired.

  8. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Master Unfiltered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the peak-to-peak jitter | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>

If you do not have access to TX_TCLK (this is only an informative test and not a compliance test)

  6. Click Run Test. A message box appears. Click OK to quit the message box and continue running the test.

The application does the following for Histogram method:

  • Checks whether Data (TM2) is connected

  • Trigger on Data (TM2) signal at 50% of peak-to-peak amplitude

  • Sets up the oscilloscope horizontal and vertical scale based on Data (TM2) signal

  • Places a horizontal histogram on the pulse following the trigger pulse at the trigger level

  • Reads the peak-to-peak jitter from the histogram

  • Compares the read out values with the values specified in the standard

  • Takes approximately one minute to achieve approximately 13 million waveform acquisition

  • Displays the Data (TM2) waveform

  7. Click Run Test.

The application does the following for TIE method:

  • Checks whether Data (TM2) is connected

  • Trigger on Data (TM2) signal at 50% of peak-to-peak amplitude

  • Derives the jitter waveform of Data (TM2) with respect to unjittered reference

  • Determines the Pk-Pk value of jitter waveform

  • Compares the read out values with the values specified in the standard

  • Displays the TIE plot of the jitter waveform

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 625 edges. This is an alternate test method for jitter measurement being proposed, when TX_TCLK is not accessible. This is an informal test method.

The following figure shows a typical Histogram plot of Jitter waveform:

Note: In TDS6000 and DPO7000 series oscilloscopes, approximately 13,000,000 waveform database samples are acquired.

  8. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Master Unfiltered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the peak-to-peak jitter | <Measured Value>
Pass/Fail | Test passed or inconclusive | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Slave Filtered

Test 1000BASE-T Jitter Slave Filtered

Note: The two-channel oscilloscopes do not support the Jitter Slave Filtered test.

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Jit/Distortion tab, select Slave Filtered.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Master CLK | CH1, CH2, CH3, or CH4 | Select the channel to which the Master TX_TCLK is connected.
Slave CLK | CH1, CH2, CH3, or CH4 | Select the channel to which the Slave TX_TCLK is connected.
Clock Edge | Rising or Falling | Select the clock edge on which the oscilloscope finds the trigger point.
Record Length |  | Varies depending on the Memory option available on the oscilloscope.
TX_TCLK | Yes, No | Select Yes if you have access to TX_TCLK. Select No if you do not have access to TX_TCLK.
Data (TM2) | CH1, CH2, CH3, or CH4 | Select the channel to which the Test Mode 2 signal is connected.
Data (TM3) | CH1, CH2, CH3, or CH4 | Select the channel to which the Test Mode 3 signal is connected.
Hysteresis | 5.00% to 30.00% | Enter the hysteresis percent value.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

If you have access to TX_TCLK

  6. Click Run Test. The application displays the following dialog box.

  7. Set the DUT in Normal mode as Slave and connect to the Link Partner.

  8. Click OK. The application does the following:

  • Checks whether the Master TX_TCLK and Slave TX_TCLK are connected

  • Sets up the signal, where at least 105 edges (minimum opt. 3M required) are available

  • Derives the jitter waveform of Master TX_TCLK with respect to unjittered reference

  • Derives the jitter waveform of Slave TX_TCLK with respect to Master TX_TCLK

  • Applies the filter, and determines the peak-to-peak value of the filtered waveforms

  9. The application displays the following dialog box.

  10. Set DUT in Test mode 3 and connect Data and Slave TX_TCLK to the oscilloscope.

  11. Click OK. The application checks whether the Data and Slave TX_TCLK are connected.

  12. Then, the application measures jitter (Jtxout) of the data with respect to the Slave TX_TCLK.

  13. Displays the TIE plot of the Jitter waveform.

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 1250 edges.

  14. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Slave Filtered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the peak-to-peak jitter + Jtxout | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>

If you do not have access to TX_TCLK (this is only an informative test and not a compliance test)

  6. Click Run Test. A message box appears. Click OK to quit the message box and continue running the test.

  7. Set the DUT to generate the signal in test mode 2.

  8. Click OK. The application does the following:

Step 1:

  • Checks whether Data (TM2) is connected

  • Sets up the signal, where at least 105 edges (minimum opt. 4M required) are available

  • Derives the jitter waveform of Data (TM2) with respect to unjittered reference

  • Applies the filter, and determines the peak-to-peak value of the filtered waveforms

Step 2:

  • Set the DUT to generate the signal in test mode 3.

  • Checks whether Data (TM3) is connected

  • Sets up the signal, where at least 105 edges (minimum opt. 4M required) are available

  • Derives the jitter waveform of Data (TM3) with respect to unjittered reference

  • Applies the filter, and determines the peak-to-peak value of the filtered waveforms

  9. Displays the TIE plot of the Jitter waveform.

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 625 edges. This is an alternate test method for jitter measurement being proposed, when TX_TCLK is not accessible. This is an informal test method.

  10. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Slave Filtered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the difference between Data (TM3) and Data (TM2) peak-to-peak jitter | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Slave Unfiltered

Test 1000BASE-T Jitter Slave Unfiltered

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Jit/Distortion tab, select Slave Unfiltered.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Master CLK | CH1, CH2, CH3, or CH4 | Select the channel to which the Master TX_TCLK is connected.
Slave CLK | CH1, CH2, CH3, or CH4 | Select the channel to which the Slave TX_TCLK is connected.
Clock Edge | Rising or Falling | Select the clock edge on which the oscilloscope finds the trigger point.
Meas Type | Histogram or TIE | Select the measurement type.
Record Length |  | Varies depending on the Memory option available on the Oscilloscope. Note: The Record Length is enabled only if you select Meas Type as TIE.
TX_TCLK | Yes, No | Select Yes if you have access to TX_TCLK. Select No if you do not have access to TX_TCLK.
Data (TM2) | CH1, CH2, CH3, or CH4 | Select the channel to which the Test Mode 2 signal is connected.
Data (TM3) | CH1, CH2, CH3, or CH4 | Select the channel to which the Test Mode 3 signal is connected.
Hysteresis | 5.00% to 30.00% | Enter the hysteresis percent value.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

If you have access to TX_TCLK

  6. Click Run Test. The application does the following for Histogram method:

  • Checks whether the Master TX_TCLK and Slave TX_TCLK are connected

  • Triggers on Master TX_TCLK signal at 50% of peak-to-peak amplitude

  • Sets up the oscilloscope horizontal and vertical scale based on Slave TX_TCLK signal

  • Places a horizontal histogram on the Slave TX_TCLK pulse following the trigger pulse at 50% of peak-to-peak amplitude

  • Measures the peak-to-peak jitter from the histogram

  • Compares the read out values with the values specified in the standard

  • Takes approximately one minute to achieve approximately 13 million waveform acquisition

  • Displays the slave TX_TCLK waveform

  7. Click Run Test. The application does the following for TIE method:

  • Checks whether the Master TX_TCLK and Slave TX_TCLK are connected

  • Triggers on Master TX_TCLK clock signal at 50% of peak-to-peak amplitude

  • Derives the jitter waveform of the Slave TX_TCLK with respect to Master TX_TCLK

  • Determines the Pk-Pk value of jitter waveform

  • Compares the read out values with the values specified in the standard

  • Displays the TIE plot of the jitter waveform

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 1250 edges.

The following figure shows a typical Histogram plot of Jitter waveform:

Note: In TDS6000 and DPO7000 series oscilloscopes, approximately 13,000,000 waveform database samples are acquired.

  8. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Slave Unfiltered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the peak-to-peak jitter + Jtxout | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>

If you do not have access to TX_TCLK (this is only an informative test and not a compliance test)

  6. Set the DUT to generate the signal in test mode 2.

  7. Click Run Test. A message box appears. Click OK to quit the message box and continue running the test.

The application does the following for Histogram method:

Step 1:

    • Checks whether Data (TM2) is connected

    • Triggers on Data (TM2) at 50% of peak-to-peak amplitude

    • Sets up the oscilloscope horizontal and vertical scale based on Data (TM2)

    • Places a horizontal histogram on the Data (TM2) pulse following the trigger pulse at 50% of peak-to-peak amplitude

    • Measures the peak-to-peak Data (TM2) jitter from the histogram

    • Takes approximately one minute to achieve approximately 13 million waveform acquisition

    • Displays the Data (TM2) waveform

Step 2:

    • Set the DUT to generate the signal in test mode 3

    • Checks whether Data (TM3) is connected

    • Triggers on Data (TM3) at 50% of peak-to-peak amplitude

    • Sets up the oscilloscope horizontal and vertical scale based on Data (TM3)

    • Places a horizontal histogram on the Data (TM3) pulse following the trigger pulse at 50% of peak-to-peak amplitude

    • Measures the peak-to-peak Data (TM3) jitter from the histogram

    • Compares the read out values with the values specified in the standard

    • Takes approximately one minute to achieve approximately 13 million waveform acquisition

    • Displays the Data (TM3) waveform

  6. Set the DUT to generate the signal in test mode 2.

  7. Click Run Test. A message box appears. Click OK to quit the message box and continue running the test.

The application does the following for TIE method:

Step 1:

    • Checks whether Data (TM2) is connected

    • Triggers on Data (TM2) at 50% of peak-to-peak amplitude

    • Derives the jitter waveform of the Data (TM2) with respect to unjittered reference

    • Determines the Pk-Pk value of Data (TM2) jitter waveform

    • Displays the TIE plot of the jitter waveform

Step 2:

    • Set the DUT to generate the signal in test mode 3

    • Checks whether Data (TM3) is connected

    • Triggers on Data (TM3) at 50% of peak-to-peak amplitude

    • Derives the jitter waveform of the Data (TM3) with respect to unjittered reference

    • Determines the Pk-Pk value of Data (TM3) jitter waveform

    • Compares the read out values with the values specified in the standard

    • Displays the TIE plot of the jitter waveform

The following figure shows a typical TIE plot of Jitter waveform:

Note: The TDS6604 and TDS6404 oscilloscopes acquire approximately 625 edges. This is an alternate test method for jitter measurement being proposed, when TX_TCLK is not accessible. This is an informal test method.

The following figure shows a typical Histogram plot of Jitter waveform:

Note: In TDS6000 and DPO7000 series oscilloscopes, approximately 13,000,000 waveform database samples are acquired.

  8. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter Slave Unfiltered
Spec Range | Peak-to-peak jitter value specified by the standards | Refer to Specification Range for 1000BASE-T
Measured Value | Read out value of the difference between Data (TM3) and Data (TM2) unfiltered peak-to-peak jitter | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Distortion

Test 1000BASE-T for Distortion

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Jit/Distortion tab, select Distortion.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options.

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Averages | 64 to 10000 | Enter the number of waveforms you want to average.
Output | Ref1, Ref2, Ref3, or Ref4 | Select the reference waveform on which the error plot will be stored.
Disturbing Signal | Yes or No | Select the options depending on whether the Disturbing signal is present or not.
Note: TX_TCLK appear only if you select Disturbing Signal as Yes.
TX_TCLK | CH1, CH2, CH3, or CH4 | Select the channel to which the clock source is connected.
Hi Resolution | 2 to 75 | Enter the number of averages to be done in the vertical domain.
Low Pass Filter | Yes, No | Select Yes or No depending on whether the noise elimination filter is required.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. If the disturbing signal is present and you have configured Disturbing Signal as Yes, and then click Run Test. The application does the following:

  • Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  • Checks whether the DUT is connected

  • Sets the trigger
    The application displays the following dialog box:

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

Check the polarity of the signal.
If the trigger is not stable, adjust the trigger level for proper stable trigger.
Then click OK to continue.

  • Acquires, filters, and removes the disturbing signal

  • If TX_TCLK is set as Yes, the application samples the differential signal output with the symbol rate of selected TX_TCLK source at an arbitrary phase and processes a block of 2047 consecutive samples
    If TX_TCLK is set as No, the application samples the differential signal output with the symbol rate with the estimated clock frequency at an arbitrary phase and processes a block of 2047 consecutive samples

  • Displays the error plot on selected output (reference waveform)

  6. If the disturbing signal is not present and you have configured Disturbing Signal as No, and then click Run Test. The application does the following:

  • Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  • Checks whether the DUT is connected

  • Sets the trigger

  • Acquires and filters the data

  • If TX_TCLK is set as Yes, the application samples the differential signal output with the symbol rate of selected TX_TCLK source at an arbitrary phase and processes a block of 2047 consecutive samples
    If TX_TCLK is set as No, the application samples the differential signal output with the symbol rate with the estimated clock frequency at an arbitrary phase and processes a block of 2047 consecutive samples

  • Displays the error plot on selected output (reference waveform)

The following figure shows a typical error plot for Distortion:

  9. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Distortion
Spec Range | Specification range | Refer to Specification Range for 1000BASE-T
Measured Value | Peak distortion value of the selected test | <Highest Distortion>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>

Note: The ideal levels for each of the 2047 symbols is provided in an excel file symbol.xls in the folder "C:\TekApplications\TDSET3."


Return Loss

Test 1000BASE-T Return Loss

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the Return Loss tab, select Return Loss.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

  4. In the Configuration window, select the following options.

Parameter | Options | To Do
Sources P1/P3/P5/P7 P2/P4/P6/P8 | CH1, CH2, CH3, or CH4 CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Output Waveform Return Loss 0dB Marker | Ref1, Ref2, Ref3, or Ref4 Ref1, Ref2, Ref3, or Ref4 | Select the reference waveform on which the output waveform will be stored. Select the reference waveform on which you want the OdB Marker to be indicated. Note: These fields appear only if you set Load as 100 ohm.
Pair ID | A, B, C, D | Depending on the Pair ID selected the sources will change from P1/P3/P5/P7 and P2/P4/P6/P8.
Load | 85, 100, 115 ohm or 100 ohm | Select the load as 85, 100, 111 ohm or 100 ohm.
#Averages | 100 to 10000 | Enter the number of waveforms you want to average.
Smooth | 0 to 10 | Enter the smoothening factor.
AWG Series | Select, AWG 4xx, AWG 2021, AWG 5xx, AWG 6xx, AWG 7xx | Select the AWG Series to use. If you select the default value–Select–then the application considers all AWGs other than the AWG 4xx series.

  5. Select Tests > Connect or Connect. Click here for information on how to connect the DUT.

  6. Calibrate the test setup. If you do not calibrate the test setup before running the test, an error message Error 412: Calibration Data Not Available appears.

  7. Click Run Test. The application does the following:

  8. Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  9. Sets the trigger

  10. Acquires, and computes the return loss

  11. Displays the return loss curve on selected output (reference waveform)

If the test fails, the application captures the waveform, circles the hits and saves the information to the report. The application obtains the hits information only for the 100 ohm waveform.

The following figure shows a typical waveform for Return Loss.

  8. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Return Loss
Spec Range | Specification range | Refer to Specification Range for 1000BASE-T
Measured Value | Measured return loss values | <Measured Values>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | In the case of AWG 4xx, the return loss values after 98.5 MHz are extrapolated

Note: In the case of AWG 400 series, the return loss values after 98.5 MHz are extrapolated.


Test 1000Base-T for CMV

Test 1000BASE-T for Common mode Voltage

  1. Click Tests > Select > 1000BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 1000-T in the Speed pane.

  2. In the CM Voltage tab, select CM Voltage.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

  4. In the Configuration window, select the following options.

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.

  5. Select Tests > Connect or Connect. Click here for information on how to connect the DUT.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  5. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the Trigger

  • Measures the maximum positive and negative amplitude

  • Compares the values with the Standard

  • Displays the DUT waveform for Common mode Voltage testing

The following figure shows a typical DUT waveform for Common mode Voltage test:

  6. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Common mode Voltage
Spec Range | Specification range | Refer to Specification Range for 1000BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Introduction 100BASE-TX Test

Introduction to 100BASE-TX testing

For 100BASE-TX PHY testing, the DUT should transmit scrambled idles. Duty Cycle Distortion can also be carried out with 010101 pattern.

The figure shows a typical waveform from the DUT.

See Also

Template

Differential Output Voltage

Signal Amplitude Symmetry

Rise Time

Fall Time

Rise/Fall Time Symmetry

Waveform Overshoot

Jitter

Duty Cycle Distortion

Note: In the client pane, use the Select All button to test all the points of the selected speed.


Test 100BASE-TX for Template

Test 100BASE-TX Template

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Template.

  3. Select Pos for positive, Neg for negative, or Both in the Polarity drop-down list.
    If you select Positive polarity, the application tests segments 1, 2, 3, 6, and 7.
    If you select Negative polarity, the application tests segments 4, 5, 8, 9, and 10.
    If you select Both, the application tests all the segments.

Note1: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.
Note2: If you select Both and if the test fails, then locate hits and flash hits display the negative polarity failures.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Mask Setup | Samples and Threshold | Set the number of samples and fail threshold.
Mask Scale | Normal, 0.95, or 1.05 | Select Mask Scale as Normal, 0.95, or 1.05 depending on the Mask scale factor.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Loads the AOI template mask

  • Carries out the mask pass/fail test

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical DUT waveform for AOI template test:

The application also tests for mask and displays the results as pass or fail.

If the acquired waveform does not lie within the mask, click Manual Fit. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or the Virtual Keyboard. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | AOI Template
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>

Note: If you select the polarity as Both, the application first displays the DUT waveform for positive half and then the negative half.


Test 100BASE-TX for Output Voltage

Test 100BASE-TX Differential Output Voltage

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Output Volt.

  3. Select Pos for positive, Neg for negative, or Both in the Polarity drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of averages to test in the # of Wfms field.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Measures the Output Voltage amplitude for positive and negative pulses of 96 ns

  • Compares the values with the standard

The following figure shows a typical waveform of Differential Output Voltage test for positive pulse:

The following figure shows a typical waveform of Differential Output Voltage test for negative pulse:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Output Voltage
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | Information about offset compensation.


Test 100BASE-TX for Amplitude Symmetry

Test 100BASE-TX Signal Amplitude Symmetry

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Amp Sym.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Measures the output voltage amplitude for positive and negative pulses of 96 ns

  • Calculates the amplitude symmetry

  • Compares the values with the standard

The following figure shows a typical waveform of Signal Amplitude Symmetry test:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Signal Amplitude Symmetry
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 100BASE-TX for Rise Time

Test 100BASE-TX Rise Time

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Rise Time.

  3. Select Pos for positive, Neg for negative, or Both in the Polarity drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.
Pulse Width | 16 ns or 80 ns | Set Pulse Width to 16 ns or 80 ns.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Measures the rise time of the positive and negative pulses of the configured pulse width

  • Compares the values with the standard

The following figure shows a typical waveform of Rise Time test for positive pulse:

The following figure shows a typical waveform of Rise Time test for negative pulse:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Rise Time
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 100BASE-TX for Fall Time

Test 100BASE-TX Fall Time

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Fall Time.

  3. Select Pos for positive, Neg for negative, or Both in the Polarity drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.
Pulse Width | 16 ns or 80 ns | Set Pulse Width to 16 ns or 80 ns.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Measures the fall time of the positive and negative pulses of the configured pulse width

  • Compares the values with the standard

The following figure shows a typical waveform of Fall Time test for a positive pulse:

The following figure shows a typical waveform of Fall Time test for a negative pulse:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Fall Time
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 100BASE-TX for Rise or Fall Time

Test 100BASE-TX Rise/Fall Time Symmetry

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select R/F Sym.

  3. Select Pos for positive, Neg for negative, or Both in the Polarity drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.
Pulse Width | 16 ns or 80 ns | Set Pulse Width to 16 ns or 80 ns.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Measures the rise time and fall time for the configured pulse width

  • Calculates the Rise/Fall Time Symmetry

  • Compares the values with the standard

The following figure shows a typical waveform of Rise/Fall Time Symmetry test for positive pulse:

The following figure shows a typical waveform of Rise/Fall Time Symmetry test for negative pulse:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Rise/Fall Time Symmetry
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 100BASE-TX for Waveform Overshoot

Test 100BASE-TX Waveform Overshoot

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Overshoot.

  3. Select Pos for positive, Neg for negative, or Both in the Polarity drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Measures the Overshoot for positive and negative pulses of 96 ns

  • Compares the values with the standard

The following figure shows a typical waveform of overshoot test for positive pulse:

The following figure shows a typical waveform of overshoot test for negative pulse:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Overshoot
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 100BASE-TX for Jitter

Test 100BASE-TX Jitter

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Jitter.

  3. Select Pos for positive, Neg for negative, or Both in the Polarity drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the trigger

  • Acquires the signal

  • Places a horizontal histogram at the crossing

  • Reads the peak-top-peak jitter from the histogram

  • Compares the read out values with the standard

The following figure shows a typical DUT waveform for Jitter test with positive polarity:

The following figure shows a typical DUT waveform for Jitter test with negative polarity:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 100BASE-TX for Duty Cycle Distortion

Test 100BASE-TX Duty Cycle Distortion

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Parametric tab, select Distortion.

  3. Select Random or 0101 in the Pattern drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 4.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected, and a valid signal is acquired

  • Sets up the trigger

  • Calculates the duty cycle distortion

  • Compares the values with the standard

The following figure shows a typical DUT waveform for duty cycle distortion test:

  6. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Distortion
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 100BASE-TX Return Loss

  1. Click Tests > Select > 100BASE-TX from the menu bar.
    or
    Click Select in Selection pane and then 100-TX in the Speed pane.

  2. In the Return Loss tab, select Transmitter or Receiver.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. Select Tests > Configure or click the Configure button.

  4. In the Configuration window, select the following options.

Parameter | Options | To Do
Sources P1/P3 P2/P4 | CH1, CH2, CH3, or CH4 CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected. Note: Depending on whether the Transmitter or Receiver is selected, the sources will change from P1/P3 and P2/P4.
Output Waveform Return Loss 0 dB Marker | Ref1, Ref2, Ref3, or Ref4 Ref1, Ref2, Ref3, or Ref4 | Select the reference waveform on which the output waveform will be stored. Select the reference waveform on which you want the 0 dB Marker to be indicated. Note: These fields appear only if you set Load as 100 ohm.
AWG Series | Select, AWG 4xx, AWG 2021, AWG 5xx, AWG 6xx, AWG 7xx | Select the AWG Series to use. If you select the default value–Select–then the application considers all AWGs other than the AWG 4xx series.
Load | 85, 100, 115 ohm or 100 ohm | Select the load as 85, 100, 111 ohm or 100 ohm.
#Averages | 100 to 10000 | Enter the number of waveforms you want to average.
Smooth | 0 to 10 | Enter the smoothening factor.

  5. Select Tests > Connect or Connect. Click here for information on how to connect the DUT.

  6. Calibrate the test setup for either Receiver or Transmitter. If you do not calibrate the test setup before running the test, an error message Error 412: Calibration Data Not Available appears.

  8. Click Run Test. The application does the following:

  9. The application displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  10. Sets the trigger

  11. Acquires and computes the return loss

  12. Displays the return loss curve on selected output (reference waveform)

If the test fails, the application captures the waveform, circles the hits and saves the information to the report. The application obtains the hits information only for the 100 ohm waveform.

The following figure shows a typical waveform for Return Loss Transmitter.

The following figure shows a typical waveform for Return Loss Receiver.

  11. The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Return Loss
Spec Range | Specification range | Refer to Specification Range for 100BASE-TX
Measured Value | Measured return loss values | <Measured Values>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Introduction 10BASE-T Test

Introduction to 10BASE-T testing

For 10BASE-T PHY testing, DUT should transmit random packets, link pulse, and all ones data pattern.

The figure shows a typical waveform from the DUT.

See Also

Link Pulse

MAU Ext

MAU Ext Inv

MAU Int

MAU Int Inv

TP_IDL

Jitter with cable

Jitter without cable

Differential Voltage

Harmonic

Return Loss

CM Voltage


Test 10BASE-T for Templates MAU Ext

Test 10BASE-T Template MAU Ext

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Template tab, select MAU and Normal in the adjacent drop-down list. You can select Both to test MAU Normal and Inverted together.

Note1: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.
Note2: If you select Both and if the test fails, then locate hits and flash hits display the MAU Inverted failures.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
MAU Type | Internal, or External | Select the MAU Type as External.
MAU Scale | Normal, 0.9, 1.1 | Select the MAU scale factor.
Mask Setup | Samples and Fail Thresh | Select the number of samples, and the number of samples for fail thresh.
Report Setup | Device ID, Device Description, and Report File | Configure the options to identify the report. You can also choose to automatically preview a file.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Validates the DUT for noise and loads the mask

  • Sets up the Vertical, Horizontal, and Trigger oscilloscope parameters

The application displays the following dialog box:

Toggle Lock Mask to Wfm between On and Off to lock or unlock the mask to waveform when you zoom in or zoom out. Toggle Mask Autofit between On and Off to allow the oscilloscope to automatically fit the waveform to mask. Click OK to continue.

  • Carries out the mask pass/fail test

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical DUT waveform for Template testing of MAU Ext:

The application also tests the mask and displays the results as pass or fail.

If the acquired waveform does not lie within the mask, click Manual Fit. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or Virtual Keyboard. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | MAU Ext
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | Hit count from the Oscilloscope
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | The application introduces a gap in the mask where segments 1 and 5 merge


Test 10BASE-T for Templates MAU Ext Inv

Test 10BASE-T Template MAU Ext Inv

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Template tab, select MAU and Inverted in the adjacent drop-down list. You can select Both to test MAU Normal and Inverted together.

Note1: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.
Note2: If you select Both and if the test fails, then locate hits and flash hits display the MAU Inverted failures.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
MAU Type | Internal, or External | Select the MAU Type as External.
MAU Scale | Normal, 0.9, 1.1 | Select the MAU scale factor.
Mask Setup | Samples and Fail Thresh | Select the number of samples, and the number of samples for fail thresh.
Report Setup | Device ID, Device Description, and Report File | Configure the options to identify the report. You can also choose to automatically preview a file.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Validates the DUT for noise and loads the mask

  • Sets up the Vertical, Horizontal, and Trigger oscilloscope parameters

The application displays the following dialog box:

Toggle Lock Mask to Wfm between On and Off to lock or unlock the mask to waveform when you zoom in or zoom out. Toggle Mask Autofit between On and Off to allow the oscilloscope to automatically fit the waveform to mask. Click OK to continue.

  • Carries out the mask pass/fail test

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical DUT waveform for Template testing of MAU Ext Inv:

The application also tests the mask and displays the results as pass or fail.

If the acquired waveform does not lie within the mask, click Manual Fit. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or Virtual Keyboard. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | MAU Ext Inv
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | Hit count from the Oscilloscope
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | The application introduces a gap in the mask where segments 1 and 5 merge


Test 10BASE-T for Templates MAU Int

Test 10BASE-T Template MAU Int

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Template tab, select MAU and Normal in the adjacent drop-down list. You can select Both to test MAU Normal and Inverted together.

Note1: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.
Note2: If you select Both and if the test fails, then locate hits and flash hits display the MAU Inverted failures.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
MAU Type | Internal, or External | Select the MAU Type as Internal.
MAU Scale | Normal, 0.9, 1.1 | Select the MAU scale factor.
Mask Setup | Samples and Fail Thresh | Select the number of samples, and the number of samples for fail thresh.
Report Setup | Device ID, Device Description, and Report File | Configure the options to identify the report. You can also choose to automatically preview a file.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Validates the DUT for noise and loads the mask

  • Sets up the Vertical, Horizontal, and Trigger oscilloscope parameters

The application displays the following dialog box:

Toggle Lock Mask to Wfm between On and Off to lock or unlock the mask to waveform when you zoom in or zoom out. Toggle Mask Autofit between On and Off to allow the oscilloscope to automatically fit the waveform to mask. Click OK to continue.

  • Carries out the mask pass/fail test

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical DUT waveform for Template testing of MAU Int:

The application also tests the mask and displays the results as pass or fail.

If the acquired waveform does not lie within the mask, click Manual Fit. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or Virtual Keyboard. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | MAU Int
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | Hit count from the Oscilloscope
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | The application introduces a gap in the mask where segments 1 and 5 merge


Test 10BASE-T for Templates MAU Int Inv

Test 10BASE-T Template MAU Int Inv

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Template tab, select MAU and Inverted in the adjacent drop-down list. You can select Both to test MAU Normal and Inverted together.

Note1: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.
Note2: If you select Both and if the test fails, then locate hits and flash hits display the MAU Inverted failures.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
MAU Type | Internal, or External | Select the MAU Type as Internal.
MAU Scale | Normal, 0.9, 1.1 | Select the MAU scale factor.
Mask Setup | Samples and Fail Thresh | Select the number of samples, and the number of samples for fail thresh.
Report Setup | Device ID, Device Description, and Report File | Configure the options to identify the report. You can also choose to automatically preview a file.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Validates the DUT for noise and loads the mask

  • Sets up the Vertical, Horizontal, and Trigger oscilloscope parameters

The application displays the following dialog box:

Toggle Lock Mask to Wfm between On and Off to lock or unlock the mask to waveform when you zoom in or zoom out. Toggle Mask Autofit between On and Off to allow the oscilloscope to automatically fit the waveform to mask. Click OK to continue.

  • Carries out the mask pass/fail test

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical DUT waveform for Template testing of MAU Int Inv:

The application also tests the mask and displays the results as pass or fail.

If the acquired waveform does not lie within the mask, click Manual Fit. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or Virtual Keyboard. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | MAU Int Inv
Spec Range | Specification range | Refer Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | Hit count from the Oscilloscope
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | The application introduces a gap in the mask where segments 1 and 5 merge


Test 10BASE-T for Templates Link Pulse

Test 10BASE-T Template Link Pulse

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Template tab, select Link Pulse. A [image] drop-down list appears.

  3. Select the load with or without TPM — Load1 w/o TPM, Load2 w/o TPM, 100 [image] w/o TPM, Load1 with TPM, Load2 with TPM, or 100 [image] with TPM.

Note: The loads 100 ohm with TPM and 100 ohm w/o TPM are optional and not required as per the 802.3-2002 standards.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.
Section | Both, Head, or Tail | Select the section of mask to test.
Note: If you select Both and if the test fails, then locate hits and flash hits display the Tail section failures.
Mask Setup | # of Wfms and Fail Thresh | Select the number of waveforms to be tested and the number of waveforms that must fail for the test to fail.
Sequence | Normal (NLP), Fast (FLP) | Select the type of link pulse you want to test.
Test Options | Both, Template Only, Timing Only | Select Both to perform Template and Timing tests, Template Only to perform Template tests, and Timing Only to perform Timing tests. Note: Timing tests are available only for normal link pulse.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the signal

  8. Loads the front portion of the mask.

The application displays the following dialog box:

Toggle Lock Mask to Wfm between On and Off to lock or unlock the mask to waveform when you zoom in or zoom out. Toggle Mask Autofit between On and Off to allow the oscilloscope to automatically fit the waveform to mask. Click OK to continue.

  • Carries out the mask pass/fail test for the selected section

Note1: If you have selected the Section as Both, the application sets up the signal and loads the front portion of the mask for the Head. Then; the application sets up the signal and loads the tail portion of the mask.

Note2: If you have selected the Section as Both, the application adds the pass/fail result of both Head and Tail.

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical DUT waveform for Link Pulse Timing test:

The following figure shows a typical DUT waveform for Template testing of a Link Pulse Head:

The following figure shows a typical DUT waveform for Template testing of a Link Pulse Tail:

The application also tests the mask and displays the results as pass or fail.

If the acquired waveform does not lie within the mask, click Manual Fit. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or the Virtual Keyboard. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Link Pulse
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | Hit count from the Oscilloscope
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | For NLP, the average signal period is displayed

Note: Link Pulse Timing test is not available in TDS6604 and TDS6804 oscilloscopes.


Test 10BASE-T for Templates TP_IDL

Test 10BASE-T Template TP_IDL

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Template tab, select TP_IDL. A [image] drop-down list appears.

  3. Select the load with or without TPM — Load1 w/o TPM, Load2 w/o TPM, 100 [image] w/o TPM, Load1 with TPM, Load2 with TPM, or 100 [image] with TPM.

Note: The loads 100 [image] with TPM and 100 [image] w/o TPM are optional and not required as per the 802.3-2002 standards.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 4.

  4. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Acquisition | Sample or Average | Select the acquisition mode. If you select Average, # of Wfms appears. Enter the number of waveforms to test in the # of Wfms field.
Section | Both, Head, or Tail | Select the section of mask to test.
Note: If you select Both and if the test fails, then locate hits and flash hits display the Tail section failures.
Mask Setup | # of Wfms and Fail Thresh | Select the number of waveforms to be tested and the number of waveforms that must fail for the test to fail.

  5. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the signal

  • Loads the front portion of the mask

The application displays the following dialog box:

Toggle Lock Mask to Wfm between On and Off to lock or unlock the mask to waveform when you zoom in or zoom out. Toggle Mask Autofit between On and Off to allow the oscilloscope to automatically fit the waveform to mask. Click OK to continue.

  • Carries out the mask pass/fail test for the selected section

Note1: If you have selected the Section as Both, the application sets up the signal and loads the front portion of the mask for the Head. Then; the application sets up the signal and loads the tail portion of the mask.

Note2: If you have selected the Section as Both, the application adds the pass/fail result of both Head and Tail.

If the test fails, the application captures the waveform, circles the hits and saves the information to the report.

The following figure shows a typical DUT waveform for Template testing of TP_IDL head:

The following figure shows a typical DUT waveform for Template testing of TP_IDL tail:

The application also tests for mask and displays the results as pass or fail.

If the acquired waveform does not lie within the mask, click Manual Fit. To adjust the waveform to fit into the Mask, change the horizontal position and vertical position using the general purpose knobs or the Virtual Keyboard. This repeats the mask pass/fail test and displays the results in the Results Summary pane.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | TP_IDL
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | The application introduces a gap in the mask where segments 1 and 2 merge


Test 10BASE-T for Differential Voltage

Test 10BASE-T Differential Voltage

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Parametric tab, select Diff Volt.

  3. From the Peak drop-down list, select the peak value as Max or Min Max.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the Vertical, Horizontal, Trigger oscilloscope parameters

  • Measures the maximum and minimum voltages on the waveform

The following figure shows a typical DUT waveform:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Differential Voltage
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | The application displays the probe offset value.


Test 10BASE-T for Harmonic

Test 10BASE-T Harmonic

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Parametric tab, select Harmonic.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
Harmonic Ones
Output | Math1, Math2, Math3, or Math4 | Select the math waveform on which the processed waveform will be stored.
# of Averages |  | Enter the number of waveforms to be averaged.
Time/Scale | 1 or 10 microseconds | Enter the time or scale depending on the packet length being transmitted.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the Vertical, Horizontal, Trigger and Math Spectral oscilloscope parameters

  • Displays the Math waveform

The following figure shows a typical DUT waveform:

Note1: The Harmonic results starts at 2 to ends at 25.
Note2: If the calculated harmonic frequency value is not in the range of + 0.5 MHz, then cursor-based readings of the harmonic value are used.

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Harmonic
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 10BASE-T for Jitter

Test 10BASE-T Jitter with cable

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Parametric tab, select With Cable in the Jitter group.

  3. Select Normal, 8BT, 8.5BT, or All in the adjacent drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
MAU Type | Internal, or External | Select the MAU Type as Internal or External.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • If you selected 8BT or 8.5BT or All (Refer Step 3), the following window appears

    If the signal does not look like the one in the image, you can set up the oscilloscope. The signal may not match the one in the image if an interpacket interval is observed on the screen. Adjust these parameters in the oscilloscope.

  • Increase the trigger level so that the interpacket interval is not considered. Trigger level is currently set to 60 mV accounting for the noise of 50 mV

  • If the signal still does not match the one in the image, adjust the trigger hold off parameter. This adjustment will help in skipping the interpacket interval and get the stable trigger every time

Then, click OK for the application to continue the testing. The application does the following:

  • Sets up the signal

  • Places the horizontal histogram at the zero crossing

  • Reads the peak-to-peak jitter from the histogram

  • Compares the read out values with the standard

  • Acquires the signal for approximately 15 seconds

If you have selected Output Timing Jitter as Normal, the application displays the typical DUT waveform for Jitter with cable testing as shown in the following figure:

If you have selected Output Timing Jitter as 8 BT, the application displays the typical DUT waveform for Jitter with cable testing as shown in the following figure:

If you have selected Output Timing Jitter as 8.5 BT, the application displays the typical DUT waveform for Jitter with cable testing as shown in the following figure:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter with cable
Spec Range | Specification range | Refer Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 10BASE-T for Jitter without cable

Test 10BASE-T Jitter without cable

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Parametric tab, select w/o Cable in Jitter group.

  3. Select Normal, 8BT, 8.5BT, or All in the adjacent drop-down list.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

  3. In the Configuration window, select the following options:

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.
MAU Type | Internal, or External | Select the MAU Type as Internal or External.

  4. Select Tests > Connect or Connect in the Selection pane. Click here for information on how to make connections.

  5. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  6. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • If you selected 8BT or 8.5BT or All (Refer Step 3), the following window appears

    If the signal does not look like the one in the image, you can set up the oscilloscope. The signal may not match the one in the image if an interpacket interval is observed on the screen. Adjust these parameters in the oscilloscope.

  • Increase the trigger level so the interpacket interval is not considered. Trigger level is currently set to 60 mV accounting for the noise of 50 mV

  • If the signal still does not match the one in the image, adjust the trigger hold off parameter. This adjustment will help in skipping the interpacket interval and get the stable trigger every time

Then, click OK for the application to continue the testing. The application does the following:

  • Sets up the signal

  • Displays the rising waveform in the oscilloscope screen after setup

  • Places the horizontal histogram at the zero crossing

  • Reads the peak-to-peak jitter from the histogram

  • Compares the read out values with the Standard

  • Acquires the signal for approximately 15 seconds

If you have selected Output Timing Jitter as Normal, the application displays the typical DUT waveform for Jitter without cable testing as shown in the following figure:

If you have selected Output Timing Jitter as 8 BT, the application displays the typical DUT waveform for Jitter without cable testing as shown in the following figure:

If you have selected Output Timing Jitter as 8.5 BT, the application displays the typical DUT waveform for Jitter without cable testing as shown in the following figure:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Jitter without cable
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 10BASE-T for Return Loss

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the Return Loss tab, select Transmitter or Receiver.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

  4. In the Configuration window, select the following options.

Parameter | Options | To Do
Sources P1/P3 P2/P4 | CH1, CH2, CH3, or CH4 CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected. Note: Depending on whether the Transmitter or Receiver is selected, the sources will change from P1/P3 and P2/P4.
Output Waveform Return Loss 0dB Marker | Ref1, Ref2, Ref3, or Ref4 Ref1, Ref2, Ref3, or Ref4 | Select the reference waveform on which the output waveform will be stored. Select the reference waveform on which you want the OdB Marker to be indicated. Note: These fields appear only if you set Load as 100 ohm.
AWG Series | Select, AWG 4xx, AWG 2021, AWG 5xx, AWG 6xx, AWG 7xx | Select the AWG Series to use. If you select the default value–Select–then the application considers all AWGs other than the AWG 4xx series.
Load | 85, 100, 111 ohm or 100 ohm | Select the load as 85, 100, 111 ohm or 100 ohm.
#Averages | 100 to 10000 | Enter the number of waveforms you want to average.
Smooth | 0 to 10 | Enter the smoothening factor.

  5. Select Tests > Connect or Connect. Click here for information on how to connect the DUT.

  6. Calibrate the test setup for either Receiver or Transmitter. If you do not calibrate the test setup before running the test, an error message Error 412: Calibration Data Not Available appears.

  7. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  8. Click Run Test. The application does the following:

  9. Displays a message box to confirm the overwrite of the reference waveform. Select Yes to continue

  10. Sets the trigger

  11. Acquires and computes the return loss

  12. Displays the return loss curve on selected output (reference waveform)

If the test fails, the application captures the waveform, circles the hits and saves the information to the report. The application obtains the hits information only for the 100 ohm waveform.

The following figure shows a typical waveform for Return Loss Transmitter:

The following figure shows a typical waveform for Return Loss Receiver:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Return Loss
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured return loss values | <Measured Values>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Test 10BASE-T for CM Voltage

  1. Click Tests > Select > 10BASE-T from the menu bar.
    or
    Click Select in Selection pane and then 10-T in the Speed pane.

  2. In the CM Voltage tab, select CM Voltage.

Note: The status bar displays the major configuration details. If you do not want to change the configuration settings, you can skip Step 3.

  3. To change the configuration settings, select Tests > Configure from the menu bar, or click the Configure button in the Selection pane.

  4. In the Configuration window, select the following options.

Parameter | Options | To Do
Data | CH1, CH2, CH3, or CH4 | Select the channel to which the DUT is connected.

  5. Select Tests > Connect or Connect. Click here for information on how to connect the DUT.

  6. Select View Wfm in the Selection pane, to view and compare the waveform with the acquired waveform. Click here for information on viewing a waveform.

  7. Click Run Test. The application does the following:

  • Checks whether the DUT is connected and a valid signal is acquired

  • Sets up the Trigger

  • Measures the maximum positive and negative voltage levels

  • Compares the values with the Standard

  • Displays the DUT waveform for Common mode Voltage testing

The following figure shows a typical Common mode Voltage test:

The application automatically displays the results as pass or fail. Select Results in the Execution pane and then click Result Details button to view the detailed results categorized as given in the following table:

Category | Description | Value
Description | Selected test | Differential Peak Voltage
Spec Range | Specification range | Refer to Specification Range for 10BASE-T
Measured Value | Measured value of the selected test | <Measured Value>
Pass/Fail | Test passed or failed | or
Remarks | Additional information about the test | <Additional information about the test, if any.>


Generate a Report for 1000BASE-T

You can automatically generate reports using the Report Summary or Details button. You can use Report Configuration dialog box for configuring the DUT details and report file name.

To manually generate the report, do the following:

  1. From the application menu bar, select Utilities > Report Generator to display Report Generator window.

  2. In the Generate Report tab, select Browse. The Open dialog box displays all the reports in the default directory c:\TekApplications\TDSET3\Report Generator\Reports.

  3. In the Open dialog box, select the tests relevant to 1000BASE-T, and then select Open.

  4. In the Generate Report tab, select Generate Report, Print Report, or Load Report.

  5. If you select Generate Report, the Assign Data to Report dialog box appears.

  • In the Assign Data to Report dialog box, select the test templates to assign the current data from your measurement application

  • Select Assign. The Report Viewer displays the report with current data from the application. You can choose to export to rtf format

  6. If you select Print Report, the Report Viewer displays the selected report with current data from the application.

  • If the page settings do not match the page settings for the report, a Page Size Mismatch message box displays a message — The current page settings do not match the page settings for the Report. Do you want to continue?

  • Click Yes to continue

  • Click No to stop printing the report

  • If a printer is connected to the oscilloscope, the report is printed

  7. If you select View Report, the Report Viewer displays the selected report with current data from the application.

You can also define test templates, and define report layouts.


Generate a Report for 100BASE-TX

You can automatically generate reports using the Report button. You can use Report Configuration dialog box for configuring the DUT details and report file name.

To manually generate the report, do the following:

  1. From the application menu bar, select Utilities > Report Generator to display the Report Generator window.

  2. In the Generate Report tab, select Browse. The Open dialog box displays all the reports in the default directory c:\TekApplications\TDSET3\Report Generator\Reports.

  3. In the Open dialog box, select the tests relevant to 100BASE-TX, and select Open.

  4. In the Generate Report tab, select Generate Report, Print Report, or Load Report.

  5. If you select Generate Report, the Assign Data to Report dialog box appears.

  • In the Assign Data to Report dialog box, select a test template to assign the current data from your measurement application

  • Select Assign. The Report Viewer displays the report with current data from the application. You can choose to export to rtf format

  6. If you select Print Report, the Report Viewer displays the selected report with current data from the application.

  • If the page settings do not match the page settings for the report, a Page Size Mismatch message box displays a message — The current page settings do not match the page settings for the Report. Do you want to continue?

  • Click Yes to continue

  • Click No to stop printing the report

  • If a printer is connected to the oscilloscope, the report is printed

  7. If you select View Report, the Report Viewer displays the selected report with current data from the application.

You can also define test templates, and define report layouts.


Generate a Report for 10BASE-T

You can automatically generate reports using the Report button. You can use Report Configuration dialog box for configuring the DUT details and report file name.

To manually generate the report, do the following:

  1. From the application menu bar, select Utilities > Report Generator to display the Report Generator window.

  2. In the Generate Report tab, select Browse. The Open dialog box displays all the reports in the default directory c:\TekApplications\TDSET3\Report Generator\Reports.

  3. In the Open dialog box, select the tests relevant to 10BASE-T, and select Open.

  4. In the Generate Report tab, select Generate Report, Print Report, or Load Report.

  5. If you select Generate Report, the Assign Data to Report dialog box appears.

  • In the Assign Data to Report dialog box, select a test template to assign the current data from your measurement application

  • Select Assign. The Report Viewer displays the report with current data from the application. You can choose to export to rtf format

  6. If you select Print Report, the Report Viewer displays the selected report with current data from the application.

  • If the page settings do not match the page settings for the report, a Page Size Mismatch message box displays a message — The current page settings do not match the page settings for the Report. Do you want to continue?

  • Click Yes to continue

  • Click No to stop printing the report

  • If a printer is connected to the oscilloscope, the report is printed

  7. If you select View Report, the Report Viewer displays the selected report with current data from the application.

You can also define test templates, and define report layouts.


View Waveform 1000BASE-T Template

View Waveform 1000BASE-T Template, Peak Volt, and Droop

With Disturbing Signal

Without Disturbing Signal

Ensure the waveform displayed by the application in the circled portion is similar to the acquired waveform.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

  1. For Template, Peak Volt, and Droop tests, check if the DUT is set to transmit Test Mode 1 signal.

  2. Check the polarity of the signal.

  3. Check the correctness of jumper connections in the fixture.

  4. Check the correctness of the probing point in the fixture.


View Waveform 1000BASE-T Jitter Master Filtered

View Waveform 1000BASE-T Jitter Master Filtered (with TX_TCLK ACCESS)

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 2 signal.

2. Check the correctness of test setup.

3. Check the correctness of the probing point in the fixture.

View Waveform 1000BASE-T Jitter Master Filtered (without TX_TCLK ACCESS)

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 2 signal.

2. Check for the correctness of test setup.

3. Check for the correctness of the probing point in the fixture.


View Waveform 1000BASE-T Jitter Master Unfiltered

View Waveform 1000BASE-T Jitter Master Unfiltered (with TX_TCLK ACCESS)

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 2 signal.

2. Check the correctness of test setup.

3. Check the correctness of the probing point in the fixture.

View Waveform 1000BASE-T Jitter Master Unfiltered (without TX_TCLK ACCESS)

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 2 signal.

2. Check the correctness of test setup.

3. Check the correctness of the probing point in the fixture.


View Waveform 1000BASE-T Jitter Slave Filtered

View Waveform 1000BASE-T Jitter Slave Filtered (with TX_TCLK ACCESS)

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 3 signal and the link partner is set to transmit Test Mode 2 signal.

2. Check the correctness of test setup.

3. Check the correctness of the probing point in the fixture.

View Waveform 1000BASE-T Jitter Slave Filtered (without TX_TCLK ACCESS)

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 3 signal and the link partner is set to transmit Test Mode 2 signal.

2. Check for the correctness of test setup.

3. Check for the correctness of the probing point in the fixture.


View Waveform 1000BASE-T Jitter Slave Unfiltered

View Waveform 1000BASE-T Jitter Slave Unfiltered (with TX_TCLK ACCESS)

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 3 signal and the link partner is set to transmit Test Mode 2 signal.

2. Check the correctness of test setup.

3. Check the correctness of the probing point in the fixture.

View Waveform 1000BASE-T Jitter Slave Unfiltered (without TX_TCLK ACCESS)

i

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit Test Mode 3 signal and the link partner is set to transmit Test Mode 2 signal.

2. Check for the correctness of test setup.

3. Check for the correctness of the probing point in the fixture.


View Wfm 1000T Distortion

View Waveform 1000BASE-T Distortion

Note: In TDS5000B series oscilloscopes, the horizontal scale is set to 10 ns.

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

  1. For Distortion test, check if the DUT is set to transmit Test Mode 4 signal.

  2. Check the polarity of the signal.

  3. Check the correctness of jumper connections in the fixture.

  4. Check the correctness of the probing point in the fixture.


View Waveform 1000BASE-T Return Loss

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

  • Check if the DUT is set to transmit Test mode 4 signal

  • Check if the polarity of probe connection is right

  • Check the correctness of the probing point in the Test Fixture


View Waveform 1000BASE-T CM Voltage

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

  • Check if the DUT is set to transmit Test mode 4 signal

  • Check if the probe is properly locked to the oscilloscope

  • Check if all the connections are proper


View Waveform 100BASE-TX

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit random sequence.

2. Check if the polarity of probe connection is right.

3. Check the correctness of the probing point in the Test Fixture.


View Wfm 100TX Return Loss

View Waveform 100BASE-TX Return Loss

Transmitter

Receiver

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is set to transmit random sequence.

2. Check if the polarity of probe connection is right.

3. Check the correctness of the probing point in the Test Fixture.


View Waveform 10BASE-T Template Link Pulse

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting the Link Pulse.

2. Check if the probe is properly locked to the oscilloscope.

3. Check if the polarity of probe connection is right.

4. Check if all the connections are proper.


View Waveform 10BASE-T Template MAU

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the probe is properly locked to the oscilloscope.

3. Check if all the connections are proper.


View Waveform 10BASE-T Template TP_IDL

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the polarity of probe connection is right.

3. Check if the probe is properly locked to the oscilloscope.

4. Check if all the connections are proper.


View Waveform 10BASE-T Jitter with cable

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the probe is properly locked to the oscilloscope.

3. Check if all the connections are proper.


View Waveform 10BASE-T Jitter without cable

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the probe is properly locked to the oscilloscope.

3. Check if all the connections are proper.


View Waveform 10BASE-T Differential Voltage

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the polarity of probe connection is right.

3. Check if the probe is properly locked to the oscilloscope.

4. Check if all the connections are proper.


View Waveform 10BASE-T Harmonic

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the polarity of probe connection is right.

3. Check if the probe is properly locked to the oscilloscope.

4. Check if all the connections are proper.


View Waveform 10BASE-T Return Loss

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the polarity of probe connection is right.

3. Check if the probe is properly locked to the oscilloscope.

4. Check if all the connections are proper.


View Waveform 10BASE-T CM Voltage

If the waveform displayed by the application is not similar to the acquired waveform in the graticule, do the following:

1. Check if the DUT is transmitting 10Base-T packets.

2. Check if the probe is properly locked to the oscilloscope.

3. Check if all the connections are proper.


Automate AWG

Utilities > Automate AWG

This procedure will guide you through the process of connecting and configuring the AWG and the oscilloscope for automation.

You will need: Tektronix AWG, Tektronix digital oscilloscope, and National Instruments GPIB-USB-A cable with the included software (NI-488.2 for Windows) or
GPIB-USB-B cable with pre-installed software.

  1. Connect the equipment and verify the connection.

  2. From the TDSET3 menu, select Utilities> Automate AWG. The following screen appears:

  3. Select GPIB to automate the AWG and configure GPIB setup. The following table describes the AWG Automation configuration parameters.

Configuration Parameters | Description
GPIB, Manual | Select GPIB to automate file transfer and settings to the AWG.
Board Type | Select the Board Type that you are using.
Primary Address | Select the Primary GPIB Address.
Secondary Address | Select the Secondary GPIB Address.
Show File overwrite warnings | When checked, warns you before transferring files on the AWG while running a test.

Note: While running a test, the oscilloscope transfers waveform and setup files to the AWG. Ensure that the AWG does not have files with the same name to avoid overwriting those files.

  5. Click Test Connection and look for a message that the connection is successful. Test Connection is enabled only for the GPIB mode.

  6. RUN the selected test.

  7. If you have selected Manual to set up the AWG and configure GPIB setup, you must:

    • Copy the waveform files from C:\TekApplications\TDSET3\AWG Waveforms

    • Load the appropriate waveform onto the proper channel

    • Make the AWG settings according to the ReadMe.txt in the corresponding folder

    • Then RUN the test

Configuration Parameters and Default Settings:

Parameter | Default
Select: GPIB, Manual | Manual
Board Type | GPIB0
Primary Address | 9
Secondary Address | 1
Show File overwrite warnings | Checked


Connect the Equipment and Verify the Connections

Before you connect the equipment and verify the connection, ensure that you have installed the software NI-488.2 for Windows. If you are using the GPIB-USB-B cable verify that the software is pre-installed. Follow these steps to install NI-488.2 for Windows.

  1. Install NI-488.2 for Windows on the oscilloscope.

During Installation:

  2. Ensure that NI-VISA is NOT installed.

  3. Install the Measurement and Automation Explorer.

  4. When prompted, enable the GPIB-USB-A/B interface.

  5. Restart the oscilloscope.

  6. 

Connect the Equipment 

  1. Connect the GPIB-USB-A/B cable to the USB port on the oscilloscope ( the TDS7000B rear panel is shown here). The oscilloscope operating system will detect the USB-GPIB controller and install the appropriate driver for it.

  2. Connect the other end of the cable GPIB-USB-A/B to the AWG. 

Verify the Equipment Connections

  3. Open the Measurement and Automation Explorer that was installed with the NI-488.2 software.

  4. In the Configuration pane, look under Devices and Interfaces for the GPIB device.

  5. Right-click on the GPIB device and click Scan for Instruments.

  6. Note the GPIB Instrument Number and the Primary Address for configuring the instrument connection in the TDSET3 application.

  7. Right click on the instrument (Instrument0 in this example) and click Communicate with Instrument.

  8. In the NI-488.2 Communicator dialog box, click Query and check that *IDN? brings up a description of the correct equipment.

  9. From the Tekscope menu, select Utilities> GPIB Configuration. In the GPIB Configuration, ensure that the Talk/Listen is selected and the primary address matches the GPIB instrument number.

  10. Search for the TekVISA configuration on one of the following:

  • Desktop

  • Start\Program Files\TekVISA\TEK VISA configuration

  • Start\Program Files\TekVISA\OpenChoice Instrument Manager configuration for application version 3.0.0 and above

If you cannot find TekVISA, rename the visa32.dll in C:\winnt\system32 and then install the latest TekVISA.

  11. Click on the Find/Refresh button to refresh the list of devices connected to the oscilloscope.

For application version 3.0.0 and above, click "search criteria" in the Instrument Manager. To confirm that the AWG is connected over GPIB to the oscilloscope, select the "Search for GPIB" option and click Done. To update the list of devices connected to the oscilloscope, click Update.

  12. If the NI-488.2 GPIB settings and TekVISA configuration do not match, the connection/configuration might not be correct.

Note: If the AWG is not found listed in TekVISA (with the properties as in NI VISA), make sure that TekVISA detects the GPIB devices. Sometimes it could detect only those network devices that you see.

  13. Start the application and continue with AWG automation.

Note: While running a test, the oscilloscope transfers waveform and setup files to the AWG. Ensure that the AWG does not have files with the same name to avoid overwriting those files.


Introduction to Report Generator

About Report Generator

The Report Generator enables you to generate and print reports directly from the oscilloscope. It enhances the TDSET3 application capabilities by simplifying the process of creating and maintaining reports.

The Report Generator automates the process of compiling the test results and generating the reports. It allows you to set up the template layout using the factory default templates or custom templates. The Report Generator allows you to save files in the custom file formats such as .rgt, .rpl, or .rpt. The generated reports can also be saved as an .rtf file. The Report Generator is integrated with the TDSET3 application.

There are several tools to convert RTF to PDF. For converting the .RPT to PDF, there are several tools such as RoboPDFTM, GhostWriterTM and many others.

See Also:

Starting the Report Generator

About the TDSET3 application


Starting the Report Generator

Report Generator

Utilities > Report Generator

You can generate and print reports directly from the oscilloscope.

Perform the following steps to generate a report:

  1. Create a new or edit an existing test template.
  2. Define a new or edit an existing report layout.
  3. Generate, print, or view a report.

Note: The report image settings are as per the existing export settings of the oscilloscope. It is recommended that you use Graticule(s) only for Image view setting in export setup.


Shortcut Keys for Report Generator

Action / common keys | Shortcut keys
Open | Ctrl+O
Save | Ctrl+S
Template editor |
New | Ctrl+N
Find | Ctrl+F
Replace | Ctrl+H
Print | Ctrl+P
Cut | Ctrl+X
Copy | Ctrl+C
Paste | Ctrl+V
Delete | Del
Select all | Ctrl+A
Bring to front | Ctrl+Plus
Send to Back | Ctrl+Minus
Edit Text | Alt+Enter
Report layout |
New | Ctrlr+N
GoTo | Ctrl+G
Refresh Template List | F5
Report viewer |
Find | Ctrl+F
Select All | Ctrl+A
Del | Del
GoTo | Ctrl+G
Bring to front | Ctrl+Plus
Send to Back | Ctrl+Minus
Edit Text | Alt+Enter


Template Editor

About Template Editor

The Report Generator allows you to create templates apart from providing you with factory default templates. Use the Template Editor to create and edit templates in the .rgt format (report generator template). A template stores the fields and their positions. You can save the templates and reuse them in any number of reports or report layouts. You can cut, copy, and paste across templates. Once the report is generated, the application fills in the fields of the template using the acquired data from the oscilloscope.

The Template Editor has a palette list that displays the following groups of fields: the TDSET3 Fields, Oscilloscope Fields, and Native Fields. The template editor provides you with the option to create custom groups; these groups once created, appear in the palette list. The fields are listed according to the group selected. You can use these fields to design and create a template.

You can place the fields in the template, and then move and size them appropriately. Multiple fields can be selected and placed in the template. You can select more than one field and make the following changes: cut, copy, paste, align, delete, size, edit font, and change caption of the fields.

Once a template is defined and saved, either click Done to close the template editor, or use the Layout icon to directly go to the report layout editor.

See Also

Using Template Editor


Template Editor Parameters

Template Editor Default Settings

Parameter | Selection | Default setting
Page Size | Change Template Size | 8.5x11inches
Palette List | None | Displays application fields by default. If there are no application fields, the oscilloscope fields are displayed.
Static Text | Static Text | Inserts My Static Text.
Fields | None | The default size of the field dragged into the template is 200 X 300 pixels.


Template Editor Window

The Template Editor window comprises a menu bar, a toolbar, a client area, a palette list, and a status bar. When you select the New Template button in your application, the client area in the Template Editor Window is empty. When you select the Edit Template button in your application, the client area displays the selected template.

See the following topics for more information about each of these interface elements:

Menus

Toolbars

Palette List

Status bar


Palette List

View> Palette Toolbar

The Palette List is a floating toolbar that has a list of Native Fields, TDSET3 fields, and oscilloscope fields grouped logically. You can drag and drop fields from the palette list into the template. The palette toolbar is displayed by default; you can show or hide the toolbar by selecting View > Palette Toolbar.

The Palette list groups the fields into the following categories:

  • Native fields — Static Text, Rectangle, Line, Logo, Table, Date and Time

  • <Application> fields — fields related to the application. The <Application> is replaced with the application from which you opened Report Generator. As you have opened Report Generator from TDSET3, the <Application> fields is displayed as TDSET3 fields

  • Oscilloscope fields — Groups of fields related to the data acquired from the oscilloscope

  • Custom groups — custom groups created


Application Fields

The following table lists the options and sub menus for 1000BASE-T. You can drag and drop any of these fields.

Options |  | Sub menus
Configuration Parameters |  |
Source - Data |  |
Source - Master Clock |  |
Source - Slave Clock |  |
Source - TX_TCLK |  |
Source - Return Loss Probe 1 |  |
Source - Return Loss Probe 2 |  |
Source - Data (TM2) |  |
Source - Data (TM3) |  |
Meas Type |  |
Record Length |  |
Disturbing Signal |  |
Filter |  |
Clock Edge |  |
# Averages |  |
Output |  |
TX_TCLK |  |
Hi Resolution |  |
Jig Match - Amplitude |  |
Jig Match - Frequency |  |
Jig Match - DUT Amp |  |
Jig Match - Probe Point Amp |  |
Jig Match - Attenuation |  |
Output Waveform Return Loss |  |
Output Waveform OdB Marker |  |
Return Loss - Pair ID |  |
Return Loss - Load |  |
Return Loss - # Averages |  |
Return Loss - Smooth |  |
LP Filter |  |
Hysteresis |  |
Templates | Point A, Point B, Point C, Point F, Point H | Test Result
 |  | Image
 |  | Summary
Peak Volt | Point A | Test Result
 |  | Point A Peak
 |  | Point A Image
 | Point B | % Diff A & B % Diff A & B, Test Result
 |  | Test Result
 |  | Point A Peak
 |  | Point B Peak
 |  | Point B Image
 | Point C | Test Result
 |  | Point A Peak
 |  | Point B Peak
 |  | Point C Peak
 |  | % Diff C
 |  | Point C Image
 | Point D | Test Result
 |  | Point A Peak
 |  | Point B Peak
 |  | Point D Peak
 |  | % Diff D
 |  | Point D Image
Droop | Point G | Test Result
 |  | Point F Peak
 |  | Point G Peak
 |  | Limit
 |  | Point G Image
 | Point J | Test Result
 |  | Point H Peak
 |  | Point J Peak
 |  | Limit
 |  | Point J Image
Jitter | Master |
 | Filtered with TX_TCLK | Result
 |  | Master Pk-Pk Jitter
 |  | Master Jtx_Out
 |  | Master Pk-Pk Jitter + Master Jtx_Out
 |  | Clock Edges
 |  | Trend Plot: Master Filtered Pk-Pk Jitter
 |  | Trend Plot: Master Jtx_Out
 | Filtered without TX_TCLK | Result
 |  | Data (TM2) Pk-Pk Jitter
 |  | Trend Plot: Data (TM2) Jitter
 |  | CLK Edges
 | Unfiltered with TX_TCLK | Histogram Method Result, Master Pk-Pk Jitter, Median, Mean, Image
 |  | TIE Method Result, Master Pk-Pk Jitter, Clk Edges, Trend Plot - Master Unfiltered Pk-Pk Jitter
 | Unfiltered without TX_TCLK | Histogram Method Result, Data (TM2) Pk-Pk Jitter, Data (TM2) Jitter Image, Remarks
 |  | TIE Method Result, Data (TM2) Pk-Pk Jitter, Trend Plot: Data (TM2) Jitter, CLK Edges
 | Slave |
 | Filtered with TX_TCLK | Result
 |  | Master Pk-Pk Jitter
 |  | Slave Pk-Pk Jitter
 |  | Slave Jtx_Out
 |  | Slave Pk-Pk Jitter + Slave Jtx_Out
 |  | 0.4 ns + Master Filtered Pk-Pk Jitter
 |  | Clk Edges
 |  | Trend Plot: Master Filtered Pk-Pk Jitter
 |  | Trend Plot: Slave Filtered Pk-Pk Jitter
 |  | Trend Plot: Slave Jtx_Out
 | Filtered without TX_TCLK | Result
 |  | Data (TM2) Pk-Pk Jitter
 |  | Data (TM3) Pk-Pk Jitter
 |  | Data (TM2) Pk-Pk Jitter - Data (TM3) Pk-Pk Jitter
 |  | Trend Plot: Data (TM2) Jitter
 |  | Trend Plot: Data (TM3) Jitter
 |  | Clk Edges
 | Unfiltered with TX_TCLK | Histogram Method Result, Slave Pk-Pk Jitter, Median, Mean, Image
 |  | TIE Method Result, Slave Pk-Pk Jitter, Clk Edges, Trend Plot - Slave Unfiltered Pk-Pk Jitter
 | Unfiltered without TX_TCLK | Histogram Method Result, Data (TM2) Pk-Pk Jitter, Data (TM3) Pk-Pk Jitter, Data (TM2) Pk-Pk Jitter - Data (TM3) Pk-Pk Jitter, Data (TM2) Jitter Image, Data (TM3) Jitter Image, Remarks
 |  | TIE Method Result, Data (TM2) Pk-Pk Jitter, Data (TM3) Pk-Pk Jitter, Data (TM2) Pk-Pk Jitter - Data (TM3) Pk-Pk Jitter, Trend Plot: Data (TM2) Jitter, Trend Plot: Data (TM3) Jitter, Clk Edges
Distortion |  | Test Result, Peak Distortion, RMS, SNR, Other Details, Peak Distortion Image
Return Loss |  | Return Loss (1MHz - 100MHz), Image, Result
CM Voltage |  | Image, Result, Value

The following table lists the options and sub menus for 100BASE-TX. You can drag and drop any of these fields.

Options | Sub menus
Configuration Parameters |
Signal Source |
Source - Return Loss Probe 1 |
Source - Return Loss Probe 2 |
Acquisition Mode |
# Averages |
Mask Scale |
Output Waveform Return Loss |
Output Waveform 0dB Marker |
Return Loss - Load |
Return Loss - # Averages |
Return Loss - Smooth |
Differential Output Voltage | Output Voltage (+Vout)
 | Output Voltage (-Vout)
 | Differential Output Voltage Result
 | Output Voltage (+Vout) Image
 | Output Voltage (-Vout) Image
 | Output Voltage (+Vout) Result
 | Output Voltage (-Vout) Result
Signal Amplitude Symmetry | Amplitude Symmetry
 | Amplitude Symmetry Result
 | Amplitude Symmetry (+Vout) Image
 | Amplitude Symmetry (-Vout) Image
Rise and Fall Times | Rise Time (+ve)
 | Fall Time (+ve)
 | Rise Time (-ve)
 | Fall Time (-ve)
 | Rise Time Result
 | Fall Time Result
 | Rise Time (-ve) Image
 | Rise Time (+ve) Image
 | Rise Time (+ve) Result
 | Rise Time (-ve) Result
 | Fall Time (+ve) Result
 | Fall Time (-ve) Result
 | Fall Time (+ve) Image
 | Fall Time (-ve) Image
Rise and Fall Time Symmetry | Rise/Fall Symmetry Result
 | Rise/Fall Symmetry (+ve)
 | Rise/Fall Symmetry (-ve)
 | Rise/Fall Symmetry (+ve) Result
 | Rise/Fall Symmetry (-ve) Result
 | Rise/Fall Symmetry (+ve) Image
 | Rise/Fall Symmetry (-ve) Image
Waveform Overshoot | Overshoot (+ve)
 | Overshoot (-ve)
 | Waveform Overshoot Result
 | Positive Overshoot Image
 | Negative Overshoot Image
 | Overshoot (+ve) Result
 | Overshoot (-ve) Result
AOI Template | AOI Template Test Result
 | AOI Template Image
Duty Cycle Distortion | Distortion (Duty Cycle)
 | Distortion (Duty Cycle) Image
 | Distortion (Duty Cycle) Result
 | Test Result Summary
Jitter | Transmitter Jitter (+ve) Image
 | Transmitter Jitter (-ve) Image
 | Transmitter Jitter (+ve)
 | Transmitter Jitter (-ve)
 | Transmitter Jitter (+ve) Result
 | Transmitter Jitter (-ve) Result
Transmitter Return Loss | Return Loss (1MHz - 100MHz), Image, Result
Receiver Return Loss | Return Loss (1MHz - 100MHz), Image, Result

The following table lists the options and sub menus for 10BASE-T. You can drag and drop any of these fields.

Options |  | Sub menus
Configuration Parameters |  |
Signal Source |  |
Source - Return Loss Probe 1 |  |
Source - Return Loss Probe 2 |  |
Acquisition Mode |  |
# Averages |  |
Harmonic - Output |  |
Harmonic - # Averages |  |
Harmonic - Time Scale |  |
Output Waveform Return Loss |  |
Output Waveform 0dB Marker |  |
Return Loss - Load |  |
Return Loss - # Averages |  |
Return Loss - Smooth |  |
Templates |  |
Link Pulse | 100 ohm w/o TPM | Head Image, Tail Image, Result, Test Result Summary
 | Load 1 w/o TPM
 | Load 2 w/o TPM
 | 100 ohm with TPM
 | Load 1 with TPM
 | Load 2 with TPM
MAU | Internal Normal | Image, Mask Scale, Result, Test Result Summary
 | Internal Inverted
 | External Normal
 | External Inverted
TP_IDL | 100 ohm w/o TPM | Head Image, Tail Image, Result, Test Result Summary
 | Load 1 w/o TPM
 | Load 2 w/o TPM
 | 100 ohm with TPM
 | Load 1 with TPM
 | Load 2 with TPM
Parametric |  |
Jitter | With Cable |
 | Normal 8BT Jitter 8.5BT Jitter | Image, MAU Type, Spec Range, Value, Result
 | Without Cable |
 | Normal 8BT Jitter 8.5BT Jitter | Image, MAU Type, Spec Range, Value, Result
Peak Diff Volt |  | Peak Diff Voltage Image
 |  | Min Pos Peak Diff Voltage
 |  | Max Pos Peak Diff Voltage
 |  | Min Neg Peak Diff Voltage
 |  | Max Neg Peak Diff Voltage
 |  | Result
Harmonic |  | Harmonic of all ones Image
 |  | Fundamental
 |  | Harmonic 2 - 25
 |  | Harmonic of all ones Result
 |  | Spec Range
Transmitter Return Loss |  | Return Loss (5MHz), Return Loss (10MHz), Image, Result
Receiver Return Loss |  | Return Loss (5MHz), Return Loss (10MHz), Image, Result
CM Voltage |  | Image, Result, Value


Native Fields

You can enhance the report using the following parameters from the Native fields — Static Text, Rectangle, Line, Logo, Table, Date, and Time.

You can drag any fields from the Native field and drop it in the active template.

Static Text

  1. From the Native fields, drag and drop the static text.

  2. In the Edit Text dialog box,

  • Click

  • In the Virtual Keyboard, select the text and select Enter

  3. Click OK.

Rectangle

From the Native Fields, drag and drop the Rectangle into the Active Template.

The black squares that appear at the corners of the rectangle allow you to increase the size.

Line

From the Native Fields, drag and drop the Line into the Active Template.

The black squares that appear at the corners of the line allow you to increase the size.

Logo

  1. From the Native Fields, drag and drop the Logo into the Active Template.

  2. In the Edit Image dialog box,

  • Select [image].

  • In the Virtual Keyboard, enter the path and filename and select Enter
    Or

  • Select Browse to navigate to the location where the image is available

  3. Click OK.

Table

  1. From the Native Fields, drag and drop the Table into the Active Template.

  2. In the Edit Table dialog box, you can select the number of rows and columns.

  • Select [image] next to Number of Rows and Number of Columns to edit the number

  • In the Virtual Keyboard, enter the number and select Enter

  3. Click OK.

Date and Time

From the Native fields, drag and drop the Date and Time.


Oscilloscope Fields

These fields are grouped into ten different groups:

  • Waveform Group: The Waveform group has all the active live channels and independent channels (only CH1 to CH4) waveforms in both jpeg and bmp. These waveforms are generated to smoothen out the stair-step effect seen on the display

  • Vertical Group: The Vertical group has all vertical related fields such as the vertical scale, position, offset, and others

  • Horizontal Group: The Horizontal group has all horizontal related fields such as the horizontal divisions, scale, record length, position, sample rate, and others

  • Math Group: The Math group has all the math related fields such as the math definition for a specified math channel, magnitude, spectral gate, spectral phase, spectral window, spectral frequencies of the math channel, and others

  • Trigger Group: The Trigger group has all trigger related fields such as the trigger type, mode, level, and various fields related to different trigger types

  • Measurement Group: The Measurement group has all the measurements such as the eight automated measurements and the immediate measurements

  • Acquisition Group: The Acquisition group has all acquisition related fields such as the acquisition mode, acquisition state, repetitive mode, fast acquisition mode, and others

  • Cursor Group: The Cursor group has all the cursor related fields such as the cursor mode, source, state and type of the cursor, H Bars, V Bars, and others

  • Zoom Group: The Zoom group has all zoom related fields such as the zoom horizontal position, horizontal scale, and others

  • Histogram Group: The Histogram group has all histogram fields such as the co-ordinates of histogram box. mode, size, source, and others

  • Screen snapshot: The Screen Snapshot group has two variations: one in color and the other in black-and-white. For these screenshots, the attributes are graticule, ink-saver, and jpeg


Menus

The menu bar has the following menus.

File

Edit

View

Object

Window

Help


File menu

Template Editor | File menu

Menu selection | Description
New | Creates a new template.
Open | Opens a template file.
Close | Closes the active template.
Save | Saves changes to the file.
Save As | Saves the template to a different file name using the Save as dialog box.
Print | Prints all or part of the contents of the active template.
Print Preview | Displays a sample view of the active template as it would be printed.
List of recent templates | Opens a previously (recent) opened template.
Exit | Closes the Template Editor.


Edit menu

The available Edit menu selections depend on whether a template is active or not. In other words, the client area is empty or has a template open.

Menu selection | Description
Cut | Cuts the selected fields.
Copy | Copies the selected fields.
Paste | Pastes the clipboard content.
Delete | Deletes the selected fields.
Select All | Selects all the fields.
Create Custom Group | Creates a custom group.
Edit Custom Group | Edits the custom group.
Change Template Size | Changes the template size.
Find | Finds the data matching the search criteria.
Replace | Replaces the data matching the search criteria with the specified data.


View menu

A tick mark ( [image]) appears next to the selected menu item.

Menu selection | Description
Toolbar | Displays/Hides the toolbars selected such as Standard, Align Size, Layout, and Action.
Status Bar | Displays/Hides the Status bar.
Palette Bar | Displays/Hides the Palette Bar.
Grid Lines | Displays/Hides the Grid Lines in the client area.


Object menu

The available object menu selections depend on whether a parameter in the client area is selected or not.

Menu selection | Description
Bring To Front | Brings the selected fields to front.
Send To Back | Sends the selected fields to back.
Hide Text / Show Text | Shows or hides the caption of the selected parameter.
Position Caption on Top/to the Left | Positions the caption of the selected parameter to left or on top.
Edit Caption | Allows you to edit the caption of the selected parameter.
Change Font | Allows you to change the font of the selected parameter or the caption using the Change Font dialog box.
Align Fields | Aligns fields to top, bottom, left, or right.
Make Same Size | Resizes the selected objects to the same size by height, width, or both.


Window menu

Menu selection | Description
New Window | Opens a new window duplicating the current active window.
Cascade | Arranges the open templates in the client area from the upper, left side to lower right side so that they overlap one another.
Tile | Arranges the open templates horizontally and vertically in the application client area without overlapping.
Arrange Icons | Arranges the icons of any templates you have minimized to the bottom-left of the window.
List of open templates. | Allows you to jump to another open template.


Help menu

Menu selection | Description
Help Topics | Displays the online help.
About Template Editor | Displays version and copyright information.


RG_TE_Toolbar

Toolbars

The Template Editor has the following toolbars. You can choose to display or hide these toolbars using View > Toolbars.

Standard

Align/Size

Layout

Action


Standard Toolbar

View > Toolbar > Standard

Enable the Standard Toolbar by selecting it in the View >Toolbar menu.


Align or Size toolbar

Align/Size

View > Toolbar > Align/Size

Enable the Align/Size Toolbar by selecting it in the View >Toolbar menu.


Layout Toolbar

View > Toolbar > Layout

Enable the Layout Toolbar by selecting it in the View >Toolbar menu.


Action toolbar

View > Toolbar > Action

Enable the Action Toolbar by selecting it in the View >Toolbar menu.

The Layout button also prompts to save documents.


Status bar

The Status bar displays the status of the application and tool tips for selected options.


Using Template Editor

To create a new template:

  1. From the Palette List, drag and drop the fields that you want in the report.

  2. If you drag and drop a group from the Palette List, all the fields within the group are placed in the active template.

  3. Organize the fields as you want them to appear in the report.

  4. After you have finished creating the template, select File > Save.

To edit an existing template:

  1. Organize the fields as you want them to appear in the report.

  2. From the Palette List, drag and drop the fields that you want in the report.

  3. If you drag and drop a group from the Palette List, all the fields within the group are placed in the active template.

  4. Organize the fields as you want them to appear in the report.

  5. After you have finished editing the template, select File > Save.

You can create custom group, edit custom group, and change template size

You can also edit caption, change font, align fields, and make selected fields same size

For more information on application interface of the Template Editor, refer to Template Editor Window.


Creating Custom Groups

Edit > Create Custom Group

You can create custom groups using any fields from the Palette List.

  1. Select Edit > Create Custom Group.

  2. In the Create Custom Group dialog box, enter the group name. You can enter the group name using the Virtual Keyboard.

  3. Click Next. The Select Fields dialog box displays all the fields of the Palette List.

  4. Using Add>>, Add All, <<Remove, or Remove All, you can select the fields you want to include in the new group.

  5. Click Finish.


Editing Custom Groups

Edit > Edit Custom Group

You can edit custom groups.

  1. Select Edit > Edit Custom Group.

  2. In Edit Custom Group dialog box, select a group to edit.

  3. Click Next.

  4. In Select Fields dialog box, select the fields you want to add or remove from the group using Add>>, Add All, <<Remove, or Remove All.

  5. Click Finish.


Delete Custom Groups

Edit > Edit Custom Group

You can delete custom groups.

  1. Select Edit > Edit Custom Group.

  2. In Edit Custom Group dialog box, select a group to delete.

  3. Click Delete. A message box appears asking you to confirm your choice.

  4. Select Yes to delete.


Changing Template Size

Change Template Size

Edit > Change Template Size

You can change the size and page setup for a template.

  1. Select Edit> Change Template Size.

  2. In the Change Template dialog box,

  • Select the Template Size as 1/4 page, 1/2 page, or Full page

  • If the printer is not available, select the Page Size as Default (8.5" x 11"); otherwise, select Configure Page

  • In Page Setup dialog box, select the paper size, source, orientation, and margins

  • Click OK to return to Change Template Size dialog box

  3. Click OK.

Note: Do not reduce the template size beyond the content filled in the template. You may lose information.


Select Fields

Select All

Edit > Select All

To cut, copy, or delete the fields from the active template, you need to select the fields. You can also select the fields from the active template by clicking CTRL+ selecting the fields.


Find

Edit > Find

You can search for text in the active template.

  1. Select Edit > Find.

  2. In Find dialog box, enter the search string using the Virtual Keyboard.

  3. Select Find Next until you find the required search string.


Replace

Edit > Replace

You can search and replace the text in the active template.

  1. Select Edit > Replace.

  2. In Replace dialog box, enter the search string using the Virtual Keyboard in the Find what field.

  3. In Replace with field, using the Virtual Keyboard, enter the replacement string.

  4. Select Find Next until you find the required search string.

  5. Select Replace to replace one instance of the string.
    or
    Select Replace All to replace all instances of the string.

  6. Click Cancel after you have replaced the strings.


Bring To Front

Object > Bring To Front

You can bring the selected fields to the front.


Send To Back

Object > Send To Back

You can send the selected fields to the back.


Show/Hide Text

Object > Show/Hide Text

You can show or hide the captions for the selected fields.


Position Caption

Object > Position Caption to the Left, or on Top

You can position the caption of the selected fields on either the left or on the top.


Editing Caption

Object > Edit Caption

You can edit the caption of the selected parameter or object.

  1. Select Object > Edit Caption.

  2. In Edit Caption dialog box, select [image] to enter the caption using the Virtual Keyboard.

  3. Click OK.


Change Font

Object > Change Font

You can change font for the selected field in the template.

  1. Select the fields or fields in the active template.

  2. Select Object > Change Font or right click the field to display the options.

  3. In the Font dialog box, choose the font size, color and style, and effects.

  4. Click OK.


Align Fields

Object > Align Fields

You can align the fields to top, bottom, left, or right.

  1. Select the fields in the active template.

  2. Select Object > Align Fields > Top, Bottom, Left, or Right to align the fields accordingly.


Make Same Size

Object > Make Same Size

You can set the selected fields to same height, width, or both.

  1. Select the fields in the active template.

  2. Select Object > Make Same Size > Height, Width, or Both to make the selected fields the same size.


Report Layout Editor

About Report Layout Editor

The Report Layout Editor helps you define the report layout for generating reports. The report layout, once created can be reused for generating multiple reports.

You can select the number of test templates per page and position the templates in the report. The report can have multiple pages with different template sizes. Each template is a sub report with a unique test title. This unique test title helps you select the required template when generating a report. You can define headers and footers for the report layout.

To display the Report Layout Editor, select Define Report Layout > New Report Layout.

The Report Layout Editor window has two panes:

  • List of Templates: Displays a list of templates, template sizes, template folders, and buttons that allow you to clear or place a template in a report layout tile and to create new templates

  • Report Layout : Displays the selected report layout and the header, footer definition


Report Layout Editor Parameters

Report Layout Editor Default Settings

Parameter | Selection | Default setting
Report Layout | Layout | Four tests per page.
Page Size | Page Setup | 8.5 X 11inches.
Layout Editor | None | One page
Go to | Edit | Displays the current page number in the page layout.
Font | None | Arial > Regular 9
Default Margin Size | None | Margin size on all sides of the paper is 0.8 inches.


Report Layout Editor Window

The Report Layout Editor window comprises a menu bar, a tool bar, a list of templates pane, and a report layout pane.

See the following topics for more information about each of these interface elements:

Menus

Toolbars

List of Templates pane

Report Layout pane

Status bar


List of Templates pane

The List of Templates pane displays the path of the template, templates in the folder, file names, and template sizes. You can select the template from this list and place it in the Report Layout pane.

In the List of Templates pane, you can do the following:

  • Select a different path where you have saved the customized templates by using the Virtual Keyboard or clicking the Directory button that displays a Browse for Folder window

  • Create a new template by selecting New. The Template Editor Window is displayed, where you can create a new template

  • Drag and drop the Template File into the report layout pane's tile or select the template file and click Place on Tile >>

  • Clear the selected tile in the report layout pane by clicking << Clear Tile


Report Layout pane

Depending on the number of tests selected per page, the Report Layout pane appears as shown by the following figure:

In the Report Layout pane, you can do the following:

  • Specify a title for each test

  • Define or modify the header and footer

  • Navigate between pages of the report layout


Report Layout Editor | Menus

The menu bar has the following menus.

File

Edit

View

Layout

Page

Help


RLE_File menu

Report Layout Editor | File menu

Menu selection | Description
New | Creates a new report layout.
Open | Opens a report layout file.
Save | Saves changes to the file.
Save As | Saves the report layout to a different file name using the Save as dialog box.
Page Setup | Prints all or part of the contents of the active template.
Configure Page | Configures the paper size, source, orientation, and margins using the Page Setup dialog box.
Default (8.5" X 11") | Configures the page setup to default — 8.5" X 11".
Layout Preview | Displays a sample view of the active report layout as it would be printed.
List of recent report layouts | Opens a previously (recent) opened report layouts.
Exit | Closes the Report Layout Editor.


RLE_Edit menu

Report Layout Editor | Edit menu

Menu selection | Description
Go To | Goes to the page entered in the Go To Page dialog box.


RLE_View menu

.eport Layout Editor | View menu

A tick mark ( [image]) appears next to the menu item selected.

Menu selection | Description
Toolbar | Displays or Hides the selected toolbars such as Standard, Page, Layout, and Action.
Status Bar | Displays or Hides the Status bar.
Refresh Template List | Refreshes the Template list in the List of Templates pane.


RLE_Layout menu

Report Layout Editor | Layout menu

A tick mark ( [image]) appears next to the menu item selected.

Menu selection | Description
One Test Per Page | Changes the report layout to fit one test per page.
Two Tests Per Page | Changes the report layout to fit two tests per page.
Four Tests Per Page | Changes the report layout to fit four tests per page.


RLE_Page menu

Report Layout Editor | Page menu

Menu selection | Description
Insert Blank |
Before Current Page | Inserts a blank page before the current page.
After Current Page | Inserts a blank page after the current page.
Insert Copy |
Before Current Page | Inserts a copy of the current page before the current page.
After Current Page | Inserts a copy of the current page after the current page.
Delete | Deletes the current page.


RLE_Help menu

Report Layout Editor | Help menu

Menu selection | Description
Help Topics | Displays the online help.
About Template Editor | Displays version and copyright information.


Report Layout Editor | Toolbars

The Report Layout Editor has the following toolbars. You can choose display or hide these toolbars using View > Toolbars.

Standard

Page

Layout

Action


Report Layout Editor | Standard toolbar

View > Toolbars > Standard

Enable the Standard Toolbar by selecting it in the View >Toolbars menu.


Report Layout Editor | Layout toolbar

View > Toolbars > Layout

Enable the Layout Toolbar by selecting it in the View >Toolbars menu.


Report Layout Editor | Page toolbar

View > Toolbars > Page

Enable the Page Toolbar by selecting it in the View >Toolbars menu.


Report Layout Editor | Action toolbar

View > Toolbars > Action

Enable the Action Toolbar by selecting it in the View >Toolbars menu.


Using Report Layout Editor

To define a report layout, perform the following steps:

  1. Set the report layout.

  2. Select Layout > One Test Per Page / Two Tests Per Page / Three Tests Per Page. The Report Layout pane displays tiles depending on the selected number of tests per page

  2. Add the templates.

  3. The List of Templates pane displays the templates in the default directory —C:\TekApplications\TDSET3\ReportGenerator\Templates

  4. From the List of Templates pane, drag and drop the templates into the tiles in the Report Layout pane. You can use the Place on Tile and Clear Tile buttons to move the templates to the tiles and to clear the tiles

  5. If you want to define a new template, select New in the List of Templates pane

  6. To browse for a different folder other than the default templates, select Directory to display Browse for Folder dialog box. Navigate to the folder where you have the templates stored and select OK

  3. Define Header and Footer.

  4. Save the report layout.

  5. Select File> Save to display the Save dialog box. Enter the report layout name and select Save

  6. The report layout is saved in the .rpl format

To edit an existing report layout, perform the following steps:

  1. Change the report layout.

  • Select Layout > One Test Per Page / Two Tests Per Page / Three Tests Per Page. The Report Layout pane displays tiles depending on the selected number of tests per page

  • The application displays an alert message — All the Test(s) information in the current page will be lost. Do you want to continue?

  • Select Yes to continue or No to stop

  2. Add or Remove the templates.

  • In the Report Layout pane, select the tile to which you want to add or remove the template

  • To remove a template from the Report Layout, complete the following steps:

    • In the List of Templates pane, select Clear Tile

    • The application displays an alert message — The test is already filled with data. Do you want to remove it?

    • Select Yes to continue or No to stop

  • To add a template to the Report Layout, complete the following steps:

    • The List of Templates pane displays the templates in the default directory —C:\TekApplications\TDSET3\ReportGenerator\Templates

    • From the List of Templates pane, drag and drop the templates into the tiles in the Report Layout pane. Select the Place on Tile button to move the template to the selected tile

    • If you want to define a new template, select New in the List of Templates pane

    • To browse for a different folder other than the default templates, select Directory to display the Browse for Folder dialog box. Navigate to the folder where you have the templates stored and select OK

  3. Modify Header and Footer.

  4. Save the report layout.

  • Select File> Save to display the Save dialog box. Enter the report layout name and select Save

  • The report layout is saved in the .rpl format

Note: Each report can only have up to five pages.


Configure Page

File> Page Setup> Configure Page

You can configure the paper size, source, orientation, and margins.

After you have configured the page setup, select OK.


Go To Page

Edit> Go To

You can go to different pages in the report layout using the Go To Page dialog box

  1. In the Enter Page Number field, enter the page number or select [image] to display the Virtual keyboard.

  2. Select Go To. The Report Layout pane displays the relevant page.


Change Report Layout

You can change the report layout to fit one, two or four tests per page

Layout > One Test Per Page / Two Tests Per Page / Four Tests Per Page

or


Header and Footer Definition

Header/Footer Definition

To modify Header Definition, do the following:

  1. In the Report Layout pane, click Header - Click to Modify.

  2. In the Header/Footer Definition dialog box, select the header position - Header Left, Header Center, or Header Right.

  3. Enter the Header definition in the text box.
    Select [image] to display the Virtual Keyboard. In the Virtual Keyboard, select the text and select Enter.
    or
    To insert the special text, select the Insert Special Text button to display a sub menu. Select Date, File Name, Author, Page X of Y, Page X, or Logo.

  4. Select Set Font to change the font style, size, effects, color, and script for each field separately, then select OK.

  5. In the Header/Footer Definition dialog box, select OK.

To modify Footer Definition, do the following:

  1. In the Report Layout pane, click Footer - Click to Modify.

  2. In the Header/Footer Definition dialog box, select the footer position - Footer Left, Footer Center, or Footer Right.

  3. Enter the Footer definition in the text box.

    Select [image] to display the Virtual Keyboard. In the Virtual Keyboard, select the text and select     Enter.
    or
    To insert the special text, select the     Insert Special Text button to display a sub menu. Select Date, File Name, Author, Page X of Y, Page X, or Logo.

  4. Select Set Font to change the font style, size, effects, color, and script for each field separately, then select OK.

  5. In the Header/Footer Definition dialog box, select OK.


Insert New Pages

Insert Pages

  • Select Page> Insert Blank > Before Current Page / After Current Page to insert a new page before the current page or after the current page

  • Select Page> Insert Copy > Before Current Page / After Current Page to insert copy of the current page before the current page or after the current page

Note: When you insert a copy of a page before or after the current page, the layout of the current page is the same layout as the new page.


Introduction to Report Viewer

About Report Viewer

The Report Viewer allows you to view the generated report.

Under the Generate Report tab, select Load Report or Generate Report to display the Report Viewer and browse for the report that you want to view or generate.

See Also

Using Report Viewer


Report Viewer Window

The Report Viewer window comprises a menu bar, a toolbar, an align/size bar, and a client area.

See the following topics for more information about each of these interface elements:

Menus

Toolbars

Align or Size bar

Status bar


Report Viewer | Menus

The menu bar has the following menus.

File

Edit

View

Object

Help


File menu

Menu selection | Description
Open | Opens a template file.
Save | Saves changes to the file.
Save As | Saves the template under a different file name using the Save as dialog box.
Print | Prints all or part of the contents of the active template.
Print Preview | Displays a sample view of the active template as it would be printed.
Print Setup | Prompts you to set up the Printer.
Export to RTF | Exports the report in .rtf (rich text format).
List of recent templates | Opens a previously (recent) opened template.
Exit | Closes the Report Viewer.


Edit menu

The available edit menu selections depend on whether a field is selected or not.

Menu selection | Description
Cut | Cuts the selected fields and places it on the clipboard.
Copy | Copies the selected fields to the clipboard.
Paste | Pastes the clipboard content.
Delete | Deletes the selected fields.
Select All | Selects all the fields.
Add Text Field | Adds a text field to the report.
Find | Finds the data matching the search criteria entered.
Replace | Replaces the data matching the search criteria with the specified data.
Go To | Goes to the page number specified in the Go To Page dialog box.


View menu

A tick mark ( [image]) appears next to the menu item selected.

Menu selection | Description
Toolbar | Displays/Hides the Standard toolbar.
Align/Size Bar | Displays/Hides the Align/Size toolbar.
Status Bar | Displays/Hides the Status bar.
Separators | Displays/Hides the separators.


Object menu

The available object menu selections depend on whether a field in the client area is selected or not.

Menu selection | Description
Bring To Front | Brings the selected field to front.
Send To Back | Sends the selected field to back.
Hide Text / Show Text | Shows or hides the caption of the selected field.
Position Caption on Top/to the Left | Positions the caption of the selected field to left or on top.
Edit Text | Allows you to edit the text in the selected field.
Change Font | Allows you to change the font of the selected field or the caption using the Change Font dialog box.
Align Fields | Aligns fields to the top, bottom, left, or right.
Make Same Size | Resizes the selected fields to the same size by height, width, or both.


Help menu

Menu selection | Description
Help Topics | Displays the online help.
About Report Viewer | Displays version and copyright information.


Standard Toolbar

View > Toolbar

Enable the Standard Toolbar by selecting it in the View >Toolbar menu.


Align or Size bar

View > Align/Size bar

Enable the Align/Size Toolbar by selecting it in the View >Align/Size bar menu.


Separators

View > Separators

Shows or hides the template separators.


Using Report Viewer

  1. Select File> Open. The Open dialog box displays all the reports in the default directory — C:\TekApplications\TDSET3\ReportGenerator\Reports.

  2. Select the report that you want to view and select Open.

  3. The Report Viewer displays the selected report.

  1. Select Edit > Add Text Field. The Edit Text dialog box appears.

  2. In the Text field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  3. In the Edit Text dialog box, select OK.

  1. Select Edit > Find. The Find dialog box appears.

  2. In the Find what field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  3. In the Find dialog box, select Find Next until you find that text that you are searching for.

  1. Select Edit > Replace. The Replace dialog box appears.

  2. In the Find what field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  3. In the Replace with field, enter the text or click [image] to display the Virtual keyboard. In the Virtual Keyboard, enter the text and select Enter.

  4. In the Replace dialog box,

  • Select Find Next to find the text that you are searching for.

  • Select Replace to replace one instance of the text that you want to replace.

  • Select Replace All to replace all instances of the text that you want to replace.

  • Select Cancel to cancel the operation and close the dialog box.

Using Report Viewer

Click on each of these link to use the Report Viewer:

  • To view a report

  • To edit text

  • To find text

  • To replace text

You can select some objects and bring to front or send to back. You can show/hide text, position caption to the left, or on top. You can edit text, or change font. You can align selected fields or make the selected fields to same size. You can export a report as an rtf.


Export to RTF

File> Export to RTF

You can export a report as an .rtf (rich text format) file

Note: Report Generator exports the report to a rtf file in a compressed format ensuring the file size to be small. If you edit the RTF file using Microsoft Word the file size may increase.


Find

Edit > Find

You can search for text in the report.

  1. Select Edit > Find.

  2. In Find dialog box, enter the search string using the Virtual Keyboard.

  3. Select Find Next until you find the required search string.


Replace

Edit > Replace

You can search and replace the text in the report.

  1. Select Edit > Replace.

  2. In Replace dialog box, enter the search string using the Virtual Keyboard in the Find what field.

  3. In Replace with field, using the Virtual Keyboard enter the replacement string.

  4. Select Find Next until you find the required search string.

  5. Select Replace to replace one instance of the string.
    or
    Select Replace All to replace all instances of the string.

  6. Click Cancel after you have replaced the strings.


Edit Text

Edit Caption

Object > Edit Caption

You can edit the caption of the selected parameter or object.

  1. Select Object > Edit Caption.

  2. In Edit Caption dialog box, select [image] to enter the caption using the Virtual Keyboard.

  3. Click OK.


Change Font

Object > Change Font

You can change font for the selected field in the report.

  1. Select the fields or fields in the report.

  2. Select Object > Change Font or right-click on the field to display the options.

  3. In the Font dialog box, choose the font size, color, style, and effects.

  4. Click OK.


Make Same Size

Object > Make Same Size

You can make the selected fields the same height, width, or both.

  1. Select the fields in the report.

  2. Select Object > Make Same Size > Height, Width, or Both to make the selected fields to the same size.


Align Fields

Object > Align Fields

You can align the fields to the top, bottom, left, or right.

  1. Select the fields in the report.

  2. Select Object > Align Fields > Top, Bottom, Left, or Right to align the fields accordingly.


Create or edit a test template.

Utilities > Report Generator > Define Test Template

You can create a new test template or edit an existing template.

To create a new test template:

  1. Under the Define Test Template tab, select New Test Template.

  2. The Template Editor window appears with an empty client area.

  3. Create the template using the Palette list.

  4. After you have completed creating a new test template, select Done.

See Template Editor for more information about Template Editor.

To edit an existing test template:

  1. Under the Define Test Template tab, select Browse.

  2. The open window displays the existing factory default templates and customized templates in C:\TekApplications\TDSET3\ReportGenerator\Templates.

  3. Select the template that you want to use and select Open.

  4. In the Define Test Template tab, select Edit Template.

  5. The Template Editor window appears with client area displaying the selected template.

  6. Edit the template using the Palette list.

  7. After you have completed editing an existing test template, select Done.

See Template Editor for more information about Template Editor.


Define or edit a report layout

Utilities > Report Generator > Define Report Layout

You can create a new report layout or edit an existing report layout.

To create a new report layout:

  1. Under the Define Report Layout tab, select New Report Layout.

  2. The Report Layout Editor window appears with an empty report layout area.

  3. Create the report by defining the report layout and dragging and dropping the templates to the report layout area.

  4. After you have completed creating a new report layout, select Done.

See Report Layout Editor for more information about Report Layout Editor.

To edit an existing report layout:

  1. Under the Define Report Layout tab, select Browse.

  2. The Open window displays the existing factory default report layout and customized report layouts in C:\TekApplications\TDSET3\ReportGenerator\Layouts.

  3. Select the report layout that you want to use and select Open.

  4. In the Define Report Layout tab, select Edit Layout.

  5. The Report Layout Editor window appears with report layout area displaying the customized report layout and selected template files.

  6. Edit the report layout using the List of Templates and defining the Report Layout.

  7. After you have completed editing an existing report layout, select Done.

See Report Layout Editor for more information about Report Layout Editor.


Generate, print or view a report

Utilities > Report Generator > Generate Report

You can generate, print, or view a report.

To generate a report

  1. Under the Generate Report tab, select Browse.

  2. The Open window displays the existing reports in C:\TekApplications\TDSET3\ReportGenerator\Reports.

  3. Select the report that you want to generate and select Open.

  4. Under the Generate Report tab, select Generate Report.

  5. In the Assign Data to Report dialog box, select a test template in this report to assign the current data from your measurement application.

  6. Select Assign. The Report Viewer displays the report with current data from the application. You can choose to export to the report in a rtf format.

To print a report

  1. Under the Generate Report tab, select Browse.

  2. The Open window displays the existing reports in C:\TekApplications\TDSET3\ReportGenerator\Reports.

  3. Select the report that you want to print and select Open. The Report Viewer displays the selected report with current data from the application.

  4. If the page settings do not match the page settings for the Report, a Page Size Mismatch message box displays a message — The current page settings do not match the page settings for the Report. Do you want to continue?

    • Click Yes to continue

    • Click No to stop printing the report

  5. If the printer is available, the report is printed


Error Codes

Report Generator Error Codes

Error code

Error message

Description

Possible solution

Report Generator Interface Error Codes

741

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

The Application FDB File path retrieved from registry is corrupted or invalid file path.

Uninstall the application and try reinstalling.

742

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

Application Id retrieved from registry is invalid. (<0)

Uninstall the application and try reinstalling.

743

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

Application version is invalid.

Uninstall the application and try reinstalling.

744

Some installation files are missing or corrupted, try reinstalling the application. The application will now exit.

Not able to spawn Report Viewer.

Report Viewer executable file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

745

Internal initialization error. The application will exit now.

The Memory Map File or synchronization events for communication with RGScope are already open. The application was previously not shut down completely. Try closing RGScope.

The application was not closed completely last time. A module RGScope might be still running in the background. Try closing it.

746

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not able to spawn Oscilloscope Interface.

RGScope file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

747

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

The application FDB File read failed. The file may be read only.

Uninstall the application and try reinstalling.

748

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

The Acc application FDB File read failed. The file may be read only.

Uninstall the application and try reinstalling.

749

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not invoked by the desired application. The application Name passed by the invoking application is not found in the registry.

Uninstall the application and try reinstalling.

750

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not able to spawn the Report Layout Editor.

The Report Layout Editor executable file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

751

Some installation files are missing or corrupted, try reinstalling the application. The application will exit now.

Not able to spawn the Template Editor.

Template Editor executable file is missing, or there might be resource crunch if there are many applications running currently.

Try closing some of the other applications. If this does not work, then uninstall and reinstall the application.

Report Layout Editor Error Codes

721

Some installation files are missing or corrupted, try reinstalling the application.

Not InvOKed by the desired application. The application Name passed by invoking the application is not found in the registry.

Try uninstalling and reinstalling the application.

722

The Selected file is not a valid layout for this application.

The layout belongs to some other application.

The layout file being opened belongs to an older application, may have been uninstalled. It is not possible to open a file belonging to another application.

723

Layout file is not valid for the current version of the Application.

The layout was created for some other version of the application.

The opened layout file belongs to a different version of the same application, may have been uninstalled. It is not possible to open a file belonging to another version.

Template Editor Error Codes

761

Error in Initialization of Application.

The Dlls and application executables are not properly installed.

Try uninstalling and reinstalling the application.

762

Invalid Application Name

Registry Entries are not appropriate.

Try uninstalling and reinstalling the application.

763

The Selected file is not a valid template for this application.

The template belongs to some other application

The opened template file belongs to a different version of the same application, may have been uninstalled. It is not possible to open a file belonging to another version.

764

Template file is not valid for the current version of the Application.

The template was created for the some other version of the application.

The opened template file belongs to a different version of the same application, may have been uninstalled. It is not possible to open a file belonging to another version.

765

A Group with the specified name already exists.

User tried to create a custom group with the same name as an existing group.

Try using a different name than the existing groups

Oscilloscope Interface Error Codes

781

MFC initialization failed.

The MFC Dlls are not properly installed.

Reinstall the application.

782

Error in creating or setting system resource

The system resources required for communication are already open.

Close all application related executables and try again.

783

RGScope already running.

RGScope.exe is already running on the system.

Close RGScope and restart the application.

784

Memory Exception Occurred + <context specific message>

Illegal memory access.

Close the application and restart.

785

An Exception Occurred.

An unknown exception occurred in the application.

Close the application and restart.

786

File Exception Occurred + <context specific message>

Exception occurred while accessing a file

Close the application and restart.

787

Error in acquiring window resources + <context specific message>

The application was not able to acquire windows resources such as GDI objects.

Close the application and restart.

788

Failed to connect to the oscilloscope

The application was not able to connect to the oscilloscope. Make sure the TekScope.exe is running.

If this does not solve the problem reinstall the application.

789

Error querying Registry

The required registry key doesn’t exist or an error occurred while getting it’s value.

Close the application and restart. If this does not solve the problem reinstall the application.

790

Error in reading FDB file

The FDB file doesn’t exist or it may be read-only.

Make sure the FDB file is present and not read-only. If this does not solve the problem reinstall the application.

791

Invalid Frame received

Oscilloscope interface received an invalid message from RG interface.

Close the application and restart.

792

Error in Allocating Memory

Error in getting memory from the system

Quit one or more applications running on the system and restart RGApp.

793

<context specific message>

Error in creating the jpeg file.

Make sure the “temp” folder exists and there is space on the hard disk drive.

Message boxes and dialogs in the user interface

701

Error Initializing Report Generator.

System resources can't be allocated Try closing some of the other applications.

If this does not work, then uninstall and reinstall the application.

702

No valid file name was provided

This happens when no filename is selected in Application for generating a report .

Select a valid file.

703

<Path of the file selected>.

The template file name is invalid

The reading of the template file fails. This will happen if the application fails to read the rgt file.

Select another valid template file.

704

<filename> is not a valid Report Layout

An invalid report layout was provided.

This happens if the application fails to read the layout file.

Select another valid layout file.

705

<filename> is not a valid Report Layout file for the Application

The layout is not valid for the application. This means that the file was read properly but the application and version for the rpl file don’t match the application.

Select another valid layout file for the application.

706

Invalid Report file specified

A file other than the Report Generator file(s) is selected with the extension (rpt rgt rpl) used by Report Generator files.

Select another valid file.

707

Invalid File Format

Other file types such as text are selected

Select another valid file.

708

<filename> is not a valid report file for <AppName>

The application name and version for the report file do not match that of application.

Select another valid report file for that application.

709

Unable to read the Report file.

An exception occurs for a rpt file.

This happens if the application cannot read the report .rpt file.

Select another valid report file for that application.


About the Test Fixture

The TF-GBE test fixture, designed by Tektronix and manufactured and distributed by Crescent Heart Software, facilitates 1000BASE-T, 100BASE-TX, and 10BASE-T Ethernet compliance testing when used with an appropriate TDS6000, TDS7000 or CSA7000 Series oscilloscope and Tektronix TDSET3 Ethernet Compliance Test Software.

For more information, visit the Crescent Heart Software web site www.c-h-s.com


Connections for 10BASE-T Return Loss Calibration

  1. Use TC1 of the test fixture for this test. Make the connections as shown by the following figure.

  2. Connect the Ethernet cable to J200 and test port of the DUT.

  3. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  4. Connect a BNC Cable to AWG- and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

Note: The AWG golden waveforms are available in C:\TekApplications\TDSET3\AWGWaveforms.

  5. To test Transmitter, connect the Differential Probes to P1(J240) and P2(J230), and configured channels of the oscilloscope. Then, short the Jumper J241.

  6. To test Receiver, connect the Differential Probe to P3(J241) and P4(J231), and configured channels of the oscilloscope.

  7. Connect CAT5 cable to J200 of TC1 and J702 for OPEN calibration.

  8. Connect CAT5 cable to J200 of TC1 and J703 for SHORT calibration.

  9. Connect CAT5 cable to J200 of TC1 and J704 for LOAD calibration.


Connections for 100BASE-TX Return Loss Calibration

  1. Use TC1 of the test fixture for this test. Make the connections as shown by the following figure.

  2. Connect the Ethernet cable to J200 and test port of the DUT.

  3. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  4. Connect a BNC Cable to AWG- and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

Note: The AWG golden waveforms are available in C:\TekApplications\TDSET3\AWGWaveforms.

  6. To test Transmitter, connect the Differential Probes to P1(J240) and P2(J230), and configured channels of the oscilloscope.

  7. To test Receiver, connect the Differential Probe to P3(J241) and P4(J231), and configured channels of the oscilloscope.

  8. Connect CAT5 cable to J200 of TC1 and J702 for OPEN calibration.

  9. Connect CAT5 cable to J200 of TC1 and J703 for SHORT calibration.

  10. Connect CAT5 cable to J200 of TC1 and J704 for LOAD calibration.


Hysteresis

Using the hysteresis field prevents small amounts of noise in a waveform from producing multiple threshold crossings. Use hysteresis when the rising and falling thresholds for a given reference level are set to the same value.

The reference level ± hysteresis value defines a voltage range that must be fully crossed by the waveform for an edge event to occur. If the decision threshold is crossed more than once before the waveform exits the hysteresis band, the mean value of the first and last crossing are used as the edge event time.

For example, if the waveform rises through (Threshold - Hysteresis), then rises through Threshold, then falls through Threshold, then rises through both Threshold and (Threshold + Hysteresis), a single edge event occurs at the mean value of the two rising crossings.


Making Connections for Return Loss Calibration

Connections for 1000BASE-T Return Loss Calibration

  1. Use TC1 of the test fixture for calibration. Make the connections as shown by the following figure.

  1. Connect the Ethernet cable to J200 and test port of the DUT.

  2. Connect a BNC Cable to AWG+ and Channel 1 of Arbitrary Waveform Generator.

  3. Connect a BNC Cable to AWG- and Channel 2 ( [image] ) of Arbitrary Waveform Generator.

Note: The AWG golden waveforms are available in C:\TekApplications\TDSET3\AWGWaveforms.

  4. To test Pair A, connect the Differential Probes to P1(J240) and P2(J230), and configured channels of the oscilloscope.

  5. To test Pair B, connect the Differential Probe to P3(J241) and P4(J231), and configured channels of the oscilloscope.

  6. To test Pair C, connect the Differential Probe to P5(J242) and P6(J232), and configured channels of the oscilloscope.

  7. To test Pair D, connect the Differential Probe to P7(J243) and P8(J233), and configured channels of the oscilloscope.

  8. Connect CAT5 cable to J200 of TC1 and J702 for OPEN calibration.

  9. Connect CAT5 cable to J200 of TC1 and J703 for SHORT calibration.

  10. Connect CAT5 cable to J200 of TC1 and J704 for LOAD calibration.


Set up the Signal for 10BASE-T

The following table lists the signal pattern that needs to be generated for each of the 10BASE-T tests:

Test | Pattern
Link Pulse | Link Pulse
MAU | Pseudo-random sequence
TP_IDL | Pseudo-random sequence
Jitter | Pseudo-random sequence
Differential Voltage | Pseudo-random sequence
Harmonic | All 1s or 0s
Return Loss | Pseudo-random sequence
CM Voltage | Pseudo-random sequence

Tip: If you are using a Link Partner, ensure that you do not test the Link Pulse generated by the Link Partner, but test the Link Pulse generated by the DUT.

If you are using a traffic generator to generate the signal, set the traffic generator to generate the signal pattern as listed in the table.

If you are not using a traffic generator to generate the signal, contact your PHY vendor for a special program to generate these patterns.


Set up the Signal for 100BASE-TX

The following table lists the signal pattern that needs to be generated for each of the 100BASE-TX tests:

Test | Pattern
Template | Scrambled idles
Differential Output Voltage | Scrambled idles
Signal Amplitude Symmetry | Scrambled idles
Rise Time | Scrambled idles
Fall Time | Scrambled idles
Rise/Fall Time Symmetry | Scrambled idles
Waveform Overshoot | Scrambled idles
Jitter | Scrambled idles
Duty Cycle Distortion | Scrambled idles or 010101 pattern
Return Loss | Scrambled idles

If you are using a traffic generator to generate the signal, set the traffic generator to generate the signal pattern as listed in the table.

If you are not using a traffic generator to generate the signal, contact your PHY vendor for a special program to generate these patterns.


Set up the Signal for 1000BASE-T

The DUT needs to be set in different modes for various tests as per the following table:

Test | Pattern | Bit1 (9.15) | Bit2 (9.14) | Bit3 (9.13)
Template, Peak Volt, Droop | Test mode 1 | 0 | 0 | 1
Jitter in Master mode | Test mode 2 | 0 | 1 | 0
Jitter in Slave mode | Test mode 3 | 0 | 1 | 1
Distortion, Return Loss, CM Voltage | Test mode 4 | 1 | 0 | 0
Normal operation |  | 0 | 0 | 0

Contact your PHY vendor for a program that allows you to modify the bits 13, 14, 15 in the GMII Management Register 9.


Smooth Dialog Box

1000-T > Return Loss or 100-TX > Return Loss or 10-T > Return Loss

After you test Return Loss, you can change the smoothness of the waveform. The accepted range is between 0 to 10. The default is 7.

  • Click the arrow buttons to increase or decrease the value and view the smoothness of the waveform. The waveform is automatically updated as you change the value.

  • Click Close to perform the pass/fail test again.


Starting the application on B series oscilloscopes

Starting the application on TDS5000B, TDS7000B or CSA7000B series oscilloscopes

  1. From the oscilloscope menu, select App > Ethernet Compliance Test Software.

  2. The splash screen appears. The oscilloscope display resizes to fit the upper half of the screen and the lower half of the oscilloscope screen displays the TDSET3 application.

The application user interface in the TDS7000B series oscilloscopes appears 66% smaller than other oscilloscopes.

  3. The application is automatically set to its default settings.

  4. If you access oscilloscope functions, the oscilloscope display appears in full screen and the TDSET3 application recedes to the background.

  5. To return to the TDSET3 application, select App > Restore Application.


If you select With Cable (TPM) and click Configure in Selection pane, the configuration parameters for Jitter with Cable appears as shown by the following figure.

If you select w/o Cable (TPM) and click Configure in Selection pane, the configuration parameters for Jitter without Cable appears as shown by the following figure.

If you select Diff Volt and click Configure in Selection pane, the configuration parameters for Differential Voltage appears as shown by the following figure.

If you select Harmonic and click Configure in Selection pane, the configuration parameters for Harmonic appears as shown by the following figure.

10BASE-T Client Pane

Click on each of the tabs in the following figure to see the different test parameters of 10BASE-T.

Configuration parameters for

Jitter with Cable

Jitter without Cable

Differential Voltage

Harmonic


If you select Transmitter and click Configure in Selection pane, the configuration parameters for Return Loss Transmitter appears as shown by the following figure.

If you select Receiver and click Configure in Selection pane, the configuration parameters for Return Loss Receiver appears as shown by the following figure.

10BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 10BASE-T. Return Loss

Configuration parameters for

Transmitter Return Loss

Receiver Return Loss


If you select CM Voltage and click Configure in Selection pane, the configuration parameters for Common mode Voltage appears as shown by the following figure.

10BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 10BASE-T.

Configuration parameters for

CM Voltage


If you select Transmitter in Return Loss tab and click Configure in Selection pane, the configuration parameters for Return Loss Transmitter appears as shown by the following figure.

If you select Receiver in Return Loss tab and click Configure in Selection pane, the configuration parameters for Return Loss Receiver appears as shown by the following figure.

100BASE-TX Client pane

Click on each of the tabs in the following figure to see the different test parameters of 100BASE-TX.

Configuration parameters for

Transmitter

Receiver


1000BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 1000BASE-T.

Configuration parameters for

Droop


If you select Jitter Master Filtered and click Configure in Selection pane, the configuration parameters for Jitter Master Filtered appears as shown by the following figure.

If you select Jitter Master Unfiltered and click Configure in Selection pane, the configuration parameters for Jitter Master Unfiltered appears as shown by the following figure.

If you select Jitter Slave Filtered and click Configure in Selection pane, the configuration parameters for Jitter Slave Filtered appears as shown by the following figure.

If you select Jitter Slave Unfiltered and click Configure in Selection pane, the configuration parameters for Jitter Slave Unfiltered appears as shown by the following figure.

1000BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 1000BASE-T.

Configuration parameters for

Jitter Master Filtered

Jitter Master Unfiltered

Jitter Slave Filtered

Jitter Slave Unfiltered


1000BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 1000BASE-T.

Configuration parameters for

Return Loss


1000BASE-T Client pane

Click on each of the tabs in the following figure to see the different test parameters of 1000BASE-T.

Configuration parameters for

CM Voltage


Invalid Signal Jitter TX_TCLK

Invalid Signal

If Data (TM2) or Data (TM3) is not connected, or if the channel to which the Data (TM2) or Data (TM3) signal is connected is different from the channel selected in the Configuration pane, the following message box appears:

Select OK and check whether Data (TM2) or Data (TM3) is connected. If Data (TM2) or Data (TM3) is connected, check whether the channel selected in the Configuration pane is the same as the channel to which the Data (TM2) or Data (TM3) signal is connected.


Invalid Signal

If the Data, Master CLK, or Slave CLK is not connected, or if the channel to which the Data, Master CLK, or Slave CLK signal is connected is different from the channel selected in the Configuration pane, the following message box appears:

Select OK and check whether the Data, Master CLK, or Slave CLK is connected. If the Data, Master CLK, or Slave CLK is connected, check whether the channel selected in the Configuration pane is the same as the channel to which the Data, Master CLK, or Slave CLK signal is connected.


Invalid Signal

If the DUT is not connected or If the channel to which the DUT signal is connected is different from the channel selected in the Configuration window, the following message box appears.

Select OK and check whether the DUT is connected. If the DUT is connected, check whether the channel selected in the Configuration window is the same as the channel to which the DUT signal is connected.


Keyboard

Virtual Keyboard

Selecting [image] displays the Virtual Keyboard similar to the keyboard. The field on the top displays what you have selected. After you have selected the required content, select Enter.